/*
############################################################################
###################                                      ###################
###################          ABB Automation Products     ###################
###################                                      ###################
###################               abbdefhe.h             ###################
###################                                      ###################
###################  define helptext for DD variables    ###################
###################                                      ###################
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: 0551/905720

****************************************************************************
                Revision:						0.0.0
                
Date:           10.March 2003

*/


#define  help_ucSprache 																						\
	HELP "|en|Selection of the menu language."												\
				"|de|Auswahl der Mensprache.";
#define  help_ucNennweite 																					\
	HELP "|en|Display of the flowmeter primary size. Selection "			\
				"only available when connected to ""Older Models""."				\
				"|de|Anzeige der Aufnehmernennweite. Auswahl nur bei "			\
				"Anschluss von ""Vorgngermodellen"" mglich.";
#define  help_uiEinheitQv 																					\
	HELP "|en|Selection of the units for the volume and mass "				\
				"flowrate measurements. The units are used for Range max.,"	\
				" Qmax and the instantaneous display value when direct "		\
				"reading engineering units have been selected for the "			\
				"display."																									\
				"|de|Auswahl der Einheit fr den Volumen- und den "					\
				"Massen-Durchfluss. Die Einheit bezieht sich auf Qmax DN, "	\
				"Qmax und auf die Momentananzeige, wenn diese mit "					\
				"physikalischer Einheit ausgegeben wird.";
#define  help_uiEinheitZv 																					\
  	HELP "|en|Selections of the engineering totalizer unit for "		\
  				"the volume and mass flowrate measurements."							\
  				"|de|Auswahl der physikalischen Zhlereinheit fr den "		\
  				"Volumen- und Massendurchfluss.";
#define		help_ucProgEinheitDichte     \
  	HELP "|en|Configurable units for mass (with density) or "				\
  				"volume flowrate (without density)."											\
  				"|de|Konfigurierbare Einheit fr Masse- (mit Dichte) "		\
  				"oder Volumendurchfluss (ohne Dichte).";
#define  help_ucSchaltausgang 																			\
  	HELP "|en|The switch mode for the contact output (terminals "		\
  				"41/42) can be selected as normally open or normally "		\
  				"closed."																									\
  				"|de|Das Schaltverhalten des Schaltausganges (Klemme "		\
  				"41/42) lsst sich als Schlieer oder ffner auswhlen.";
#define  help_ucSchalteingang 																			\
	HELP "|en|Selection of the function for the contact input "				\
				"terminals 81/82."																					\
				"|de|Auswahl der Funktion des Schalteinganges Klemmen "			\
				"81/82.";
#define  help_ucIoutAlarm 																					\
	HELP "|en|Value of the current during an error condition."				\
				"|de|Verhalten des Stromausganges im Alarmfall.";
#define  help_ucDlrEinAus 																					\
	HELP "|en|On/Off selection for the operation Detector empty pipe."\
				"|de|Ein- bzw. Ausschalten des Detektor leeren Rohres.";
#define  help_ucAlarmlRohr 																					\
	HELP "|en|When the meter tube is empty an indication is "					\
				"displayed and a signal is sent to the terminals when "			\
				"the alarm setting is ""on"". No alarm contact when the "		\
				"Alarm setting is ""off""."																	\
				"|de|Ist der Alarm eingeschaltet, wird bei lerem Messrohr "	\
				"der Kontakt leeres Rohr gesetzt. Bei ausgeschalteter "			\
				"Funktion erfolgt keine Alarmierung.";
#define  help_ucIoutlRohr 																					\
	HELP "|en|Current output value Low or High during an empty "			\
				"pipe condition."																						\
				"|de|Einstellung des Stromausgangswertes Low oder High "		\
				"im Strungsfall.";
#define  help_ucSimulationEin 																			\
	HELP "|en|Turn flowrate simulation on /off."											\
				"|de|Durchflusssimulation Ein-/Ausschalten.";
#define  help_ucTestModeEin 																				\
	HELP "|en|Only for checking the converter with simulator "				\
				"55XC4000."																									\
				"|de|Nur zur Prfung des Messumformers am Simulator "				\
				"55XC4000.";
#define  help_ucAnzeigeZeile1 																			\
	HELP "|en|Selection for the 1st display line."										\
				"|de|Auswahl der 1. Anzeigenzeile.";
#define  help_ucAnzeigeZeile2 																			\
	HELP "|en|Selection for the 2nd display line."										\
				"|de|Auswahl der 2. Anzeigenzeile.";
#define  help_ucAnzeigeZeile3 																			\
	HELP "|en|Selection for the 3rd display line."										\
				"|de|Auswahl der 3. Anzeigenzeile.";
#define  help_ucAnzeigeZeile4 																			\
	HELP "|en|Selection for the 4th display line."										\
				"|de|Auswahl der 4. Anzeigenzeile.";
#define  help_ucBetriebsart 																				\
	HELP "|en|Operating mode ""Normal"": is selected for continuous "	\
				"flow metering. Operating mode ""Fast"": accelerated "			\
				"flow signal processing (e.g. short batches). Operating "		\
				"Mode ""Piston Pump"": for pulsating flows. In this "					\
				"operating mode the improved reproducibility of the flow "	\
				"signal measurements is archieved. The totalizer is "				\
				"automatically set to the Difference Totalizer mode. "			\
				"Any reverse flow which may occur is automatically "				\
				"substracted from the totalizer values."										\
				"|de|Betriebsart ""Normal"": wird fr die kontinuierliche"	\
				" Durchflussmessung gewhlt. Betriebsart ""Schnell"": "			\
				"beschleunigte Messwertverarbeitung (z.B. Kurzdosierung). "	\
				"Betriebsart ""Kolbenpumpe"": fr pulsierenden Durchfluss. "\
				"In dieser Betriebsart wird durch die Messwerterfassung "		\
				"eine verbesserte Reproduzierbarkeit bei pulsierendem "			\
				"Durchfluss durch Kolbenpumpenbetrieb erzielt. Der Zhler "	\
				"wird automatisch in die Betriebsart Differenzzhlung "			\
				"eingestellt. Evtl. vorhandener Rckfluss wird "						\
				"automatisch vom Zhlerstand abgezogen.";
#define  help_ucFliessrichtung 																			\
	HELP "|en|Selection of the flow direction to be metered, "				\
				"forward/reverse or forward only. The direction indicator "	\
				"""R"" in the display blinks when flowrate is in the "			\
				"reverse flow direction and 0% is displayed."								\
				"|de|Auswahl der Durchflussrichtung Vor-/Rcklauf oder "		\
				"nur Vorlauf . Ist der Durchfluss im Rcklauf, blinkt "			\
				"im Display das Richtungszeichen ""R"" und der Durchfluss "	\
				"wird mit 0% angezeigt.";
#define  help_ucRichtungsanzeige 																		\
	HELP "|en|Normal/Inverse, reverse the flow direction forward "		\
				"and reverse flow display."																	\
				"|de|Normal/ Invers, drehen der Durchflussrichtung Vor- "		\
				"und Rcklaufanzeige.";
#define  help_ucAufnehmerType 																			\
	HELP "|en|Selection the flowmeter primary type connected to "			\
				"the converter."																						\
				"|de|Auswahl des angeschlossenen Aufnehmertyps.";
#define  help_ucAufnehmerTyp 																				\
	HELP "|en|Selects the excitation of primary"											\
				"|de| ";
#define  help_HartPollingAddress 																		\
	HELP "|en|An adress 0-15 can be selected for instruments with "		\
				"the HART-Protocol. If the adress 0 is entered, then the "	\
				"current output varies as the flowrate in the range of "		\
				"4-20 mA. If additional instruments are connected to the "	\
				"bus and a adress 1-15 is entered, the converter operates "	\
				"in Multidrop-Mode. The current output is fixed at "				\
				"constant 4mA. The output values are then only can only "		\
				"be read using the HART-Communication."											\
				"|de|Mit HART-Protokoll kann eine Adresse 0 - 15 gewhlt "	\
				"werden. Ist die Adresse 0, so ndert sich auch der "				\
				"Stromausgangswert bei Durchfluss von 4-20 mA. Sind "				\
				"mehrere Gerte am Bus angeschlossen und wird die Adresse "	\
				"1-15 gewhlt, so arbeitet der Messumformer im Multidrop-"	\
				"Mode. Der Stromausgangswert wird dabei auf 4 mA "					\
				"eingefroren. Die Erfassung der Ausgangswerte erfolgt "			\
				"dann nur noch ber die HART-Kommunikation.";
#define  help_ucAnzeigeModus 																				\
	HELP "|en|Selection 1 large and 1 small line or 4 small lines."		\
				"|de|Auswahl 1 groe und 1 kleine Zeile oder 4 kleine "			\
				"Zeilen.";
#define  help_ucAnzeigeKontrast 																		\
	HELP "|en|Setting the display contrast, STEP = darker; DATA = "		\
				"lighter."																									\
				"|de|Einstellung Anzeigenkontrast, STEP = dunkler; DATA "		\
				"= heller.";
#define  help_ucKommunikation 																			\
	HELP "|en|Turn HART -Communication ""on"" and ""off""."						\
				"|de|Ein- und Ausschalten der HART Kommunikation.";
#define  help_ucTreiber 																						\
	HELP "|en|Selects the mode of the driver"													\
				"|de| ";
#define  help_ucBestellVariante 																		\
	HELP "|en|The calibrating mode 0 or 255 can be select. With "			\
				"mode 0 the primarys SE2_/SE4_ are calibrated together "		\
				"with converter. The meter size and adjusted value are "		\
				"primary accompanying. At mode 255 the converter can "			\
				"delivered to connect with old primary model,  Cs = 100% "	\
				"and Cz = 0% be printed on the FRAM. The customer can "			\
				"select meter size and excitation frequency with ENTER. "		\
				"The EASY SETUP for a old primary must be followed "				\
				"for operation."																						\
				"|de|Festlegung Kalibriermode 0 oder 255. Mit 0 werden "		\
				"alle zugehrigen Aufnehmer SE2_/SE4_ kalibriert. Die "			\
				"Nennweite und Abgleichwerte sind Aufnehmer zugeordnet. "		\
				"Bei Mode 255 kann der Messumformer mit bisher "						\
				"gelieferten Aufnehmer betrieben werden. Cs=100% und "			\
				"Cz=0% werden auf den FRAM aufgedruckt. Der Kunde kann "		\
				"Nennweite und Erregerfrequenz eingeben. EASY-SETUP fr "		\
				"den Aufnehmer muss befolgt werden.";
#define  help_ucNetzfrequenz 																				\
	HELP "|en|Selection of the line frequency of the flowmeter "			\
				"primary was calibrated. Selection 50/60 Hz only available "\
				"for ""Older Models""."																			\
				"|de|Auswahl der Netzfrequenz mit der der "									\
				"Durchflussmessaufnehmer kalibriert wurde. Auswahl "				\
				"50/60 Hz nur bei ""Vorgngermodellen"" erforderlich.";
#define  help_ucStartUpKommuService 																\
	HELP "|en|With a TTL-Signal the communication type HART or "			\
				"ASCII can be selected of the service plug for the "				\
				"connection."																								\
				"|de|Bei Belegung des Service Stecker mit TTL-Signal kann "	\
				"die Kommunikationart HART oder ASCII fr den Anschluss "		\
				"eingestellt werden.";
#define  help_ucTestImpulsausgangEin 																\
	HELP "|en|Function test for the pulse output."										\
				"|de|Funktionstest des Impulsausganges.";
#define  help_ucIoutArt 																						\
	HELP "|en|Selection of the current output range. For HART-"				\
				"Protocol always 4-20 mA."																	\
				"|de|Auswahl des Stromausgangsbereiches. Bei HART-"					\
				"Protokoll immer 4-20 mA.";
#define  help_ucKommuServiceStecker 																\
	HELP "|en|The choice of the occupancy of the communication for "	\
				"the service plug can be returned. Communication HART- TTL "\
				"or ASCII-TTL can be switched over to on display operate "	\
				"function."																									\
				"|de|Die Auswahl der Belegung der Kommunikation fr den "		\
				"Servicestecker kann zurck gestellt werden. Nach "					\
				"Kommunikation HART-TTL oder ASCII-TTL kann auf "						\
				"Displaymode umgeschaltet werden.";
#define  help_ucImpulsZustand 																			\
	HELP "|en|Indication of the jumper position for pulse output "		\
				"""active"" or ""passive""."																\
				"|de|Anzeige der Steckbrckenposition Impuls ""aktiv"" "		\
				"oder ""passiv"".";
#define  help_ucAktuellVariante 																		\
	HELP "|en|The present factory-made for pulse output and "					\
				"communication. it can be identified by the order."					\
				"|de|Anzeige der bestellten und gelieferten Ausfhrung "		\
				"fr Impulsausgang und Kommunikation.";
#define  help_ucSchalteingangTest 																	\
	HELP "|en|The status condition of the contact input can be "			\
				"viewed ""on"" or ""off""."																	\
				"|de|Funktionstest Schalteingang, zeigt den Zustand "				\
				"""Aus"" oder ""Ein"" wenn am Eingang eine/keine "					\
				"Belegung erfolgt.";
#define  help_ucSchaltausgangTest 																	\
	HELP "|en|The test function contact ouput and with ENTER the "		\
				"function can be switched to ""on"" or ""off"":"						\
				"|de|Die Testfunktion Schaltausgang kann mit ENTER "				\
				"""Aus"" oder ""Ein"" geschaltet werden.";
#define  help_ucDlrArt_LNS 																					\
	HELP "|en|Selection of the function ""standard"" or ""new "				\
				"adjustment"". At ""standard"" is isn't required to carry "	\
				"out a adjustment on side. The converter use standard "			\
				"adjustment datas. If it comes to disturbances through "		\
				"the medium or an empty pipe isn't recognized by the "			\
				"converter, a ""new adjustment"" must be carried out on "		\
				"side, see adjustment ""empty pipe"" or ""full pipe""."			\
				"|de|Auswahl der Funktion ""Standard"" oder ""Neuer "				\
				"Abgleich"". Bei ""Standard"" ist es nicht erforderlich "		\
				"einen Abgleich vor Ort durchzufhren. Der Messumformer "		\
				"arbeitet mit Standard Einstelldaten. Kommt es durch das "	\
				"Medium zu Strungen oder ein leeres Rohr wird nicht vom "	\
				"Messumformer erkannt, so muss ein ""Neuer Abgleich"" vor "	\
				"Ort durchgefhrt werden, siehe Abgleich ""Leeres Rohr"""		\
				" oder Abgleich ""Volles Rohr"".";
#define  help_ucEigenerregt 																				\
	HELP "|en| "														\
				"|de| ";
#define    help_uiUeberlaufZaehlerV 																\
	HELP "|en|Overflow counter max. 250. 1 overflow = pulse "					\
				"totalizer 9.999.999 units. Display value is reset and "		\
				"one overflow is counted."		                							\
				"|de|berlaufzhler max. 250. 1 berlauf = Impulszhler "		\
				"9.999.999 Einheiten. Displayanzeige wird rckgesetzt "			\
				"und ein berlauf gezhlt.";
#define    help_uiUeberlaufZaehlerR 																\
	HELP "|en|Overflow counter max. 250. 1 overflow = pulse "					\
				"totalizer 9.999.999 units. Display value is reset and "		\
				"one overflow is counted."		                							\
				"|de|berlaufzhler max. 250. 1 berlauf = Impulszhler "		\
				"9.999.999 Einheiten. Displayanzeige wird rckgesetzt "			\
				"und ein berlauf gezhlt.";
#define    help_uiNetzAusfallZaehler 																\
	HELP "|en|Mains interrupt counter."		                						\
				"|de|Netzausfallzhler.";
#define    help_uiServiceKode 																			\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiGeraeteNummer 	                 									\
	HELP "|en|Instrument number continuously"		                			\
				"|de|Gertenummer Messumformer fortlaufend";
#define    help_uiTreiberSteuerungDac 			                 				\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiMinDacAmplitude 			                 						\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiMaxDacAmplitude 			                 						\
	HELP "|en| "		                \
				"|de| ";
#define    help_PruefstandNr 			                 									\
	HELP "|en|Display Test rig number."		                						\
				"|de|Anzeige Prfstandsnummer.";
#define    help_ucStatus 			                 											\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiDspReset 			                 										\
	HELP "|en|Totalization of reset from the DSP electronic."		      \
				"|de|Reset-Anzeige der DSP-Elektronik.";
#define    help_ProgschutzKode 			                 								\
	HELP "|en|When a ""0"" (factory setting) is entered the program "	\
				"protection is turned off. If a different "									\
				"""Progr. Prot. Code"" has been configured (1-9999), "			\
				"then the operator will be asked for the PP-Code "					\
				"when this level is selected."															\
				"|de| Bei Eingabe einer ""0"" ist der Programmschutz "			\
				"ausgeschaltet (Werkseinstellung). Ist ein anderer "				\
				"""Progr.-Schutz-Kode"" konfiguriert (1-9999) wird der "		\
				"Bediener nach der Auswahl der Ebene nach dem "							\
				"PS-Kode gefragt.";
#define    help_siZaehlerUeberlaufD 			                 					\
	HELP "|en|Display of the Overflow counter for the Difference "		\
				"Totalizer."		                														\
				"|de|Anzeige des berlaufs fr den Differenzzhler.";
#define  help_fQmaxDN_ls 			                 											\
	HELP "|en|Display of the max. possible flow range. Automatic "		\
				"selection based on the meter size."	    									\
				"|de|Anzeige des max. mglichen Messbereiches. "						\
				"Automatische Auswahl durch Nennweite.";
#define  help_fQmax 			                 													\
	HELP "|en|Flow range end value for forward and reverse "					\
				"flowrate. Flow range end values can be set between 0.5 "		\
				"and 10 m/s."	  																					  \
				"|de|Messbereichsendwert fr Vor- und Rcklauf. "						\
				"Messbereichsendwert einstellbar von 0,5 bis 10 m/s.";
#define  help_fImpulswertigkeitVolumen 			                 				\
	HELP "|en|Pulse factor 0.001 to 1000 pulses per selected unit "		\
				"for the internal and external flow totalization, max. "		\
				"count frequency 5 kHz. The max. count frequency and the "	\
				"pulse factor are checked in the software. If incorrect "		\
				"an error is displayed."	    															\
				"|de|Impulswertigkeit 0,001 bis 1000 pro selektierter "			\
				"Einheit fr int. und ext. Durchflusszhlung, max. "				\
				"Zhlfrequenz 5 kHz. Die max. Zhlfrequenz und die "				\
				"Impulswertigkeit wird durch die Software geprft und "			\
				"evtl. eine entsprechende Fehlermeldung ausgegeben.";
#define  help_fImpulsbreite_ms 			                 								\
	HELP "|en|For external pulse output range pulse width 0.1 to "		\
				"2000ms. The max. allowable pulse width is checked in "			\
				"the software and corrected if required."	    							\
				"|de|Fr den externen Impulsausgang einstellbare "					\
				"Impulsbreite  0,1 - 2000ms. Die max. zulssige "						\
				"Impulsbreite wird per Software geprft und ggf. "					\
				"korrigiert.";
#define  help_fSchleichmenge 			                 									\
	HELP "|en|Applies to the values displayed and all outputs. "			\
				"The switch point has a built in hysteresis of 0.1%."	    	\
				"|de|Wirksam fr die Anzeige im Display und alle Ausgnge. "\
				"Die Schaltgrenze der Schleichmengenabschaltung wurde mit "	\
				"einer Hysterese von 0,1% versehen.";
#define  help_fDaempfung 			                 											\
	HELP "|en|Response time 1t = 0-67% for a step flow change."	    	\
				"|de|Einschwingzeit fr 1t = 0-67% Durchflussnderung.";
#define  help_fDichte 			                 												\
	HELP "|en|Density range 0.1 - 5 g/cm3. Mass flowrate for the "		\
				"display and the totalizer."	    													\
				"|de|Dichtebereich 0,1 - 5 g/cm3. Massedurchfluss fr "			\
				"Anzeige und Zhlung.";
#define  help_fAnlD_SysNullQ 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fEinheitenfaktor 			                 								\
	HELP "|en|Factor for the configurable flowrate based on liters; "	\
				"factor shown is for kgal units (factory default setting)."	\
				"|de|Bezugsfaktor der konfigurierbaren Durchflusseinheit, "	\
				"bezogen auf Liter; Wert gilt fr Einheit kgal "						\
				"(Werksvoreinstellung).";
#define  help_fFlaecheVollesRohr 			                 							\
	HELP "|en|Display of the adjusted value for a full pipe. The "		\
				"adjustment for the full pipe can be made manually or "			\
				"automatically."	    																			\
				"|de|Anzeige des Abgleichswertes des vollen Messrohres. "		\
				"Abgleich des vollen Rohres kann manuell oder automatisch "	\
				"erfolgen.";
#define  help_fZaehlerV 			                 											\
	HELP "|en|Total forward totalizer value."	    										\
				"|de|Anzeige des Zhlwertes Vorlaufzhler.";
#define  help_fZaehlerR 			                 											\
	HELP "|en|Total reverse totalizer value."	    										\
				"|de|Anzeige des Zhlwertes Rcklaufzhler.";
#define  help_fPriD_ZeroQ 			                 										\
	HELP "|en|Flowmeter primary zero value Cz. For ""Older Models"" "	\
				"always 0 %"	    																					\
				"|de|Durchflussmesser Nullpunktwert Cz. Bei "								\
				"""Vorgngermodellen"" immer 0 %.";
#define  help_fPriD_SpanneQ 			                 									\
	HELP "|en|Flowmeter primary span value Cs. For ""Older Models"" "	\
				"always 100 %"	    																				\
				"|de|Durchflussmesser Spannewert Cs. Bei "									\
				"""Vorgngermodellen"" immer 100 %.";
#define  help_fPriD_PhaseQ 			                 										\
	HELP "|en|Phase between reference and signal voltage."	    			\
				"|de|Phasenlage zwischen Referenz- und Signalspannung.";
#define  help_fIout4mAUK1 			                 										\
	HELP "|en|Display of the adjusted Iout value for 4.0 mA."	    		\
				"|de|Anzeige des Abgleichwertes fr den Stromausgang 4,0 "	\
				"mA";
#define  help_fIout20mAUK1 			                 										\
	HELP "|en|Display of the adjusted Iout value for 20.0 mA."	    	\
				"|de|Anzeige des Abgleichwertes fr den Stromausgang 20,0 "	\
				"mA";
#define  help_fGD_KanalQ50Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ50Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ50Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ50Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_KanalQ60Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ60Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ60Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ60Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_KanalQ70Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ70Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ70Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ70Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fLeerRohrFaktor 			                 								\
	HELP "|en|Display of the calculated Threshold value or manually "	\
				"entry."	    																							\
				"|de|Anzeige der ermittelten oder manuell einzugebenen "		\
				"Schaltschwelle.";
#define  help_fILowAlarm 			                 											\
	HELP "|en|Low Alarm only available for current output 2-10 mA or "\
				"4-20 mA. Value of the current output for Low Alarm."	    	\
				"|de|Low-Alarm nur bei Stromausgang 2-10 mA oder 4-20 mA "	\
				"mglich. Einstellung Stromwert bei Low Alarm.";
#define  help_fIHighAlarm 			                 										\
	HELP "|en|Value of the current output for High Alarm. If error "	\
				"3 (flow > 105 %) occurs, the current output is always "		\
				"set to ""High Alarm"""	    																\
				"|de|Einstellung Stromwert bei High Alarm. Tritt Fehler 3 "	\
				"(Durchfluss > 105 %) auf, wird immer ""High Alarm"" "			\
				"ausgegeben.";
#define  help_fZaehlerD 			                 											\
	HELP "|en|Total difference totalizer value."	    								\
				"|de|Anzeige des Zhlwertes Differenzzhler.";
#define  help_fSimulationsWert 			                 								\
	HELP "|en|The flowrate value displayed can be simulated by "			\
				"pressing STEP or DATA button. The current and pulse "			\
				"outputs follow the simulated flowrate values."	    				\
				"|de|In der Prozessanzeige kann der Durchflusswert durch "	\
				"Bettigen der Tasten STEP oder DATA simuliert werden. "		\
				"Strom- und Impulsausgang folgen dem Durchflusswert.";
#define  help_SpuleDCStrom 			                 										\
	HELP "|en| "	    \
				"|de| ";
#define  help_fTreiberRegelungRefSpg 			                 					\
	HELP "|en| "	    \
				"|de| ";
#define  help_fTreiberRegelungDiffV 			                 					\
	HELP "|en| "	    \
				"|de| ";
#define  help_fMinAlarm 			                 											\
	HELP "|en|Range limit for the Min. Alarm, range 0-105 % of the "	\
				"selected flow range. Set in 1 % steps, switch hysteresis "	\
				"1 %"	    																									\
				"|de|Bereichsgrenze fr den Min. Alarm 0-105 % vom "				\
				"eingestellten Messbereich. Einstellung in Schritten von "	\
				"1 %, Schalthysterese 1 %.";
#define  help_fMaxAlarm 			                 											\
	HELP "|en|Range limit for the Max. Alarm, range 0-105 % of the "	\
				"selected flow range. Set in 1 % steps, switch hysteresis "	\
				"1 %"		    																								\
				"|de|Bereichsgrenze fr den Max. Alarm 0-105 % vom "				\
				"eingestellten Messbereich. Einstellung in Schritten von "	\
				"1 %, Schalthysterese 1 %.";
#define  help_fReferenzspannung 			                 							\
	HELP "|en|Input value of the reference voltage, only for "				\
				"""Older Models"", others display only."	    							\
				"|de|Eingabe der Referenzspannung bei ""Vorgngermodellen"""\
				", sonst nur Ansicht.";
#define  help_uiStoerSpgsResetOn 			                 							\
	HELP "|en| "	    \
				"|de| ";
#define  help_uiStoerSpgsResetOff 			                 						\
	HELP "|en| "	    \
				"|de| ";
#define  help_fDataOutputCycle 			                 								\
	HELP "|en|Input of the time for the indication block of the "			\
				"selected parameter function 0,1-100 s."	    							\
				"|de|Eingabe der Zeit fr den Ausgabeblock der gewhlten "	\
				"Parameterfunktion 0,1-100s.";
#define  help_fFunkTestAusgabeImpulse 			                 				\
	HELP "|en| "	    \
				"|de| ";
#define  help_fQ10MS 			                 													\
	HELP "|en| "	    \
				"|de| ";
#define  help_fQmaxImpuls 			                 										\
	HELP "|en|The extended pulse rate for the measurement range up "	\
				"to Qmax. DN."	    																				\
				"|de|Erweiterte Impulszhlung bis max. Messbereich QmaxDN.";
#define  help_fLeerRohrFaktorN 			                 								\
	HELP "|en|Display of the adjusted value for a empty pipe. The "		\
				"pipeline must be empty."	    															\
				"|de|Abgleichwert fr leeres Messrohr. Die Rohrleitung "		\
				"muss leer sein.";
#define  help_fLeerRohrFaktorS 			                 								\
	HELP "|en|Threshold for turning off ""empty pipe"".This is "			\
				"calculated and typed in internally after adjustment "			\
				"""empty pipe or full pipe"".The response time is reduced "	\
				"at a manual entry at empty regular measuring pipe at "			\
				"smaller entry values."	    																\
				"|de|Die Schaltschwelle fr Abschaltung ""Leeres Rohr""."		\
				" Diese wird intern nach Abgleich ""Leeres Rohr oder "		\
				"Volles Rohr"" errechnet und eingetragen. Bei manueller "		\
				"Eingabe verringert sich die Ansprechzeit bei "							\
				"leerlaufenden Messrohr bei kleineren Eingabewerten.";
#define  help_strAufnehmerTagNr	          													\
	HELP "|en|A TAG-Number for the primary can be displayed or "			\
				"enter max. 30-characters."	    														\
				"|de|Eine TAG-Nummer fr den Aufnehmer max. 30 stellig "		\
				"kann eingeben oder ausgelesen werden.";
#define  help_strMessumformTagNr           													\
	HELP "|en|A TAG-Number for the converter can be displayed or "		\
				"enter max. 30-characters."	    														\
				"|de|Eine TAG-Nummer fr den Messumformer max. 30 stellig "	\
				"kann eingeben oder ausgelesen werden.";

#define  help_version			                 													\
	HELP "|en| "	                                                    \
				"|de| ";
#define  help_PrueferNr		                 													\
	HELP "|en| "	                                                    \
				"|de| ";

#define		help_ResetFehlerregister																	\
		HELP "|en|Reset Error memory register"													\
					"|de|Lscht Fehler Memory register";
#define		help_ZaehlerReset																					\
		HELP "|en|Reset all totalizer and overflow"											\
					"|de|alle Zhler und berlufe werden gelscht";

#define		help_strEinheitenname																			\
		HELP "|en|Four character name for the user configurable "				\
						"units, kgal = factory default setting."								\
					"|de|Vierstelliger Name der frei konfigurierbaren "				\
						"Einheit, kgal = Werksvoreinstellung.";
/*
#define		help_fGD_KanalQ50Hz																				\
		HELP "|en|Channel Adjust 50Hz"																	\
					"|de|Channel Adjust 50Hz";
#define		help_fGD_ZeroQ50Hz																				\
		HELP "|en|Zero Adjust 50Hz"																			\
					"|de|Zero Adjust 50Hz";
#define		help_fGD_SpanneVQ50Hz																			\
		HELP "|en|Span Adjust \032V 50Hz"																\
					"|de|Span Adjust \032V 50Hz";
#define		help_fGD_SpanneRQ50Hz																			\
		HELP "|en|Span Adjust \027R 50Hz"																\
					"|de|Span Adjust \027R 50Hz";	
#define		help_fGD_KanalQ60Hz																				\
		HELP "|en|Channel Adjust 60Hz"																	\
					"|de|Channel Adjust 60Hz";
#define		help_fGD_ZeroQ60Hz																				\
		HELP "|en|Zero Adjust 60Hz"																			\
					"|de|Zero Adjust 60Hz";
#define		help_fGD_SpanneVQ60Hz																			\
		HELP "|en|Span Adjust \032V 60Hz"																\
					"|de|Span Adjust \032V 60Hz";
#define		help_fGD_SpanneRQ60Hz																			\
		HELP "|en|Span Adjust \027R 60Hz"																\
					"|de|Span Adjust \027R 60Hz";
#define		help_fGD_KanalQ70Hz																				\
		HELP "|en|Channel Adjust 70Hz"																	\
					"|de|Channel Adjust 70Hz";
#define		help_fGD_ZeroQ70Hz																				\
		HELP "|en|Zero Adjust 70Hz"																			\
					"|de|Zero Adjust 70Hz";
#define		help_fGD_SpanneVQ70Hz																			\
		HELP "|en|Span Adjust \032V 70Hz"																\
					"|de|Span Adjust \032V 70Hz";
#define		help_fGD_SpanneRQ70Hz																			\
		HELP "|en|Span Adjust \027R 70Hz"																\
					"|de|Span Adjust \027R 70Hz";
#define		help_fPriD_PhaseQ																					\
		HELP "|en|Phase between reference and signal voltage"						\
					"|de|Phasenlage zwischen Referenz- und Signalspannung";
#define		help_fPriD_ZeroQ																					\
		HELP "|en|Flowmeter primary zero value Cz. "										\
						"For ""Older Models"" always 0 %"												\
					"|de|Durchflussmesser Nullpunktwert Cz. "									\
						"Bei ""Vorgngermodellen"" immer 0 %";
#define		help_fPriD_SpanneQ																				\
		HELP "|en|Flowmeter primary span value Cs. "										\
						"For ""Older Models"" always 100 %"											\
					"|de|Durchflussmesser Spannewert Cs. "										\
						"Bei ""Vorgngermodellen^"" immer 100 %";
#define		help_fAnlD_SysNullQ																				\
		HELP "|en|System zero"																					\
					"|de|Systemnullpunkt";
#define		help_fLeerRohrFaktorN																			\
		HELP "|en|Display of the adjusted value for a empty pipe. "			\
						"The pipeline must be empty"														\
					"|de|Abgleichwert fr leeres Messrohr. Die Rohrleitung "	\
						"muss leer sein";
#define		help_fLeerRohrFaktorS																			\
		HELP "|en|Adj. full pipe"																				\
					"|de|Die Schaltschwelle fr Abschaltung ""Leeres Rohr"". "\
						"Diese wird intern nach Abgleich "											\
						"""Leeres Rohr oder Volles Rohr"" errechnet und "				\
						"eingetragen. Bei manueller Eingabe verringert sich "		\
						"die Ansprechzeit bei leerlaufenden Messrohr";
*/
#define		help_f50sMittelwert																				\
		HELP "|en|After start with ENTER a average flow value is "			\
						"started and shown over 50s"														\
					"|de|Nach dem Start mit ENTER wird ber 50s ein "					\
						"Mittelwert ber den Durchfluss gestartet und angezeigt";
#define		help_Kalibrierdatum																				\
		HELP "|en|Display Date of the calibration"											\
					"|de|Anzeige Datum der Kalibrierung";
#define		help_aucOrderNumber																				\
		HELP "|en|Order number of the Instruments"											\
					"|de|Auftragsnummer der Gerte";
