/*
############################################################################
##                                                                        ##
##  Device Description                         									          ##
##  FSM4000                                                               ##
##                                                                        ##
##  Revision:	00.00.01																										##
##                                                                        ##
##  Copyright(C)2003 ABB Automation Products GmbH, all rights reserved    ##
##                                                                        ##
##  This software may not be used, either directly or by reference,       ##
##  such that the software provides functionality to an end customer,     ##
##  unless explicitly lisenced by ABB Automation Products  GmbH.          ##
##                                                                        ##
##    ABB Automation Products GmbH                                        ##
##    Postfach 1843                                                       ##
##    37070 Goettingen                                                    ##
##    Germany                                                             ##
##                                                                        ##
##    Fax: German Number: 0551/905720                                     ##
##         From USA     : +49-551-905-720                                 ##
##                                                                        ##
############################################################################


Date:           

****************************************************************************
                Revision:																				00.00.00


dd_revision: 0                      16.09.2002  b.abstohs

						new device description
						
    new:
      command:
			method:
			menu:
      variables:
      collection of variables:
      REFRESH:

    changes:
    	commands:
    	menu:
    	variables:
			array of collection:
			relation:
    	


############################################################################
*/


/*-------------------------------------------------------------------------*/
/*                              Manufacturer                               */
/*-------------------------------------------------------------------------*/

MANUFACTURER        ABB,
DEVICE_TYPE         _FSM4000,
DEVICE_REVISION     0,
DD_REVISION         0

/*-------------------------------------------------------------------------*/
/*                            Include-Dateien                              */
/*-------------------------------------------------------------------------*/

#include "macros.ddl"
#include "bi_codes.h"

#include "abbdeflb.h"
#include "abbdefhe.h"
#include "abbdeftb.h"
#include "abbdef48.h"


#define		VALIDITY_ucBetriebsart_not_pistonpump       			\
 					VALIDITY	IF (!(ucBetriebsart==1))								\
 						  { TRUE; }																			\
 						ELSE																						\
 						  { FALSE; }
 
/*-------------------------------------------------------------------------*/
/*                              Common Tables                              */
/*-------------------------------------------------------------------------*/

IMPORT STANDARD _TABLES, DEVICE_REVISION 10, DD_REVISION 1
{
  VARIABLE units_code;
	VARIABLE company_identification_code;
	VARIABLE write_protect_code;
}



/*-------------------------------------------------------------------------*/
/*                           Universal Commmands                           */
/*-------------------------------------------------------------------------*/

IMPORT STANDARD _UNIVERSAL, DEVICE_REVISION 5, DD_REVISION 1
{
  EVERYTHING;

  REDEFINITIONS
  {
    VARIABLE device_type
    {
      REDEFINE TYPE ENUMERATED
      {
        { 29 , "FSM4000" }
      }
    }

    VARIABLE manufacturer_id
    {
      REDEFINE TYPE ENUMERATED
      {
        { 26 , "ABB" }
      }
    }

    VARIABLE response_code
    {
      REDEFINE CLASS USER_INTERFACE;
    }
    
		VARIABLE private_label_distributor
    {
      REDEFINE TYPE ENUMERATED
      {
        { 26 , "ABB" }
      }
    }

  }
}



/*-------------------------------------------------------------------------*/
/*                            Common Commmands                             */
/*-------------------------------------------------------------------------*/

IMPORT STANDARD _COMMON_PRACTICE, DEVICE_REVISION 7, DD_REVISION 1
{
	/*	errors													*/
    VARIABLE xmtr_specific_status_0;
    VARIABLE xmtr_specific_status_1;
	/*	error memory										*/
    VARIABLE xmtr_specific_status_12;
    VARIABLE xmtr_specific_status_13;
	/*	warnings												*/
    VARIABLE xmtr_specific_status_6;
    VARIABLE xmtr_specific_status_7;
	/*	status													*/
    VARIABLE xmtr_specific_status_4;
    VARIABLE xmtr_specific_status_5;

		/*  not defined yet																				*/
    VARIABLE xmtr_specific_status_2;									/* # 2 */
    VARIABLE xmtr_specific_status_3;									/* # 3 */
    VARIABLE operating_mode_1;												/* # 6 */
    VARIABLE operating_mode_2;												/* # 7 */
    VARIABLE analog_output_saturated1;								/* # 8 */
    VARIABLE analog_output_saturated2;								/* # 9 */
    VARIABLE analog_output_saturated3;								/* #10 */
    VARIABLE analog_output_fixed1;										/* #11 */
    VARIABLE analog_output_fixed2;										/* #12 */
    VARIABLE analog_output_fixed3;										/* #13 */
    VARIABLE xmtr_specific_status_8;									/* #16 */
    VARIABLE xmtr_specific_status_9;									/* #17 */
    VARIABLE xmtr_specific_status_10;									/* #18 */
    VARIABLE xmtr_specific_status_11;									/* #19 */
    VARIABLE xmtr_specific_status_14;									/* #22 */
    VARIABLE xmtr_specific_status_15;									/* #23 */
    VARIABLE xmtr_specific_status_16;									/* #24 */

    VARIABLE transmitter_variable_code_1;
    VARIABLE transmitter_variable_code_2;
    VARIABLE transmitter_variable_code_3;
    VARIABLE transmitter_variable_code_4;

    COMMAND read_transmitter_variables;              /*  command 33  */
    COMMAND write_pv_damping_value;                  /*  command 34  */
    COMMAND write_pv_range_values;                   /*  command 35  */
    COMMAND reset_configuration_change_flag;         /*  command 38  */
    COMMAND enter_exit_fixed_pv_current_mode;        /*  command 40  */
    COMMAND write_pv_units;			     								 /*  command 44  */
    COMMAND trim_pv_current_dac_zero;                /*  command 45  */
    COMMAND trim_pv_current_dac_gain;                /*  command 46  */
    COMMAND read_additional_transmitter_status;      /*  command 48  */

    METHOD loop_test;
    /*
    METHOD dac_trim;
    */
    METHOD leave_fixed_current_mode;
    METHOD return_to_normal;

    REDEFINITIONS
    {
        VARIABLE xmtr_specific_status_0
        {
          REDEFINE LABEL label_xmtr_specific_status_0;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_00x01,
            xmtr_status_00x02,
            xmtr_status_00x04,
            xmtr_status_00x08,
            xmtr_status_00x10,
            xmtr_status_00x20,
            xmtr_status_00x40,
            xmtr_status_00x80
          }
        }


        VARIABLE xmtr_specific_status_1
        {
          REDEFINE LABEL label_xmtr_specific_status_1;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_01x01,
            xmtr_status_01x02,
            xmtr_status_01x04,
            xmtr_status_01x08
          }
        }

        VARIABLE xmtr_specific_status_4
        {
          REDEFINE LABEL label_xmtr_specific_status_4;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_04x01,
            xmtr_status_04x02,
            xmtr_status_04x04,
            xmtr_status_04x08,
            xmtr_status_04x20
          }
        }

        VARIABLE xmtr_specific_status_5
        {
          REDEFINE LABEL label_xmtr_specific_status_5;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_05x01,
            xmtr_status_05x02,
            xmtr_status_05x04,
            xmtr_status_05x08,
            xmtr_status_05x10,
            xmtr_status_05x20,
            xmtr_status_05x40
          }
        }

        VARIABLE xmtr_specific_status_6
        {
          REDEFINE LABEL label_xmtr_specific_status_6;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_14x01,
            xmtr_status_14x02,
            xmtr_status_14x04,
            xmtr_status_14x08,
            xmtr_status_14x10,
            xmtr_status_14x20,
            xmtr_status_14x40,
            xmtr_status_14x80
          }
        }

        VARIABLE xmtr_specific_status_7
        {
          REDEFINE LABEL label_xmtr_specific_status_7;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_15x01,
            xmtr_status_15x02,
            xmtr_status_15x04,
            xmtr_status_15x08,
            xmtr_status_15x10,
            xmtr_status_15x20,
            xmtr_status_15x40,
            xmtr_status_15x80
          }
        }

        VARIABLE xmtr_specific_status_12
        {
          REDEFINE LABEL label_xmtr_specific_status_12;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_20x01,
            xmtr_status_20x02,
            xmtr_status_20x04,
            xmtr_status_20x08,
            xmtr_status_20x10,
            xmtr_status_20x20,
            xmtr_status_20x40,
            xmtr_status_20x80
          }
        }

        VARIABLE xmtr_specific_status_13
        {
          REDEFINE LABEL label_xmtr_specific_status_13;
          REDEFINE TYPE BIT_ENUMERATED
          {
            xmtr_status_21x01,
            xmtr_status_21x02,
            xmtr_status_21x04,
            xmtr_status_21x08
          }
        }

        COMMAND read_additional_transmitter_status  /* command 48 */
        {
            REDEFINE TRANSACTION
            {
                REQUEST
                {}
                REPLY
                {
                response_code,
                device_status,
                xmtr_specific_status_0,									/* # 0 */
                xmtr_specific_status_1,									/* # 1 */
                xmtr_specific_status_2,									/* # 2 */
                xmtr_specific_status_3,									/* # 3 */
                xmtr_specific_status_4									/* # 4 */
								xmtr_specific_status_5,									/* # 5 */
								operating_mode_1,												/* # 6 */
								operating_mode_2,												/* # 7 */
								analog_output_saturated1,								/* # 8 */
								analog_output_saturated2,								/* # 9 */
								analog_output_saturated3,								/* #10 */
								analog_output_fixed1,										/* #11 */
								analog_output_fixed2,										/* #12 */
								analog_output_fixed3,										/* #13 */
								xmtr_specific_status_6,									/* #14 */
								xmtr_specific_status_7,									/* #15 */
								xmtr_specific_status_8,									/* #16 */
                xmtr_specific_status_9									/* #17 */
								xmtr_specific_status_10,								/* #18 */
								xmtr_specific_status_11,								/* #19 */
								xmtr_specific_status_12,								/* #20 */
								xmtr_specific_status_13,								/* #21 */
								xmtr_specific_status_14,								/* #22 */
								xmtr_specific_status_15,								/* #23 */
								xmtr_specific_status_16									/* #24 */
                }
            }
        }

    }
}



/*-------------------------------------------------------------------------*/
/*                             Rosemount Flow                              */
/*-------------------------------------------------------------------------*/

IMPORT STANDARD _RMTFLOW, DEVICE_REVISION 5, DD_REVISION 2
{
    VARIABLE flow_units;
    VARIABLE flow_value;
    VARIABLE flow_analog_value;
    VARIABLE flow_percent_range;
    VARIABLE flow_upper_range_value;
    VARIABLE flow_lower_range_value;
    VARIABLE flow_minimum_span;
    VARIABLE flow_upper_sensor_limit;
    VARIABLE flow_lower_sensor_limit;
    VARIABLE flow_damping_value;
    VARIABLE flow_alarm_select;
    
    VARIABLE pulse_output_units;
    VARIABLE gross_total_value;             /* Zaehler >V */
    VARIABLE reverse_total_value;           /* Zaehler <R */

    VARIABLE flow_sensor_serial_number;
    VARIABLE transfer_function;

    UNIT pv_unit_relation;
    UNIT sv_unit_relation;

    COLLECTION flow_rate;
    COLLECTION gross_total;
    COLLECTION reverse_total;

    ARRAY transmitter_variables;
    ARRAY dynamic_variables;

    MENU   root_menu;
    MENU   device_setup;
    MENU   process_variables;
    MENU   diag_service;
    MENU   basic_setup;
    MENU   detailed_setup;
    MENU   review;
    MENU   hot_key ;



    REDEFINITIONS
    {

        VARIABLE flow_upper_range_value
        {
          REDEFINE HANDLING READ;
          REDEFINE TYPE FLOAT
          {
            DISPLAY_FORMAT ".2f";
            EDIT_FORMAT ".2f";
          }
        }

        VARIABLE flow_lower_range_value
        {
          REDEFINE HANDLING READ;
          REDEFINE TYPE FLOAT
          {
            DISPLAY_FORMAT ".2f";
            EDIT_FORMAT ".2f";
          }
        }

        VARIABLE flow_upper_sensor_limit
        {
          REDEFINE TYPE FLOAT
          {
            DISPLAY_FORMAT ".2f";
            EDIT_FORMAT ".2f";
          }
        }

        VARIABLE flow_damping_value
        {
					REDEFINE LABEL label_fDaempfung;
  				REDEFINE help_fDaempfung 
  				REDEFINE CLASS DEVICE;
  				REDEFINE HANDLING READ & WRITE;
          REDEFINE TYPE FLOAT
            {
              DISPLAY_FORMAT ".3f";
              EDIT_FORMAT "6.3f";
            }
        }

        VARIABLE gross_total_value
        {
            REDEFINE LABEL "To>F";
            REDEFINE HANDLING READ & WRITE;
						/* keine Anzeige, wenn Betriebsart = Kolbenpumpe */
 						REDEFINE VALIDITY_ucBetriebsart_not_pistonpump
        }

        VARIABLE reverse_total_value
        {
          REDEFINE LABEL "To<R";
          REDEFINE HANDLING READ & WRITE;
					/* keine Anzeige, wenn Betriebsart = Kolbenpumpe */
 					REDEFINE VALIDITY_ucBetriebsart_not_pistonpump
        }

        VARIABLE flow_units
        {
          REDEFINE LABEL label_uiEinheitQv;
          REDEFINE HANDLING READ;
          REDEFINE TYPE ENUMERATED
          {
          	EinheitQv
	        }
  	    }

        VARIABLE pulse_output_units
        {
          REDEFINE LABEL label_uiEinheitZv;
          REDEFINE TYPE ENUMERATED
          {
          	EinheitZv
	        }
	     }


        REDEFINE UNIT pv_unit_relation
        {
          flow_units
          :
           flow_value
          ,flow_upper_range_value
          ,flow_lower_range_value
          ,flow_upper_sensor_limit
          ,flow_lower_sensor_limit
          ,flow_minimum_span
          ,fQmaxDN_ls
          ,fQmax
          ,fQmaxImpuls
        }

        REDEFINE UNIT sv_unit_relation
        {
          pulse_output_units
          :
           gross_total_value
          ,reverse_total_value
          ,diff_total_value
         	,fImpulswertigkeitVolumen
         	,fZaehlerV
         	,fZaehlerR
         	,fZaehlerD
        }


        ARRAY OF COLLECTION transmitter_variables
        {
            REDEFINE ELEMENTS
            {
                /* Index  Item          Description  Help */
                0,      flow_rate,      [flow_rate], "Flow Sensor- Hardware that measures flow rate.";
                1,      gross_total,    [gross_total],"Gross Total- Non-resettable totalizer.";
                2,      reverse_total,  [reverse_total],"Reverse Total- Non-resettable reverse totalizer.";
                3,      diff_total,  		"Diff.total","Diferential Total- Non-resettable reverse totalizer.";
            }
        }

        ARRAY OF COLLECTION dynamic_variables
        {
            REDEFINE ELEMENTS
            {
                PRIMARY,   transmitter_variables[0], [pv], [primary_variable_help];				/* flow_rate    	*/
                SECONDARY, transmitter_variables[1], [sv], [secondary_variable_help];     /* gross_total  	*/
                TERTIARY,  transmitter_variables[2], [tv], [tertiary_variable_help];      /* reverse_total  */
                FOURTH,    transmitter_variables[3], [pv], [primary_variable_help];       /* diff_total		  */
            }
        }

        MENU root_menu
        {
            REDEFINE ITEMS
            {
                device_setup,
                PV.DIGITAL_VALUE 			(DISPLAY_VALUE, READ_ONLY),
                PV.ANALOG_VALUE 			(DISPLAY_VALUE, READ_ONLY),
                PV.PERCENT_RANGE 			(DISPLAY_VALUE, READ_ONLY),
                /*
                PV.UPPER_RANGE_VALUE 	(DISPLAY_VALUE, READ_ONLY)
                */
                col_fQmax.DIGITAL_VALUE	(DISPLAY_VALUE, READ_ONLY)
            }
        }


        MENU process_variables
        {
            REDEFINE ITEMS
            {
                flow_value          (DISPLAY_VALUE, READ_ONLY),
                gross_total_value   (DISPLAY_VALUE, READ_ONLY),
                uiUeberlaufZaehlerV (DISPLAY_VALUE, READ_ONLY),
                reverse_total_value (DISPLAY_VALUE, READ_ONLY),
                uiUeberlaufZaehlerR (DISPLAY_VALUE, READ_ONLY),
                diff_total_value	  (DISPLAY_VALUE, READ_ONLY),
                siZaehlerUeberlaufD (DISPLAY_VALUE, READ_ONLY)
            }
        }


        MENU diag_service
        {
            REDEFINE ITEMS
            {
                method_loop_test,          /* method */
                /* loop_test,       		common-method
                dac_trim,             	common-method  (OPTIONAL) */
                menu_status
            }
        }


        MENU basic_setup
        {
            REDEFINE ITEMS
            {
                /*
                flow_units (DISPLAY_VALUE, READ_ONLY),
                PV.UPPER_RANGE_VALUE (DISPLAY_VALUE, READ_ONLY),
                PV.LOWER_RANGE_VALUE (DISPLAY_VALUE, READ_ONLY),
                */
                fQmax (DISPLAY_VALUE),       						/* variable */
                uiEinheitQv (DISPLAY_VALUE),      			/* variable */
                uiEinheitZv (DISPLAY_VALUE),      			/* variable */
                fDaempfung (DISPLAY_VALUE),     				/* variable */
                tag (DISPLAY_VALUE),                    /* variable */
                descriptor (DISPLAY_VALUE),             /* variable */
                message (DISPLAY_VALUE),                /* variable */
                date (DISPLAY_VALUE)                    /* variable */
            }
        }


        MENU detailed_setup
        {
            REDEFINE ITEMS
            {
                menu_device_info
               ,menu_operating
               ,menu_totalizer
               ,menu_units
               ,menu_operating_config
               ,menu_anzeige
               ,menu_alarme
               ,menu_primary
               ,menu_converter
               ,menu_functiontest
            }
        }


        MENU review
        {
            REDEFINE ITEMS
            {
                device_type (DISPLAY_VALUE, READ_ONLY)
                private_label_distributor (DISPLAY_VALUE, READ_ONLY),
                /*
                flow_units (DISPLAY_VALUE, READ_ONLY),
                flow_upper_range_value(DISPLAY_VALUE, READ_ONLY),
                flow_lower_range_value(DISPLAY_VALUE, READ_ONLY),
                flow_upper_sensor_limit(DISPLAY_VALUE, READ_ONLY),
                flow_lower_sensor_limit(DISPLAY_VALUE, READ_ONLY),
                */
                ucNennweite (DISPLAY_VALUE, READ_ONLY),
                fQmaxDN_ls (DISPLAY_VALUE, READ_ONLY),
                fQmax (DISPLAY_VALUE, READ_ONLY),
                flow_minimum_span(DISPLAY_VALUE,READ_ONLY),
                pulse_output_units (DISPLAY_VALUE, READ_ONLY),
                fDaempfung (DISPLAY_VALUE, READ_ONLY),
    						fImpulswertigkeitVolumen (DISPLAY_VALUE, READ_ONLY),
    						fImpulsbreite_ms (DISPLAY_VALUE, READ_ONLY),
    						fSchleichmenge (DISPLAY_VALUE, READ_ONLY),
    						ucBetriebsart (DISPLAY_VALUE, READ_ONLY),
    						ucFliessrichtung (DISPLAY_VALUE, READ_ONLY),
    						ucRichtungsanzeige (DISPLAY_VALUE, READ_ONLY),

                flow_alarm_select (DISPLAY_VALUE, READ_ONLY),
                transfer_function (DISPLAY_VALUE, READ_ONLY),
                write_protect (DISPLAY_VALUE, READ_ONLY),
                manufacturer_id (DISPLAY_VALUE, READ_ONLY),
                device_id (DISPLAY_VALUE, READ_ONLY),
                tag (DISPLAY_VALUE, READ_ONLY),
                descriptor (DISPLAY_VALUE, READ_ONLY),
                message (DISPLAY_VALUE, READ_ONLY),
                date (DISPLAY_VALUE, READ_ONLY),
                universal_revision (DISPLAY_VALUE, READ_ONLY),
                transmitter_revision (DISPLAY_VALUE, READ_ONLY),
                software_revision (DISPLAY_VALUE, READ_ONLY),
                version (DISPLAY_VALUE, READ_ONLY),
                polling_address (DISPLAY_VALUE, READ_ONLY),
                request_preambles (DISPLAY_VALUE, READ_ONLY)
            }
        }


        MENU hot_key
        {
          REDEFINE ITEMS
          {
                flow_value          (DISPLAY_VALUE, READ_ONLY),
                flow_percent_range  (DISPLAY_VALUE, READ_ONLY),
                flow_analog_value	  (DISPLAY_VALUE, READ_ONLY),
                gross_total_value   (DISPLAY_VALUE, READ_ONLY),
                reverse_total_value (DISPLAY_VALUE, READ_ONLY),
         				diff_total_value		(DISPLAY_VALUE, READ_ONLY)

          }
        }

    }
}






/* root_menu            */
/* I-device_setup       */
/* I I-process_variables*/
/* I I-diag_service     */
/* I I I-Status         */    MENU menu_status
/* I I I                */    {
/* I I I                */        LABEL label_menu_status;
/* I I I                */        ITEMS
/* I I I                */        {
/* I I I                */        		menu_diag_errors						 				/* menu */
/* I I I                */        	 ,menu_diag_errors_memory 		 				/* menu */
/* I I I                */        	 ,menu_diag_warnings 					 				/* menu */
/* I I I                */        	 ,menu_diag_status						 				/* menu */
/* I I I                */           ,method_reset_config_changed_flag    /* method */
/* I I I                */           ,method_reset_errorregister   				/* method */
/* I I I                */        }
/* I I I                */    }
/* I I I                */
/* I I I-Errors         */    MENU menu_diag_errors
/* I I I                */    {
/* I I I                */        LABEL label_menu_diag_errors;
/* I I I                */        ITEMS
/* I I I                */        {
/* I I I                */            xmtr_specific_status_0 		(DISPLAY_VALUE, READ_ONLY)
/* I I I                */           ,xmtr_specific_status_1 	(DISPLAY_VALUE, READ_ONLY)
/* I I I                */        }
/* I I I                */    }
/* I I I                */
/* I I I-Error memory   */    MENU menu_diag_errors_memory
/* I I I                */    {
/* I I I                */        LABEL label_menu_diag_errors_memory;
/* I I I                */        ITEMS
/* I I I                */        {
/* I I I                */            xmtr_specific_status_12 	(DISPLAY_VALUE, READ_ONLY)
/* I I I                */           ,xmtr_specific_status_13 	(DISPLAY_VALUE, READ_ONLY)
/* I I I                */        }
/* I I I                */    }
/* I I I                */
/* I I I-Warnings       */    MENU menu_diag_warnings
/* I I I                */    {
/* I I I                */        LABEL label_menu_diag_warnings;
/* I I I                */        ITEMS
/* I I I                */        {
/* I I I                */            xmtr_specific_status_6 		(DISPLAY_VALUE, READ_ONLY)
/* I I I                */           ,xmtr_specific_status_7 		(DISPLAY_VALUE, READ_ONLY)
/* I I I                */           ,uiNetzAusfallZaehler			(DISPLAY_VALUE, READ_ONLY)
/* I I I                */        }
/* I I I                */    }
/* I I I                */
/* I I I-Status         */    MENU menu_diag_status
/* I I                  */    {
/* I I                  */        LABEL label_menu_diag_status;
/* I I                  */        ITEMS
/* I I                  */        {
/* I I                  */        	 xmtr_specific_status_5 (DISPLAY_VALUE, READ_ONLY)
/* I I                  */          ,xmtr_specific_status_4 (DISPLAY_VALUE, READ_ONLY)
/* I I                  */        }
/* I I                  */    }
/* I I                  */
/* I I-basic_setup      */
/* I I-detailed_setup   */
/* I I I-Sensor         */    MENU menu_device_info
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_device_info;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            HartPollingAddress 				(DISPLAY_VALUE),
/* I I I I              */            tag								 				(DISPLAY_VALUE),
/* I I I I              */            descriptor				 				(DISPLAY_VALUE),
/* I I I I              */            manufacturer_id 	 				(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            device_type				 				(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            date											(DISPLAY_VALUE),
/* I I I I              */            device_id									(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            aucOrderNumber						(DISPLAY_VALUE/*, READ_ONLY*/),
/* I I I I              */            software_revision					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            version										(DISPLAY_VALUE, READ_ONLY),
/* I I I I             	            strAufnehmerTagNr						(DISPLAY_VALUE),*/
/* I I I I                          strMessumformTagNr					(DISPLAY_VALUE),*/
/* I I I I              */            message	        	 				(DISPLAY_VALUE)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-operating    */    MENU menu_operating
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_operating;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            fQmaxDN_ls							 	(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fQmax									  	(DISPLAY_VALUE),
/* I I I I              */            fSchleichmenge	        	(DISPLAY_VALUE),
/* I I I I              */            ucNennweite             	(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            method_edit_fImpulswertigkeitVolumen		,
/* I I I I              */            method_edit_fImpulsbreite_ms						,
/* I I I I              */            ucSchaltausgang          	(DISPLAY_VALUE),
/* I I I I              */            ucSchalteingang         	(DISPLAY_VALUE),
/* I I I I              */            fDaempfung               	(DISPLAY_VALUE)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-totalizer    */    MENU menu_totalizer
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_totalizer;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            method_set_totalizer_forward
/* I I I I              */           ,method_set_totalizer_reverse
/* I I I I              */           ,method_set_totalizer_diff
/* I I I I              */           ,method_reset_totalizer
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-Units        */    MENU menu_units
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_units;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            uiEinheitQv		          (DISPLAY_VALUE),
/* I I I I              */            uiEinheitZv 				    (DISPLAY_VALUE),
/* I I I I              */          	strEinheitenname		    (DISPLAY_VALUE),
/* I I I I              */            fEinheitenfaktor		    (DISPLAY_VALUE),
/* I I I I              */            ucProgEinheitDichte	    (DISPLAY_VALUE),
/* I I I I              */            fDichte							    (DISPLAY_VALUE)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-operat.config*/    MENU menu_operating_config
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_operating_config;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            ucDlrEinAus								(DISPLAY_VALUE),
/* I I I I              */            ucAlarmlRohr							(DISPLAY_VALUE),
/* I I I I              */            ucIoutlRohr								(DISPLAY_VALUE),
/* I I I I              */            ucDlrArt_LNS							(DISPLAY_VALUE),
/* I I I I              */            method_adjust_edp_full_pipe							 ,
/* I I I I              */            method_adjust_edp_empty_pipe						 ,
/* I I I I              */            fLeerRohrFaktorS					(DISPLAY_VALUE),
/* I I I I              */            ucBetriebsart							(DISPLAY_VALUE),
/* I I I I              */            ucRichtungsanzeige				(DISPLAY_VALUE),
/* I I I I              */            ucFliessrichtung	      	(DISPLAY_VALUE),
/* I I I I              */            menu_SysNull														 ,
/* I I I I              */            method_ProgschutzKode_change		/*	method */
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I I Sys.Null.  */    MENU menu_SysNull
/* I I I I I            */    {
/* I I I I I            */        LABEL label_menu_SysNull;
/* I I I I I            */        ITEMS
/* I I I I I            */        {
/* I I I I I            */            fAnlD_SysNullQ						(DISPLAY_VALUE),
/* I I I I I            */            method_auto_abgl_SysNull
/* I I I I I            */        }
/* I I I I I            */    }
/* I I I I              */
/* I I I I              */
/* I I I I-Anzeige      */    MENU menu_anzeige
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_anzeige;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            ucAnzeigeModus						(DISPLAY_VALUE),
/* I I I I              */            ucAnzeigeZeile1						(DISPLAY_VALUE),
/* I I I I              */            ucAnzeigeZeile2						(DISPLAY_VALUE),
/* I I I I              */            ucAnzeigeZeile3						(DISPLAY_VALUE),
/* I I I I              */            ucAnzeigeZeile4						(DISPLAY_VALUE),
/* I I I I              */            ucSprache									(DISPLAY_VALUE)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-Alarme       */    MENU menu_alarme
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_alarme;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            fMaxAlarm									(DISPLAY_VALUE),
/* I I I I              */            fMinAlarm									(DISPLAY_VALUE),
/* I I I I              */            ucIoutAlarm								(DISPLAY_VALUE),
/* I I I I              */            fILowAlarm								(DISPLAY_VALUE),
/* I I I I              */            fIHighAlarm								(DISPLAY_VALUE),
/* I I I I              */            ucAlarmlRohr							(DISPLAY_VALUE),
/* I I I I              */            ucIoutlRohr								(DISPLAY_VALUE),
/* I I I I              */            ucSchaltausgang						(DISPLAY_VALUE)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-Duflu-Sensor */    MENU menu_primary
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_primary;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            fPriD_SpanneQ							(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fPriD_ZeroQ								(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fPriD_PhaseQ							(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fTreiberRegelungRefSpg		(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            aucOrderNumber						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            Kalibrierdatum						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            PrueferNr									(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            PruefstandNr							(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fQmaxDN_ls								(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            ucAufnehmerTyp						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            ucAufnehmerType						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            ucNennweite   						(DISPLAY_VALUE, READ_ONLY)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I              */
/* I I I I-Converter		*/    MENU menu_converter
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_converter;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I                          ucAufnehmerTyp						(DISPLAY_VALUE, READ_ONLY), */
/* I I I I              */            fGD_SpanneVQ70Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_SpanneRQ70Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_SpanneVQ50Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_SpanneRQ50Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_SpanneVQ60Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_SpanneRQ60Hz					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_ZeroQ70Hz							(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_ZeroQ50Hz							(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fGD_ZeroQ60Hz 						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fIout4mAUK1		 						(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            fIout20mAUK1		 					(DISPLAY_VALUE, READ_ONLY),
/* I I I I              */            uiGeraeteNummer						(DISPLAY_VALUE, READ_ONLY)
/* I I I I              */        }
/* I I I I              */    }
/* I I I I              */
/* I I I I-Funct.Test 	*/    MENU menu_functiontest
/* I I I I              */    {
/* I I I I              */        LABEL label_menu_functiontest;
/* I I I I              */        ITEMS
/* I I I I              */        {
/* I I I I              */            method_Test_Schaltausgang
/* I I I I              */           ,method_Test_Schalteingang
/* I I I I              */           ,method_Test_Memory
/* I I I I              */           ,method_Test_Impulsausgang
/* I I I I              */           ,method_Test_QSimulation
/* I I I I              */					 ,method_loop_test
/* I I I I              */					 /* ,upload_variables					 MENU test */
/* I I I I              */        }
/* I I I I              */    }
/* I I                  */
/* I I- review          */

/*-------------------------------------------------------------------------*/
/*                             Difference totalizer                        */
/*-------------------------------------------------------------------------*/


COLLECTION OF VARIABLE diff_total
{
  MEMBERS
  {
     DIGITAL_UNITS, pulse_output_units, [pulse_output_units];
     DIGITAL_VALUE, diff_total_value, [blank], [blank];
  }
}

VARIABLE diff_total_value
{
  LABEL label_fZaehlerD;
  help_fZaehlerD
  CLASS COMPUTATION & DYNAMIC;
  HANDLING READ;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_x_2;
  }
}


/*-------------------------------------------------------------------------*/
/*                                   Units                                 */
/*-------------------------------------------------------------------------*/

VARIABLE unit_percent
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (57)             /* % */
    }
}

UNIT relation_unit_percent
{
    unit_percent
    :
     fSchleichmenge
    ,fAnlD_SysNullQ
    ,fPriD_ZeroQ
    ,fPriD_SpanneQ
    ,fGD_ZeroQ50Hz
    ,fGD_SpanneVQ50Hz
    ,fGD_SpanneRQ50Hz
    ,fGD_ZeroQ60Hz
    ,fGD_SpanneVQ60Hz
    ,fGD_SpanneRQ60Hz
    ,fGD_ZeroQ70Hz
    ,fGD_SpanneVQ70Hz
    ,fGD_SpanneRQ70Hz
    ,fSimulationsWert
    ,fMinAlarm
    ,fMaxAlarm
}

/*-------------------------------------------------------------------------*/


VARIABLE unit_sec
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (51)             /* sek */
    }
}

UNIT relation_unit_sec
{
    unit_sec
    :
    fDaempfung
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_Hz
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (38)             /* Hz */
    }
}

UNIT relation_unit_Hz
{
    unit_Hz
    :
    fFunkTestAusgabeImpulse
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_ma
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (39)             /* mA */
    }
}

UNIT relation_unit_ma
{
    unit_ma
    :
    fIout4mAUK1
    ,fIout20mAUK1
    ,fILowAlarm
    ,fIHighAlarm
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_meter_per_sec
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (21)             /* m/s */
    }
}

UNIT relation_unit_meter_per_sec
{
    unit_meter_per_sec
    :
		fQ10MS
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_none
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (250)             /* none */
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_millivolts
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (36)             /* mV */
    }
}

UNIT relation_unit_millivolts
{
    unit_millivolts
    :
		fTreiberRegelungRefSpg
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_special_ms
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (253)             /* special milliSecond */
    }
}

/*
UNIT relation_unit_special_ms
{
    unit_special_ms
    :
		fImpulsbreite_ms
}
*/
/*-------------------------------------------------------------------------*/

VARIABLE unit_special_uSec
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
       { 248, "s" ,"mikrosecond" }					  /* special microSecond */
    }
}

UNIT relation_unit_special_uSec
{
    unit_special_uSec
    :
		fGD_KanalQ50Hz
		,fGD_KanalQ60Hz
		,fGD_KanalQ70Hz

}

/*-------------------------------------------------------------------------*/

VARIABLE unit_dichte
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (91 )		         /* g/cm3   */
    }
}


UNIT relation_unit_dichte
{
    unit_dichte
    :
		fDichte
}

/*-------------------------------------------------------------------------*/

VARIABLE unit_liter
{
    CLASS INPUT;
    HANDLING READ & WRITE;
    TYPE ENUMERATED
    {
        UNITS_CODE (41 )		         /* liter  */
    }
}

UNIT relation_unit_liter
{
    unit_liter
    :
		fEinheitenfaktor
}

/*-------------------------------------------------------------------------*/
/*                              Char Variables                             */
/*-------------------------------------------------------------------------*/

VARIABLE ucSprache
{
	LABEL label_ucSprache;
  help_ucSprache 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    Sprache
	}
}

COLLECTION OF VARIABLE col_ucSprache								/* cmd 128, 129 slot 0 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSprache, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucNennweite
{
	LABEL label_ucNennweite;
  help_ucNennweite 
  CLASS DEVICE;
  HANDLING READ	& WRITE ;
  TYPE ENUMERATED
	{
    Nennweite
	}
}

COLLECTION OF VARIABLE col_ucNennweite							/* cmd 128, 129 slot 1 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucNennweite, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE uiEinheitQv
{
	LABEL label_uiEinheitQv;
  help_uiEinheitQv 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    EinheitQv
	}
}

COLLECTION OF VARIABLE col_uiEinheitQv							/* cmd 128, 129 slot 3 */
{
    MEMBERS
    {
        DIGITAL_VALUE, uiEinheitQv, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE uiEinheitZv
{
	LABEL label_uiEinheitZv;
  help_uiEinheitZv 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    EinheitZv
	}
}

COLLECTION OF VARIABLE col_uiEinheitZv							/* cmd 128, 129 slot 4 */
{
    MEMBERS
    {
        DIGITAL_VALUE, uiEinheitZv, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucProgEinheitDichte
{
	LABEL label_ucProgEinheitDichte;
	help_ucProgEinheitDichte
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    ProgEinheit
	}
}

COLLECTION OF VARIABLE col_ucProgEinheitDichte			/* cmd 128, 129 slot 5 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucProgEinheitDichte, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucSchaltausgang
{
	LABEL label_ucSchaltausgang;
  help_ucSchaltausgang 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    ArtSchaltausgang
	}
}

COLLECTION OF VARIABLE col_ucSchaltausgang					/* cmd 128, 129 slot 6 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSchaltausgang, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucSchalteingang
{
	LABEL label_ucSchalteingang;
  help_ucSchalteingang 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
    ArtSchalteingang
	}
}

COLLECTION OF VARIABLE col_ucSchalteingang					/* cmd 128, 129 slot 7 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSchalteingang, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucIoutAlarm
{
	LABEL label_ucIoutAlarm;
  help_ucIoutAlarm 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	LowHighAlarm
	}
}

COLLECTION OF VARIABLE col_ucIoutAlarm							/* cmd 128, 129 slot 9 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucIoutAlarm, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucDlrEinAus
{
	LABEL label_ucDlrEinAus;
  help_ucDlrEinAus 
  CLASS DEVICE;
  HANDLING READ & WRITE;                                                        
  /* gltig nur fr nennweiten >= DN 10 */
  VALIDITY
    IF
      (ucNennweite > 3 && ucNennweite < 43)
      { TRUE; }
    ELSE
      { FALSE; }
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucDlrEinAus							/* cmd 128, 129 slot 13 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucDlrEinAus, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAlarmlRohr
{
	LABEL label_ucAlarmlRohr;
  help_ucAlarmlRohr 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  /* gltig nur wenn DLR = ein */
  VALIDITY
    IF	(ucDlrEinAus == 1)			{ TRUE; }
    ELSE									      { FALSE; }
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucAlarmlRohr							/* cmd 128, 129 slot 14 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAlarmlRohr, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucIoutlRohr
{
	LABEL label_ucIoutlRohr;
  help_ucIoutlRohr 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  /* gltig nur wenn DLR = ein */
  VALIDITY
    IF	(ucDlrEinAus == 1)			{ TRUE; }
    ELSE									      { FALSE; }
  TYPE ENUMERATED
	{
  	LowHigh0ProzentAlarm
	}
}

COLLECTION OF VARIABLE col_ucIoutlRohr							/* cmd 128, 129 slot 15 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucIoutlRohr, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucSimulationEin
{
	LABEL label_ucSimulationEin;
  help_ucSimulationEin 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucSimulationEin					/* cmd 128, 129 slot 16 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSimulationEin, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucTestModeEin
{
	LABEL label_ucTestModeEin;
  help_ucTestModeEin 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucTestModeEin						/* cmd 128, 129 slot 17 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucTestModeEin, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeZeile1
{
	LABEL label_ucAnzeigeZeile1;
  help_ucAnzeigeZeile1 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AnzeigeZeilex
	}
}

COLLECTION OF VARIABLE col_ucAnzeigeZeile1					/* cmd 128, 129 slot 19 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeZeile1, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeZeile2
{
	LABEL label_ucAnzeigeZeile2;
  help_ucAnzeigeZeile2 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AnzeigeZeilex
	}
}

COLLECTION OF VARIABLE col_ucAnzeigeZeile2					/* cmd 128, 129 slot 20 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeZeile2, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeZeile3
{
	LABEL label_ucAnzeigeZeile3;
  help_ucAnzeigeZeile3 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AnzeigeZeilex
	}
}

COLLECTION OF VARIABLE col_ucAnzeigeZeile3					/* cmd 128, 129 slot 21 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeZeile3, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeZeile4
{
	LABEL label_ucAnzeigeZeile4;
  help_ucAnzeigeZeile4 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AnzeigeZeilex
	}
}

COLLECTION OF VARIABLE col_ucAnzeigeZeile4					/* cmd 128, 129 slot 22 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeZeile4, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucBetriebsart
{
	LABEL label_ucBetriebsart;
  help_ucBetriebsart 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Betriebsart
	}
}

COLLECTION OF VARIABLE col_ucBetriebsart						/* cmd 128, 129 slot 23 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucBetriebsart, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucFliessrichtung
{
	LABEL label_ucFliessrichtung;
  help_ucFliessrichtung 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Fliessrichtung
	}
}

COLLECTION OF VARIABLE col_ucFliessrichtung					/* cmd 128, 129 slot 24 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucFliessrichtung, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucRichtungsanzeige
{
	LABEL label_ucRichtungsanzeige;
  help_ucRichtungsanzeige 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Richtungsanzeige
	}
}

COLLECTION OF VARIABLE col_ucRichtungsanzeige				/* cmd 128, 129 slot 25 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucRichtungsanzeige, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAufnehmerType
{
	LABEL label_ucAufnehmerType;
  help_ucAufnehmerType 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AufnehmerType
	}
}

COLLECTION OF VARIABLE col_ucAufnehmerType					/* cmd 128, 129 slot 30 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAufnehmerType, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAufnehmerTyp
{
	LABEL label_ucAufnehmerTyp;
  help_ucAufnehmerTyp 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AufnehmerTyp
	}
}

COLLECTION OF VARIABLE col_ucAufnehmerTyp					/* cmd 128, 129 slot 31 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAufnehmerTyp, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE HartPollingAddress
{
	LABEL label_HartPollingAddress;
  help_HartPollingAddress 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE UNSIGNED_INTEGER
  {
		MAX_VALUE 15;
  }
}

COLLECTION OF VARIABLE col_HartPollingAddress			/* cmd 128, 129 slot 32 */
{
    MEMBERS
    {
        DIGITAL_VALUE, HartPollingAddress, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeModus
{
	LABEL label_ucAnzeigeModus;
  help_ucAnzeigeModus 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AnzeigeModus
	}
}

COLLECTION OF VARIABLE col_ucAnzeigeModus					/* cmd 128, 129 slot 33 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeModus, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAnzeigeKontrast
{
	LABEL label_ucAnzeigeKontrast;
  help_ucAnzeigeKontrast 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE UNSIGNED_INTEGER;
}

COLLECTION OF VARIABLE col_ucAnzeigeKontrast			/* cmd 128, 129 slot 34 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAnzeigeKontrast, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucKommunikation
{
	LABEL label_ucKommunikation;
  help_ucKommunikation 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Schnittstelle
	}
}

COLLECTION OF VARIABLE col_ucKommunikation				/* cmd 128, 129 slot 35 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucKommunikation, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucTreiber
{
	LABEL label_ucTreiber;
  help_ucTreiber 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Treiber
	}
}

COLLECTION OF VARIABLE col_ucTreiber							/* cmd 128, 129 slot 36 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucTreiber, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucBestellVariante
{
	LABEL label_ucBestellVariante;
  help_ucBestellVariante 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE UNSIGNED_INTEGER;
}

COLLECTION OF VARIABLE col_ucBestellVariante			/* cmd 128, 129 slot 37 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucBestellVariante, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucNetzfrequenz
{
	LABEL label_ucNetzfrequenz;
  help_ucNetzfrequenz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	Netzfrequenz
	}
}

COLLECTION OF VARIABLE col_ucNetzfrequenz					/* cmd 128, 129 slot 38 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucNetzfrequenz, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucStartUpKommuService
{
	LABEL label_ucStartUpKommuService;
  help_ucStartUpKommuService 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	STARTUPTTLSERVICE
	}
}

COLLECTION OF VARIABLE col_ucStartUpKommuService	/* cmd 128, 129 slot 39 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucStartUpKommuService, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucTestImpulsausgangEin
{
	LABEL label_ucTestImpulsausgangEin;
  help_ucTestImpulsausgangEin 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucTestImpulsausgangEin	/* cmd 128, 129 slot 40 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucTestImpulsausgangEin, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucIoutArt
{
	LABEL label_ucIoutArt;
  help_ucIoutArt 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	ArtStromausgang
	}
}

COLLECTION OF VARIABLE col_ucIoutArt							/* cmd 128, 129 slot 41 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucIoutArt, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucKommuServiceStecker
{
	LABEL label_ucKommuServiceStecker;
  help_ucKommuServiceStecker 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	TTLSERVICE
	}
}

COLLECTION OF VARIABLE col_ucKommuServiceStecker	/* cmd 128, 129 slot 42 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucKommuServiceStecker, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucImpulsZustand
{
	LABEL label_ucImpulsZustand;
  help_ucImpulsZustand 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	ImpulsAktPas
	}
}

COLLECTION OF VARIABLE col_ucImpulsZustand				/* cmd 128, 129 slot 43 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucImpulsZustand, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucAktuellVariante
{
	LABEL label_ucAktuellVariante;
  help_ucAktuellVariante 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	AKTVARIANTE
	}
}

COLLECTION OF VARIABLE col_ucAktuellVariante			/* cmd 128, 129 slot 44 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucAktuellVariante, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucSchalteingangTest
{
	LABEL label_ucSchalteingangTest;
  help_ucSchalteingangTest 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucSchalteingangTest		/* cmd 128, 129 slot 45 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSchalteingangTest, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucSchaltausgangTest
{
	LABEL label_ucSchaltausgangTest;
  help_ucSchaltausgangTest 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucSchaltausgangTest		/* cmd 128, 129 slot 46 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucSchaltausgangTest, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucDlrArt_LNS
{
	LABEL label_ucDlrArt_LNS;
  help_ucDlrArt_LNS 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  /* gltig nur wenn DLR = ein */
  VALIDITY
    IF
      (ucDlrEinAus == 1)
      { TRUE; }
    ELSE
      { FALSE; }
  TYPE ENUMERATED
	{
  	DlrArt
	}
}

COLLECTION OF VARIABLE col_ucDlrArt_LNS						/* cmd 128, 129 slot 47 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucDlrArt_LNS, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/

VARIABLE ucEigenerregt
{
	LABEL label_ucEigenerregt;
  help_ucEigenerregt 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
	{
  	EinAus
	}
}

COLLECTION OF VARIABLE col_ucEigenerregt					/* cmd 128, 129 slot 48 */
{
    MEMBERS
    {
        DIGITAL_VALUE, ucEigenerregt, [blank], [blank];
    }
}

/*-------------------------------------------------------------------------*/


/*-------------------------------------------------------------------------*/
/*               Char Variables READ WRITE Commands                        */
/*-------------------------------------------------------------------------*/

ARRAY OF COLLECTION unsigned_char_variables
{
    LABEL "Collection char variables";
    HELP  "Help char variables";
    ELEMENTS
    {
        /* Index  Item                           Description Help */

        0,        col_ucSprache                  , [blank],  [blank];
        1,        col_ucNennweite                , [blank],  [blank];
        3,        col_uiEinheitQv                , [blank],  [blank];
        4,        col_uiEinheitZv             	 , [blank],  [blank];
        5,        col_ucProgEinheitDichte        , [blank],  [blank];
        6,        col_ucSchaltausgang            , [blank],  [blank];
        7,        col_ucSchalteingang            , [blank],  [blank];
        9,        col_ucIoutAlarm                , [blank],  [blank];
       13,        col_ucDlrEinAus                , [blank],  [blank];
       14,        col_ucAlarmlRohr               , [blank],  [blank];
       15,        col_ucIoutlRohr                , [blank],  [blank];
       16,        col_ucSimulationEin            , [blank],  [blank];
       17,        col_ucTestModeEin              , [blank],  [blank];
       19,        col_ucAnzeigeZeile1            , [blank],  [blank];
       20,        col_ucAnzeigeZeile2            , [blank],  [blank];
       21,        col_ucAnzeigeZeile3            , [blank],  [blank];
       22,        col_ucAnzeigeZeile4            , [blank],  [blank];
       23,        col_ucBetriebsart              , [blank],  [blank];
       24,        col_ucFliessrichtung           , [blank],  [blank];
       25,        col_ucRichtungsanzeige         , [blank],  [blank];
       30,        col_ucAufnehmerType            , [blank],  [blank];
       31,        col_ucAufnehmerTyp             , [blank],  [blank];
       32,        col_HartPollingAddress         , [blank],  [blank];
       33,        col_ucAnzeigeModus             , [blank],  [blank];
       34,        col_ucAnzeigeKontrast          , [blank],  [blank];
       35,        col_ucKommunikation            , [blank],  [blank];
       36,        col_ucTreiber                  , [blank],  [blank];
       37,        col_ucBestellVariante          , [blank],  [blank];
       38,        col_ucNetzfrequenz             , [blank],  [blank];
       39,        col_ucStartUpKommuService      , [blank],  [blank];
       40,        col_ucTestImpulsausgangEin     , [blank],  [blank];
       41,        col_ucIoutArt                  , [blank],  [blank];
       42,        col_ucKommuServiceStecker      , [blank],  [blank];
       43,        col_ucImpulsZustand            , [blank],  [blank];
       44,        col_ucAktuellVariante          , [blank],  [blank];
       45,        col_ucSchalteingangTest        , [blank],  [blank];
       46,        col_ucSchaltausgangTest        , [blank],  [blank];
       47,        col_ucDlrArt_LNS               , [blank],  [blank];
       48,        col_ucEigenerregt    					 , [blank],  [blank];
    }
}              
                  
                            
VARIABLE unsigned_char_variable_code
{
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX unsigned_char_variables;
	CLASS USER_INTERFACE;

}


COMMAND read_unsigned_char_variables
{
  NUMBER 128;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
      unsigned_char_variable_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
      unsigned_char_variable_code,
      unsigned_char_variables[unsigned_char_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        	[no_command_specific_errors];
		2,	MISC_ERROR,				[invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		5,	MISC_ERROR,				[too_few_data_bytes_recieved];
		6,	MISC_ERROR,				[xmtr_specific_command_error];
   16, 	MODE_ERROR,   		[access_restricted];
   32, 	MISC_ERROR,  			"device busy";
	}
}


COMMAND write_unsigned_char_variables
{
  NUMBER 129;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
      unsigned_char_variable_code (INFO,INDEX)
      unsigned_char_variables[unsigned_char_variable_code].DIGITAL_VALUE
		}

		REPLY
		{
			response_code, device_status,
      unsigned_char_variable_code,
      unsigned_char_variables[unsigned_char_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32,  MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*             Unsigned int Variables                                      */
/*-------------------------------------------------------------------------*/

/*------------------------------------------------------------------------*/

VARIABLE keine_einheit
{
  CLASS INPUT;
  HANDLING READ & WRITE;
  TYPE ENUMERATED
  {
    UNITS_CODE (250)					/* not_used */
  }
}
/*------------------------------------------------------------------------*/


VARIABLE uiUeberlaufZaehlerV
{
    LABEL label_uiUeberlaufZaehlerV;
    help_uiUeberlaufZaehlerV 
    CLASS COMPUTATION & DYNAMIC;
    HANDLING READ;
    VALIDITY_ucBetriebsart_not_pistonpump
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiUeberlaufZaehlerV
{
    MEMBERS
    {
        DIGITAL_VALUE, uiUeberlaufZaehlerV 			, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE uiUeberlaufZaehlerR
{
    LABEL label_uiUeberlaufZaehlerR;
    help_uiUeberlaufZaehlerR 
    CLASS COMPUTATION & DYNAMIC;
    HANDLING READ;
    VALIDITY_ucBetriebsart_not_pistonpump
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiUeberlaufZaehlerR
{
    MEMBERS
    {
        DIGITAL_VALUE, uiUeberlaufZaehlerR 			, 	[blank], [blank];
    }
}


/*------------------------------------------------------------------*/

VARIABLE uiNetzAusfallZaehler
{
    LABEL label_uiNetzAusfallZaehler;
    help_uiNetzAusfallZaehler 
    CLASS COMPUTATION & DYNAMIC;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiNetzAusfallZaehler
{
    MEMBERS
    {
        DIGITAL_VALUE, uiNetzAusfallZaehler 			, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE uiServiceKode
{
    LABEL label_uiServiceKode;
    help_uiServiceKode 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiServiceKode
{
    MEMBERS
    {
        DIGITAL_VALUE, uiServiceKode			 			, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE uiGeraeteNummer
{
    LABEL label_uiGeraeteNummer;
    help_uiGeraeteNummer 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiGeraeteNummer
{
    MEMBERS
    {
        DIGITAL_VALUE, uiGeraeteNummer		 			, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE uiTreiberSteuerungDac
{
    LABEL label_uiTreiberSteuerungDac;
    help_uiTreiberSteuerungDac 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiTreiberSteuerungDac
{
    MEMBERS
    {
        DIGITAL_VALUE, uiTreiberSteuerungDac		, 	[blank], [blank];
    }
}


/*------------------------------------------------------------------*/

VARIABLE uiMinDacAmplitude
{
    LABEL label_uiMinDacAmplitude;
    help_uiMinDacAmplitude 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiMinDacAmplitude
{
    MEMBERS
    {
        DIGITAL_VALUE, uiMinDacAmplitude				, 	[blank], [blank];
    }
}


/*------------------------------------------------------------------*/

VARIABLE uiMaxDacAmplitude
{
    LABEL label_uiMaxDacAmplitude;
    help_uiMaxDacAmplitude 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiMaxDacAmplitude
{
    MEMBERS
    {
        DIGITAL_VALUE, uiMaxDacAmplitude				, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE PruefstandNr
{
    LABEL label_PruefstandNr;
    help_PruefstandNr 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_PruefstandNr
{
    MEMBERS
    {
        DIGITAL_VALUE, PruefstandNr							, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE ucStatus
{
    LABEL label_ucStatus;
    help_ucStatus 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_ucStatus
{
    MEMBERS
    {
        DIGITAL_VALUE, ucStatus									, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE uiDspReset
{
    LABEL label_uiDspReset;
    help_uiDspReset 
    CLASS DEVICE;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_uiDspReset
{
    MEMBERS
    {
        DIGITAL_VALUE, uiDspReset								, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/

VARIABLE ProgschutzKode
{
    LABEL label_ProgschutzKode;
    help_ProgschutzKode 
    CLASS DEVICE;
    HANDLING READ & WRITE;
    TYPE UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "5u";
        EDIT_FORMAT "5u";
    }
}

COLLECTION OF VARIABLE col_ProgschutzKode
{
    MEMBERS
    {
        DIGITAL_VALUE, ProgschutzKode						, 	[blank], [blank];
    }
}


/*------------------------------------------------------------------*/

VARIABLE siZaehlerUeberlaufD
{
    LABEL label_siZaehlerUeberlaufD;
    help_siZaehlerUeberlaufD 
    CLASS COMPUTATION & DYNAMIC;
    HANDLING READ;
    TYPE INTEGER (2)
    {
        DISPLAY_FORMAT "5d";
        EDIT_FORMAT "5d";
    }
}

COLLECTION OF VARIABLE col_siZaehlerUeberlaufD
{
    MEMBERS
    {
        DIGITAL_VALUE, siZaehlerUeberlaufD			, 	[blank], [blank];
    }
}

/*------------------------------------------------------------------*/


/*-------------------------------------------------------------------------*/
/*             Unsigned int Variables READ WRITE Commands                  */
/*-------------------------------------------------------------------------*/


ARRAY OF COLLECTION int_variables
{
    LABEL "col ui_var";
    HELP  "help unsigned integer variables";
    ELEMENTS
    {
     /* Index  Item                         Description      Help */
        3,   col_uiUeberlaufZaehlerV         , [blank],     [blank];
        4,   col_uiUeberlaufZaehlerR         , [blank],     [blank];
        5,   col_uiNetzAusfallZaehler        , [blank],     [blank];
        6,   col_uiServiceKode               , [blank],     [blank];
        7,   col_uiGeraeteNummer             , [blank],     [blank];
        8,   col_uiTreiberSteuerungDac       , [blank],     [blank];
        /*
        9,   col_uiDCOffsetSchaltSchw        , [blank],     [blank];
       10,   col_uiDCOffsetSchaltSchwDyn     , [blank],     [blank];
       */
       11,   col_uiMinDacAmplitude           , [blank],     [blank];
       12,   col_uiMaxDacAmplitude           , [blank],     [blank];
       13,   col_PruefstandNr                , [blank],     [blank];
       14,   col_ucStatus                    , [blank],     [blank];
       15,   col_uiDspReset                  , [blank],     [blank];
       16,   col_ProgschutzKode              , [blank],     [blank];
       18,   col_siZaehlerUeberlaufD         , [blank],     [blank];
       19,   col_uiTreiberSteuerungDac       , [blank],     [blank];
    }          
}              
               

VARIABLE int_variable_code
{
	HELP [index_into_dynamic_variables_array_help];
    TYPE INDEX int_variables;
	CLASS USER_INTERFACE;
}


COMMAND read_int_variables
{
  NUMBER 130;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
    	int_variable_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
      int_variable_code,
      int_variables[int_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        [no_command_specific_errors];
		2,	MISC_ERROR,			[invalid_selection];
		5,	MISC_ERROR,			[too_few_data_bytes_recieved];
		6,	MISC_ERROR,			[xmtr_specific_command_error];
    16, MODE_ERROR,   	[access_restricted];
    32, MISC_ERROR,  		"device busy";
	}
}


COMMAND write_int_variables
{
  NUMBER 131;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
    	int_variable_code (INFO,INDEX)
      int_variables[int_variable_code].DIGITAL_VALUE
		}

		REPLY
		{
			response_code, device_status,
      int_variable_code,
      int_variables[int_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, 	MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*                              Float Variables                            */
/*-------------------------------------------------------------------------*/

VARIABLE fQmaxDN_ls
{
	LABEL label_fQmaxDN_ls;
  help_fQmaxDN_ls 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
  /* {    DISPLAY_FORMAT ".3f";  } */
}

COLLECTION OF VARIABLE col_fQmaxDN_ls
{
  MEMBERS
  {
    DIGITAL_VALUE, fQmaxDN_ls           , [blank], [blank];
    DIGITAL_UNITS, flow_units 				  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fQmax
{
	LABEL label_fQmax;
  help_fQmax 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fQmax
{
  MEMBERS
  {
    DIGITAL_VALUE, fQmax           , [blank], [blank];
    DIGITAL_UNITS, flow_units			 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fImpulswertigkeitVolumen
{
	LABEL label_fImpulswertigkeitVolumen;
  help_fImpulswertigkeitVolumen 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fImpulswertigkeitVolumen
{
  MEMBERS
  {
    DIGITAL_VALUE, fImpulswertigkeitVolumen           , [blank], [blank];
    DIGITAL_UNITS, pulse_output_units								  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fImpulsbreite_ms
{
	LABEL label_fImpulsbreite_ms;
  help_fImpulsbreite_ms 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  CONSTANT_UNIT "ms";
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fImpulsbreite_ms
{
  MEMBERS
  {
    DIGITAL_VALUE, fImpulsbreite_ms           , [blank]	, [blank];
    DIGITAL_UNITS, unit_special_ms					  , blnk		, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fSchleichmenge
{
	LABEL label_fSchleichmenge;
  help_fSchleichmenge 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	EDIT_FLOAT_PRECISION_8_3;
  }
}

COLLECTION OF VARIABLE col_fSchleichmenge
{
  MEMBERS
  {
    DIGITAL_VALUE, fSchleichmenge           , [blank], [blank];
    DIGITAL_UNITS, unit_percent						  , blnk	 , blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fDaempfung
{
	LABEL label_fDaempfung;
  help_fDaempfung 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_6_2;
  	EDIT_FLOAT_PRECISION_6_2;
  }
}

COLLECTION OF VARIABLE col_fDaempfung
{
  MEMBERS
  {
    DIGITAL_VALUE, fDaempfung           , [blank], [blank];
    DIGITAL_UNITS, unit_sec						  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fDichte
{
	LABEL label_fDichte;
  help_fDichte 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fDichte
{
  MEMBERS
  {
    DIGITAL_VALUE, fDichte           , [blank], [blank];
    DIGITAL_UNITS, unit_dichte			 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fAnlD_SysNullQ
{
	LABEL label_fAnlD_SysNullQ;
  help_fAnlD_SysNullQ 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fAnlD_SysNullQ
{
  MEMBERS
  {
    DIGITAL_VALUE, fAnlD_SysNullQ           , [blank], [blank];
    DIGITAL_UNITS, unit_percent						  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fEinheitenfaktor
{
	LABEL label_fEinheitenfaktor;
  help_fEinheitenfaktor 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_4;
  	EDIT_FLOAT_PRECISION_8_4;
  }
}

COLLECTION OF VARIABLE col_fEinheitenfaktor
{
  MEMBERS
  {
    DIGITAL_VALUE, fEinheitenfaktor           , [blank], [blank];
    DIGITAL_UNITS, unit_liter								  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fFlaecheVollesRohr
{
	LABEL label_fFlaecheVollesRohr;
  help_fFlaecheVollesRohr 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fFlaecheVollesRohr
{
  MEMBERS
  {
    DIGITAL_VALUE, fFlaecheVollesRohr           , [blank], [blank];
    DIGITAL_UNITS, unit_none									  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fZaehlerV
{
	LABEL label_fZaehlerV;
  help_fZaehlerV 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_4;
  	EDIT_FLOAT_PRECISION_7_4;
  }
}

COLLECTION OF VARIABLE col_fZaehlerV
{
  MEMBERS
  {
    DIGITAL_VALUE, fZaehlerV           , [blank], [blank];
    DIGITAL_UNITS, pulse_output_units  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fZaehlerR
{
	LABEL label_fZaehlerR;
  help_fZaehlerR 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_4;
  	EDIT_FLOAT_PRECISION_7_4;
  }
}

COLLECTION OF VARIABLE col_fZaehlerR
{
  MEMBERS
  {
    DIGITAL_VALUE, fZaehlerR           , [blank], [blank];
    DIGITAL_UNITS, pulse_output_units	 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fPriD_ZeroQ
{
	LABEL label_fPriD_ZeroQ;
  help_fPriD_ZeroQ 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fPriD_ZeroQ
{
  MEMBERS
  {
    DIGITAL_VALUE, fPriD_ZeroQ           , [blank], [blank];
    DIGITAL_UNITS, unit_percent					  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fPriD_SpanneQ
{
	LABEL label_fPriD_SpanneQ;
  help_fPriD_SpanneQ 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fPriD_SpanneQ
{
  MEMBERS
  {
    DIGITAL_VALUE, fPriD_SpanneQ           , [blank], [blank];
    DIGITAL_UNITS, unit_percent					   , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fPriD_PhaseQ
{
	LABEL label_fPriD_PhaseQ;
  help_fPriD_PhaseQ 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fPriD_PhaseQ
{
  MEMBERS
  {
    DIGITAL_VALUE, fPriD_PhaseQ           , [blank], [blank];
    DIGITAL_UNITS, unit_none						  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fIout4mAUK1
{
	LABEL label_fIout4mAUK1;
  help_fIout4mAUK1 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fIout4mAUK1
{
  MEMBERS
  {
    DIGITAL_VALUE, fIout4mAUK1           , [blank], [blank];
    DIGITAL_UNITS, unit_ma							 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fIout20mAUK1
{
	LABEL label_fIout20mAUK1;
  help_fIout20mAUK1 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fIout20mAUK1
{
  MEMBERS
  {
    DIGITAL_VALUE, fIout20mAUK1           , [blank], [blank];
    DIGITAL_UNITS, unit_ma							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_KanalQ50Hz
{
	LABEL label_fGD_KanalQ50Hz;
  help_fGD_KanalQ50Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_KanalQ50Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_KanalQ50Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_special_uSec				, blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_ZeroQ50Hz
{
	LABEL label_fGD_ZeroQ50Hz;
  help_fGD_ZeroQ50Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==1) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_ZeroQ50Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_ZeroQ50Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent						 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneVQ50Hz
{
	LABEL label_fGD_SpanneVQ50Hz;
  help_fGD_SpanneVQ50Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==1) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneVQ50Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneVQ50Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneRQ50Hz
{
	LABEL label_fGD_SpanneRQ50Hz;
  help_fGD_SpanneRQ50Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==1) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneRQ50Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneRQ50Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_KanalQ60Hz
{
	LABEL label_fGD_KanalQ60Hz;
  help_fGD_KanalQ60Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_KanalQ60Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_KanalQ60Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_special_uSec			  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_ZeroQ60Hz
{
	LABEL label_fGD_ZeroQ60Hz;
  help_fGD_ZeroQ60Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==2) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_ZeroQ60Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_ZeroQ60Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent						 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneVQ60Hz
{
	LABEL label_fGD_SpanneVQ60Hz;
  help_fGD_SpanneVQ60Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==2) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneVQ60Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneVQ60Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneRQ60Hz
{
	LABEL label_fGD_SpanneRQ60Hz;
  help_fGD_SpanneRQ60Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==2) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneRQ60Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneRQ60Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_KanalQ70Hz
{
	LABEL label_fGD_KanalQ70Hz;
  help_fGD_KanalQ70Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_KanalQ70Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_KanalQ70Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_special_uSec			  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_ZeroQ70Hz
{
	LABEL label_fGD_ZeroQ70Hz;
  help_fGD_ZeroQ70Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==0) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_ZeroQ70Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_ZeroQ70Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent					   , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneVQ70Hz
{
	LABEL label_fGD_SpanneVQ70Hz;
  help_fGD_SpanneVQ70Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==0) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneVQ70Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneVQ70Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fGD_SpanneRQ70Hz
{
	LABEL label_fGD_SpanneRQ70Hz;
  help_fGD_SpanneRQ70Hz 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY IF (ucAufnehmerTyp==0) {TRUE;} ELSE {FALSE;}
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fGD_SpanneRQ70Hz
{
  MEMBERS
  {
    DIGITAL_VALUE, fGD_SpanneRQ70Hz           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fLeerRohrFaktor
{
	LABEL label_fLeerRohrFaktor;
  help_fLeerRohrFaktor 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fLeerRohrFaktor
{
  MEMBERS
  {
    DIGITAL_VALUE, fLeerRohrFaktor           , [blank], [blank];
    DIGITAL_UNITS, unit_none								 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fILowAlarm
{
	LABEL label_fILowAlarm;
  help_fILowAlarm 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_3;
  	EDIT_FLOAT_PRECISION_8_3;
  }
}

COLLECTION OF VARIABLE col_fILowAlarm
{
  MEMBERS
  {
    DIGITAL_VALUE, fILowAlarm           , [blank], [blank];
    DIGITAL_UNITS, unit_ma						  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fIHighAlarm
{
	LABEL label_fIHighAlarm;
  help_fIHighAlarm 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_3;
  	EDIT_FLOAT_PRECISION_8_3;
  }
}

COLLECTION OF VARIABLE col_fIHighAlarm
{
  MEMBERS
  {
    DIGITAL_VALUE, fIHighAlarm           , [blank], [blank];
    DIGITAL_UNITS, unit_ma							 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fZaehlerD
{
	LABEL label_fZaehlerD;
  help_fZaehlerD 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_4;
  	EDIT_FLOAT_PRECISION_8_4;
  }
}

COLLECTION OF VARIABLE col_fZaehlerD
{
  MEMBERS
  {
    DIGITAL_VALUE, fZaehlerD           , [blank], [blank];
    DIGITAL_UNITS, pulse_output_units	 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fSimulationsWert
{
	LABEL label_fSimulationsWert;
  help_fSimulationsWert 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
  	DISPLAY_FLOAT_PRECISION_8_3;
  	EDIT_FLOAT_PRECISION_8_3;
  }
}

COLLECTION OF VARIABLE col_fSimulationsWert
{
  MEMBERS
  {
    DIGITAL_VALUE, fSimulationsWert           , [blank], [blank];
    DIGITAL_UNITS, unit_percent							  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE SpuleDCStrom
{
	LABEL label_SpuleDCStrom;
  help_SpuleDCStrom 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_SpuleDCStrom
{
  MEMBERS
  {
    DIGITAL_VALUE, SpuleDCStrom           , [blank], [blank];
    DIGITAL_UNITS, unit_none						  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fTreiberRegelungRefSpg
{
	LABEL label_fTreiberRegelungRefSpg;
  help_fTreiberRegelungRefSpg 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fTreiberRegelungRefSpg
{
  MEMBERS
  {
    DIGITAL_VALUE, fTreiberRegelungRefSpg           , [blank], [blank];
    DIGITAL_UNITS, unit_millivolts								  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fTreiberRegelungDiffV
{
	LABEL label_fTreiberRegelungDiffV;
  help_fTreiberRegelungDiffV 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fTreiberRegelungDiffV
{
  MEMBERS
  {
    DIGITAL_VALUE, fTreiberRegelungDiffV           , [blank], [blank];
    DIGITAL_UNITS, unit_none											 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fMinAlarm
{
	LABEL label_fMinAlarm;
  help_fMinAlarm 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
    EDIT_FLOAT_PRECISION_x_0;
  }
}

COLLECTION OF VARIABLE col_fMinAlarm
{
  MEMBERS
  {
    DIGITAL_VALUE, fMinAlarm           , [blank], [blank];
    DIGITAL_UNITS, unit_percent				 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fMaxAlarm
{
	LABEL label_fMaxAlarm;
  help_fMaxAlarm 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT
  {
    EDIT_FLOAT_PRECISION_x_0;
  }
}

COLLECTION OF VARIABLE col_fMaxAlarm
{
  MEMBERS
  {
    DIGITAL_VALUE, fMaxAlarm           , [blank], [blank];
    DIGITAL_UNITS, unit_percent				 , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE uiStoerSpgsResetOn
{
	LABEL label_uiStoerSpgsResetOn;
  help_uiStoerSpgsResetOn 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_uiStoerSpgsResetOn
{
  MEMBERS
  {
    DIGITAL_VALUE, uiStoerSpgsResetOn           , [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE uiStoerSpgsResetOff
{
	LABEL label_uiStoerSpgsResetOff;
  help_uiStoerSpgsResetOff 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_uiStoerSpgsResetOff
{
  MEMBERS
  {
    DIGITAL_VALUE, uiStoerSpgsResetOff           , [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE fDataOutputCycle
{
	LABEL label_fDataOutputCycle;
  help_fDataOutputCycle 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fDataOutputCycle
{
  MEMBERS
  {
    DIGITAL_VALUE, fDataOutputCycle           , [blank], [blank];
    DIGITAL_UNITS, unit_none									, blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fFunkTestAusgabeImpulse
{
	LABEL label_fFunkTestAusgabeImpulse;
  help_fFunkTestAusgabeImpulse 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fFunkTestAusgabeImpulse
{
  MEMBERS
  {
    DIGITAL_VALUE, fFunkTestAusgabeImpulse           , [blank], [blank];
    DIGITAL_UNITS, unit_Hz												   , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fQ10MS
{
	LABEL label_fQ10MS;
  help_fQ10MS 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fQ10MS
{
  MEMBERS
  {
    DIGITAL_VALUE, fQ10MS           	 , [blank], [blank];
    DIGITAL_UNITS, unit_meter_per_sec  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fQmaxImpuls
{
	LABEL label_fQmaxImpuls;
  help_fQmaxImpuls 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fQmaxImpuls
{
  MEMBERS
  {
    DIGITAL_VALUE, fQmaxImpuls           , [blank], [blank];
    DIGITAL_UNITS, flow_units					   , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fLeerRohrFaktorN
{
	LABEL label_fLeerRohrFaktorN;
  help_fLeerRohrFaktorN 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fLeerRohrFaktorN
{
  MEMBERS
  {
    DIGITAL_VALUE, fLeerRohrFaktorN           , [blank], [blank];
    DIGITAL_UNITS, unit_none								  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

VARIABLE fLeerRohrFaktorS
{
	LABEL label_fLeerRohrFaktorS;
  help_fLeerRohrFaktorS 
  CLASS DEVICE;
  HANDLING READ & WRITE;
  VALIDITY  IF ((ucDlrArt_LNS == 1) &&
  							(ucDlrEinAus == 1))	{ TRUE; }
            ELSE                    { FALSE; }

  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_fLeerRohrFaktorS
{
  MEMBERS
  {
    DIGITAL_VALUE, fLeerRohrFaktorS           , [blank], [blank];
    DIGITAL_UNITS, unit_none								  , blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
/*                  Float Variables READ WRITE Commands                    */
/*-------------------------------------------------------------------------*/


ARRAY OF COLLECTION float_variables
{
    LABEL "Collection float variables";
    HELP  "Help float variables";
    ELEMENTS
    {
        /* Index   Item                  Description     Help */
        0,     col_fQmaxDN_ls                  , [blank]       , [blank];
        1,     col_fQmax                       , [blank]       , [blank];
        3,     col_fImpulswertigkeitVolumen    , [blank]       , [blank];
        4,     col_fImpulsbreite_ms						 , [blank]       , [blank];
        5,     col_fSchleichmenge              , [blank]       , [blank];
        6,     col_fDaempfung                	 , [blank]       , [blank];
        7,     col_fDichte                     , [blank]       , [blank];
        8,     col_fAnlD_SysNullQ              , [blank]       , [blank];
        9,     col_fEinheitenfaktor            , [blank]       , [blank];
        /*
       10,     col_fFlaecheVollesRohr          , [blank]       , [blank];
       */
       11,     col_fZaehlerV                   , [blank]       , [blank];
       12,     col_fZaehlerR                   , [blank]       , [blank];
       13,     col_fPriD_ZeroQ                 , [blank]       , [blank];
       14,     col_fPriD_SpanneQ               , [blank]       , [blank];
       15,     col_fPriD_PhaseQ                , [blank]       , [blank];
       16,     col_fIout4mAUK1                 , [blank]       , [blank];
       17,     col_fIout20mAUK1                , [blank]       , [blank];
       19,     col_fGD_KanalQ50Hz              , [blank]       , [blank];
       20,     col_fGD_ZeroQ50Hz               , [blank]       , [blank];
       21,     col_fGD_SpanneVQ50Hz            , [blank]       , [blank];
       22,     col_fGD_SpanneRQ50Hz            , [blank]       , [blank];
       23,     col_fGD_KanalQ60Hz              , [blank]       , [blank];
       24,     col_fGD_ZeroQ60Hz               , [blank]       , [blank];
       25,     col_fGD_SpanneVQ60Hz            , [blank]       , [blank];
       26,     col_fGD_SpanneRQ60Hz            , [blank]       , [blank];
       27,     col_fGD_KanalQ70Hz              , [blank]       , [blank];
       28,     col_fGD_ZeroQ70Hz               , [blank]       , [blank];
       29,     col_fGD_SpanneVQ70Hz            , [blank]       , [blank];
       30,     col_fGD_SpanneRQ70Hz          	 , [blank]       , [blank];
       31,     col_fFlaecheVollesRohr          , [blank]       , [blank];
       /*
       32,     col_fLeerRohrFaktor           	 , [blank]       , [blank];
       */
       33,     col_fILowAlarm                  , [blank]       , [blank];
       34,     col_fIHighAlarm                 , [blank]       , [blank];
       35,     col_fZaehlerD                   , [blank]       , [blank];
       39,     col_fSimulationsWert          	 , [blank]       , [blank];
       40,     col_SpuleDCStrom          			 , [blank]       , [blank];
       41,     col_fTreiberRegelungRefSpg      , [blank]       , [blank];
       42,     col_fTreiberRegelungDiffV       , [blank]       , [blank];
       /*
       43,     col_fLeerRohrFaktor             , [blank]       , [blank];
       */
       44,     col_fMinAlarm                   , [blank]       , [blank];
       45,     col_fMaxAlarm                   , [blank]       , [blank];
       49,     col_fDataOutputCycle            , [blank]       , [blank];
       50,     col_fFunkTestAusgabeImpulse     , [blank]       , [blank];
       51,     col_fQ10MS                      , [blank]       , [blank];
       52,     col_fQmaxImpuls                 , [blank]       , [blank];
       53,     col_fLeerRohrFaktorN            , [blank]       , [blank];
       54,     col_fLeerRohrFaktorS            , [blank]       , [blank];
    }          
}              
               
               
               
VARIABLE float_variable_code
{              
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX float_variables;
	CLASS USER_INTERFACE;
}              
               
               
COMMAND read_float_variables
{              
  NUMBER 132;  
	OPERATION READ;
	TRANSACTION  
	{            
		REQUEST    
		{          
  		float_variable_code (INFO,INDEX)
		}          
               
		REPLY      
		{          
			response_code, device_status,
      float_variable_code,
      float_variables[float_variable_code].DIGITAL_UNITS,
      float_variables[float_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        [no_command_specific_errors];
		2,	MISC_ERROR,			[invalid_selection];
    5,  MISC_ERROR,     [too_few_data_bytes_recieved];
		6,	MISC_ERROR,			[xmtr_specific_command_error];
    16, MODE_ERROR,   	[access_restricted];
    32, MISC_ERROR,  		"device busy";
	}
}


COMMAND write_float_variables
{
  NUMBER 133;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
     	float_variable_code (INFO,INDEX)
      float_variables[float_variable_code].DIGITAL_UNITS,
      float_variables[float_variable_code].DIGITAL_VALUE
		}

		REPLY
		{
			response_code, device_status,
      float_variable_code,
      float_variables[float_variable_code].DIGITAL_UNITS,
      float_variables[float_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}



/*-------------------------------------------------------------------------*/
/*                             String Variables                            */
/*-------------------------------------------------------------------------*/

VARIABLE strAufnehmerTagNr
{
	LABEL label_strAufnehmerTagNr;
  help_strAufnehmerTagNr
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (32);
}

COLLECTION OF VARIABLE col_strAufnehmerTagNr
{
  MEMBERS
  {
    DIGITAL_VALUE, strAufnehmerTagNr    , [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE strMessumformTagNr
{
	LABEL label_strMessumformTagNr;
  help_strMessumformTagNr
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (32);
}

COLLECTION OF VARIABLE col_strMessumformTagNr
{
  MEMBERS
  {
    DIGITAL_VALUE, strMessumformTagNr    , [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE Kalibrierdatum
{
	LABEL label_Kalibrierdatum;
  help_Kalibrierdatum
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (8);
}

COLLECTION OF VARIABLE col_Kalibrierdatum
{
  MEMBERS
  {
    DIGITAL_VALUE, Kalibrierdatum									, [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE aucOrderNumber
{
	LABEL label_aucOrderNumber;
  help_aucOrderNumber
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (16);
}

COLLECTION OF VARIABLE col_aucOrderNumber
{
  MEMBERS
  {
    DIGITAL_VALUE, aucOrderNumber									, [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE version
{
	LABEL label_version;
  help_version
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (16);
}

COLLECTION OF VARIABLE col_version
{
  MEMBERS
  {
    DIGITAL_VALUE, version									, [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

VARIABLE PrueferNr
{
	LABEL label_PrueferNr;
  help_PrueferNr
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (12);
}

COLLECTION OF VARIABLE col_PrueferNr
{
  MEMBERS
  {
    DIGITAL_VALUE, PrueferNr									, [blank], [blank];
  }
}

/*------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
/*                  String Einheitenname READ WRITE Commands               */
/*-------------------------------------------------------------------------*/
               
VARIABLE strEinheitenname
{              
	LABEL label_strEinheitenname;
  help_strEinheitenname
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (4);
}              
               
               
COMMAND read_strEinheitenname
{              
  NUMBER 145;  
	OPERATION READ;
	TRANSACTION  
	{            
		REQUEST    
		{          
		}          
               
		REPLY      
		{          
			response_code, device_status,
			strEinheitenname
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        [no_command_specific_errors];
		2,	MISC_ERROR,			[invalid_selection];
    5,  MISC_ERROR,     [too_few_data_bytes_recieved];
		6,	MISC_ERROR,			[xmtr_specific_command_error];
    16, MODE_ERROR,   	[access_restricted];
    32, MISC_ERROR,  		"device busy";
	}
}


COMMAND write_strEinheitenname
{
  NUMBER 146;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
     	strEinheitenname
		}

		REPLY
		{
			response_code, device_status,
      strEinheitenname
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*                  String Variables READ WRITE Commands                   */
/*-------------------------------------------------------------------------*/


ARRAY OF COLLECTION string_variables
{
    LABEL "Collection string variables";
    HELP  "Help string variables";
    ELEMENTS
    {
        /* Index   Item                  Description     Help */
        0,     col_Kalibrierdatum							 , [blank]       , [blank];
        4,     col_aucOrderNumber							 , [blank]       , [blank];
        5,     col_version										 , [blank]       , [blank];
        6,     col_PrueferNr									 , [blank]       , [blank];
/*        
        7,     col_strAufnehmerTagNr	         , [blank]       , [blank];
        8,     col_strMessumformTagNr          , [blank]       , [blank];
        */
    }          
}              
               
               
               
VARIABLE string_variable_code
{              
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX string_variables;
	CLASS USER_INTERFACE;
}              
               
               
COMMAND read_string_variables
{              
  NUMBER 230;  
	OPERATION READ;
	TRANSACTION  
	{            
		REQUEST    
		{          
  		string_variable_code (INFO,INDEX)
		}          
               
		REPLY      
		{          
			response_code, device_status,
      string_variable_code,
      string_variables[string_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        [no_command_specific_errors];
		2,	MISC_ERROR,			[invalid_selection];
    5,  MISC_ERROR,     [too_few_data_bytes_recieved];
		6,	MISC_ERROR,			[xmtr_specific_command_error];
    16, MODE_ERROR,   	[access_restricted];
    32, MISC_ERROR,  		"device busy";
	}
}


COMMAND write_string_variables
{
  NUMBER 231;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
     	string_variable_code (INFO,INDEX),
      string_variables[string_variable_code].DIGITAL_VALUE
		}

		REPLY
		{
			response_code, device_status,
      string_variable_code,
      string_variables[string_variable_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*                  Reset Functions Commands        						           */
/*-------------------------------------------------------------------------*/

VARIABLE local__dummy
{
	LABEL "";
  HELP "";
  CLASS DEVICE;
  HANDLING READ & WRITE;
  TYPE ASCII (1);
}


ARRAY OF VARIABLE reset_functions
{
    LABEL "Collection Reset Functions ";
    HELP  "Help Reset Functions ";
    ELEMENTS
    {
        0 , local__dummy	, [blank] , [blank] ;	/* reset totalizer    */
        7 , local__dummy	, [blank] , [blank] ;	/* reset error memory */
    }          
}              

               
VARIABLE reset_functions_code
{              
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX reset_functions;
	CLASS USER_INTERFACE;
}              

COMMAND write_reset_functions
{
  NUMBER 140;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
      /* reset_functions [reset_functions_code] */
     	reset_functions_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
			/*      reset_functions [reset_functions_code] */
			reset_functions_code
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*                  Adjust Functions Commands        						           */
/*-------------------------------------------------------------------------*/

ARRAY OF VARIABLE adjust_functions
{
    LABEL "Collection Adjust Functions ";
    HELP  "Help Adjust Functions ";
    ELEMENTS
    {
        6 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUKanal50Hz     */
        7 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUNullpunkt50Hz */
        8 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneV50Hz   */
        9 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneR50Hz   */
       10 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUKanal60Hz     */
       11 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUNullpunkt60Hz */
       12 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneV60Hz   */
       13 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneR60Hz   */
       14 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUKanal70Hz     */
       15 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUNullpunkt70Hz */
       16 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneV70Hz   */
       17 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichMUSpanneR70Hz   */
       18 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichAufnehmerPhase  */
       19 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichAufnehmerZero   */
       20 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichAufnehmerSpanne */
       21 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichSystemnullpunkt */
       22 ,  local__dummy	, [blank]  , [blank] ; /* Mittelwertbestimmung50s */
       23 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichDlrVoll         */
       24 ,  local__dummy	, [blank]  , [blank] ; /* AbgleichDlrLeer         */
    }          
}              

               
VARIABLE adjust_functions_code
{              
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX adjust_functions;
	CLASS USER_INTERFACE;
}              

COMMAND start_adjust_functions
{
  NUMBER 180;
  OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
     	adjust_functions_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
			adjust_functions_code
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}


/*-------------------------------------------------------------------------*/
/*                  Read Adjust Results Commands        						       */
/*-------------------------------------------------------------------------*/


VARIABLE f50sMittelwert
{
	LABEL label_f50sMittelwert;
  help_f50sMittelwert
  CLASS DEVICE;
  HANDLING READ;
  TYPE FLOAT;
}

COLLECTION OF VARIABLE col_f50sMittelwert
{
  MEMBERS
  {
    DIGITAL_VALUE, f50sMittelwert		      , [blank], [blank];
    DIGITAL_UNITS, unit_percent  	   			, blnk, blnk;
  }
}

/*------------------------------------------------------------------*/

 /* AbgleichMUKanal50Hz     */
 /* AbgleichMUNullpunkt50Hz */
 /* AbgleichMUSpanneV50Hz   */
 /* AbgleichMUSpanneR50Hz   */
 /* AbgleichMUKanal60Hz     */
 /* AbgleichMUNullpunkt60Hz */
 /* AbgleichMUSpanneV60Hz   */
 /* AbgleichMUSpanneR60Hz   */
 /* AbgleichMUKanal70Hz     */
 /* AbgleichMUNullpunkt70Hz */
 /* AbgleichMUSpanneV70Hz   */
 /* AbgleichMUSpanneR70Hz   */
 /* AbgleichAufnehmerPhase  */
 /* AbgleichAufnehmerZero   */
 /* AbgleichAufnehmerSpanne */
 /* AbgleichSystemnullpunkt */
 /* Mittelwertbestimmung50s */
 /* AbgleichDlrVoll         */
 /* AbgleichDlrLeer         */

/*
ARRAY OF VARIABLE adjust_results
{
    LABEL "Collection Adjust results ";
    HELP  "Help Adjust results ";
    ELEMENTS
    {
        6 ,     col_fGD_KanalQ50Hz		, [blank] , [blank] ;
        7 ,     col_fGD_ZeroQ50Hz			, [blank] , [blank] ;
        8 ,     col_fGD_SpanneVQ50Hz	, [blank] , [blank] ;
        9 ,     col_fGD_SpanneRQ50Hz	, [blank] , [blank] ;
       10 ,     col_fGD_KanalQ60Hz		, [blank] , [blank] ;
       11 ,     col_fGD_ZeroQ60Hz			, [blank] , [blank] ;
       12 ,     col_fGD_SpanneVQ60Hz	, [blank] , [blank] ;
       13 ,     col_fGD_SpanneRQ60Hz	, [blank] , [blank] ;
       14 ,     col_fGD_KanalQ70Hz		, [blank] , [blank] ;
       15 ,     col_fGD_ZeroQ70Hz			, [blank] , [blank] ;
       16 ,     col_fGD_SpanneVQ70Hz	, [blank] , [blank] ;
       17 ,     col_fGD_SpanneRQ70Hz	, [blank] , [blank] ;
       18 ,     col_fPriD_PhaseQ			, [blank] , [blank] ;
       19 ,     col_fPriD_ZeroQ				, [blank] , [blank] ;
       20 ,     col_fPriD_SpanneQ			, [blank] , [blank] ;
       21 ,     col_fAnlD_SysNullQ		, [blank] , [blank] ;
       22 ,     col_f50sMittelwert		, [blank] , [blank] ;
       23 ,     col_fLeerRohrFaktorN	, [blank] , [blank] ;
       24 ,     col_fLeerRohrFaktorS	, [blank] , [blank] ;
    }          
}              

               
VARIABLE adjust_results_code
{              
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX adjust_results;
	CLASS USER_INTERFACE;
}              

COMMAND read_adjust_results
{
  NUMBER 190;
  OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
     	adjust_results_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
			adjust_results_code,
      adjust_results[adjust_results_code].DIGITAL_UNITS,
      adjust_results[adjust_results_code].DIGITAL_VALUE
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,          [no_command_specific_errors];
    2,  MISC_ERROR,       [invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		4,	DATA_ENTRY_ERROR,	[passed_parameter_too_small];
    5,  MISC_ERROR,       [too_few_data_bytes_recieved];
    6,  MISC_ERROR,       [xmtr_specific_command_error];
   16,  DATA_ENTRY_ERROR, "|en|prot.cust.trans"
                          "|de|* Eichschutz *";
   32, MISC_ERROR,  			"device busy";
	}
}

*/

/*-------------------------------------------------------------------------*/
/*                                 Methods                                 */
/*-------------------------------------------------------------------------*/


METHOD method_set_totalizer_forward
{
  LABEL label_method_set_totalizer_forward;
  DEFINITION
  {
  	float fFloatVar_l;
    long id[2];
  	char status[24];
  	char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
		remove_all_abort_methods();
		
		send_command(3);
		fFloatVar_l=float_value(gross_total_value);
		fassign(fZaehlerV,fFloatVar_l);
    get_dev_var_value ("|en|Totalizer forward"
    									"|de|Zaehler Vorlauf", id, fZaehlerV);
    id[0]=VARID(fZaehlerV);									
    acknowledge("|en|write totalizer frw = %{0} ?"
    						"|de|Zaehler Vorl schreiben = %{0} ?",id);
    iassign(float_variable_code,11);  				/* slot number: fZaehlerV */
		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_set_totalizer_reverse
{
  LABEL label_method_set_totalizer_reverse;
  DEFINITION
  {
  	float fFloatVar_l;
    long id[2];
  	char status[24];
  	char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
	 	remove_all_abort_methods();
	 	
		send_command(3);
		fFloatVar_l=float_value(reverse_total_value);
		fassign(fZaehlerR,fFloatVar_l);
		get_dev_var_value ("|en|Totalizer reverse"
    									"|de|Zaehler Ruecklauf", id, fZaehlerR);
    id[0]=VARID(fZaehlerR);									
    acknowledge("|en|write totalizer rev = %{0} ?"
    						"|de|Zaehler Rueckl schreiben = %{0} ?",id);
    iassign(float_variable_code,12);  				/* slot number: fZaehlerR */
		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    
  }
}
/*-------------------------------------------------------------------------*/

METHOD method_set_totalizer_diff
{
  LABEL label_method_set_totalizer_diff;
  DEFINITION
  {
  	float fFloatVar_l;
    long id[2];
   	char status[24];
   	char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
		send_command(3);
		fFloatVar_l=float_value(diff_total_value);
		fassign(fZaehlerD,fFloatVar_l);
    get_dev_var_value ("|en|Totalizer diff"
    									"|de|Differenzzaehler", id, fZaehlerD);
    id[0]=VARID(fZaehlerD);									
	  acknowledge("|en|write totalizer diff = %{0} ?"
	  						"|de|Differenzzaehler schreiben = %{0} ?",id);
    iassign(float_variable_code,35);  				/* slot number: fZaehlerD */
 		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
        
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_reset_totalizer
{
	LABEL label_method_reset_totalizer;
  DEFINITION
  {
   	char status[24];
   	char xmtr_status[MAX_XMTR_STATUS_LEN];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
    ACKNOWLEDGE("|en|Reset all totalizer ?"
                "|de|Alle Zahler ?");
    iassign(reset_functions_code,0);  				/* slot number: reset totalizer */
		send(140,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(140,status[STATUS_RESPONSE_CODE]);
    }
    
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_reset_errorregister
{
	LABEL label_method_reset_errorregister;
  DEFINITION
  {
   	char status[24];
   	char xmtr_status[MAX_XMTR_STATUS_LEN];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
    ACKNOWLEDGE("|en|Reset error register and counter mains interrupt?"
                "|de|Fehlerregister loeschen und Zaehler Netzausfall wirklich loeschen?");
    iassign(reset_functions_code,7);  				/* slot number: reset errorregister */
		send(140,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(140,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }

  }
}

/*-------------------------------------------------------------------------*/

METHOD method_reset_config_changed_flag
{
	LABEL label_method_reset_config_changed_flag;
  DEFINITION
  {
   	char status[24];
   	char xmtr_status[MAX_XMTR_STATUS_LEN];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
    ACKNOWLEDGE("|en|Reset configuration changed flag ?"
                "|de|Aenderungsflag wirklich ruecksetzen?");
		send(38,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(38,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }

  }
}

/*-------------------------------------------------------------------------*/

METHOD method_ProgschutzKode_change
{
	LABEL label_method_ProgschutzKode_change;
  DEFINITION
  {
    long id[2];
    int	uiEingabeAltPS;
    int	uiEingabeNeuPS;
    int uiAlterWert;
   	char status[24];
   	char xmtr_status[MAX_XMTR_STATUS_LEN];

    uiEingabeAltPS=0;
    uiEingabeNeuPS=0;
    uiAlterWert=0;
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
    GET_LOCAL_VAR_VALUE("|en|Old PS-Code?"
                				"|de|Alter PS-Kode?", uiEingabeAltPS);
    uiAlterWert=int_value(ProgschutzKode);
    if (uiEingabeAltPS == uiAlterWert)
    {
    	GET_LOCAL_VAR_VALUE("|en|New PS-Code?"
      						    		"|de|Neuer PS-Kode?", uiEingabeNeuPS);
		  ACKNOWLEDGE("|en|Write new PS-Code?"
              		"|de|Neuen PS-Kode schreiben?");
    	iassign(ProgschutzKode,uiEingabeNeuPS);
    	iassign(int_variable_code,16);  				/* slot number: Progschutz Kode */
    	send(131,status);
    	if ( status[STATUS_RESPONSE_CODE] )
   		{
      	display_response_status(131,status[STATUS_RESPONSE_CODE]);
				process_abort();
    	}
    }
    else
    {
      ACKNOWLEDGE("|en|wrong PS-Code"
            			"|de|falscher PS-Kode");
    }
    process_abort();
  }
}


/*-------------------------------------------------------------------------*/

METHOD method_Test_Schaltausgang
{
	LABEL label_method_Test_Schaltausgang;
  DEFINITION
  {
    long id[2];
		int choice;
    char status[24];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

 		remove_all_abort_methods();
 		
		add_abort_method(method_return_to_no_test_contact_out);
    do
    {
			iassign(ucSchaltausgangTest,0); 					 	/* 0 = aus */
 			iassign(unsigned_char_variable_code,46);  	/* slot number: Test Schaltausgang */
			send_command(129);
			choice = SELECT_FROM_LIST("|en|Choose from list"
															"|de|Auswahlliste",
															"|en|Toggle Contact out;End"
							    						"|de|Toggle Schaltausg.;Ende");
			switch ( choice )
			{
			case 0:
	 			iassign(ucSchaltausgangTest,1); 					 	/* 1 = ein */
				break;
			case 1:
			default:
				process_abort();
				break;
			}
 			send(129,status);
      if ( status[STATUS_RESPONSE_CODE] )
      {
        display_response_status(129,status[STATUS_RESPONSE_CODE]);
				process_abort();
      }
      else
      {
      	DELAY_TIME(1);
      	get_more_status(status,xmtr_status);        /* cmd 48 */
      	if ((xmtr_status[4] & 0x20) == 0x20)				/* bit test schaltausgang */
    	  {
  	      ACKNOWLEDGE ("|en|Contact output is ON|de|Schaltausgang ist EIN");
	      }
      	else
      	{
        	ACKNOWLEDGE ("|en|Contact output is OFF|de|Schaltausgang ist AUS");
      	}
 			}
 		}
 		while ( choice < 1 );
    process_abort();
  }
}

METHOD method_return_to_no_test_contact_out
{
	LABEL "no Test Contact output";
  DEFINITION
  {
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

    PUT_MESSAGE("|en|contact output is set to actual"
             		"|de|Schaltausgang wird auf aktuellen Zustand gesetzt");
    DELAY_TIME (2);
		iassign(ucSchaltausgangTest,0); 					 	/* 0 = aus */
		iassign(unsigned_char_variable_code,46);  	/* slot number: Test Schaltausgang */
		send_command(129);
  }
}


/*-------------------------------------------------------------------------*/

METHOD method_Test_Schalteingang
{
	LABEL label_method_Test_Schalteingang;
  DEFINITION
  {
    long id[2];
		int choice;
		int use_abort_method;
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

 		remove_all_abort_methods();
		add_abort_method(method_return_to_no_test_contact_input);
    do
    {
			iassign(ucSchalteingangTest,0); 					 	/* 0 = aus */
			iassign(unsigned_char_variable_code,45);  	/* slot number: Test Schalteingang */
			send_command(129);
			choice = SELECT_FROM_LIST("|en|Choose from list"
															"|de|Auswahlliste",
															"|en|Test Contact input;End"
							    						"|de|Test Schalteingang;Ende");
			use_abort_method = 0;
			switch ( choice )
			{
				case 0:
	 				iassign(ucSchalteingangTest,1); 					 	/* 1 = ein */
					break;
				case 1:
				default:
					process_abort();
					break;
			}
 			iassign(unsigned_char_variable_code,45);  	/* slot number: Test Schalteingang */
 			send(129,status);
      if ( status[STATUS_RESPONSE_CODE] )
        {
          display_response_status(129,status[STATUS_RESPONSE_CODE]);
					process_abort();
        }
      else
      {
				use_abort_method = 0;
	   		do	
				{
		 			get_more_status(status,xmtr_status);        /* cmd 48 */
		  		if ((xmtr_status[4] & 0x20) == 0x20)				/* bit test schaltausgang */
		  		{
						DELAY	(1,	"|en|Contact input is ON"
		 	  	  	  			"|de|Schalteingang ist EIN");
		 	 	 	}
		 		 	else
		 	  	{
						DELAY	(1,	"|en|Contact input is OFF"
		 	    		  			"|de|Schalteingang ist AUS");
		 	  	}
				}while (!use_abort_method);
 			}
 		}while ( choice < 1 );
    process_abort();
  }
}


METHOD method_return_to_no_test_contact_input
{
	LABEL "no Test Contact input";
  DEFINITION
  {
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
    PUT_MESSAGE("|en|contact input is set to actual"
             		"|de|Schalteingang wird auf aktuellen Zustand gesetzt");
 		DELAY_TIME (2);

		iassign(ucSchalteingangTest,0); 					 	/* 0 = aus */
		iassign(unsigned_char_variable_code,45);  	/* slot number: Test Schalteingang */
		send_command(129);
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_Test_Memory
{
	LABEL label_method_Test_Memory;
  DEFINITION
  {
    long id[2];
		int choice;

    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

 		remove_all_abort_methods();
 		
    do
    {
 			choice = SELECT_FROM_LIST("|en|Choose from list"
																"|de|Auswahlliste",
																"|en|Main Fram;Backup Fram;Flash Checksum;End"
							    							"|de|Main Fram;Backup Fram;Flash Checksum;Ende");
			switch ( choice )
			{
				case 0:
	 				iassign(memory_test_functions_code,0); 					 	/* 0 = Test Main Fram */
					break;
				case 1:
	 				iassign(memory_test_functions_code,1); 					 	/* 1 = Test Backup Fram */
					break;
				case 2:
	 				iassign(memory_test_functions_code,7); 					 	/* 7 = Test Flash Checksum */
					break;
				case 3:
				default:
					process_abort();
					break;
			}
 			send_command(225);
    	do
    	{
	    	get_more_status(status,xmtr_status);        /* cmd 48 */
	    	switch (choice)
	    	{
	    		case 0:
    				PUT_MESSAGE ("|en|Testing Main Fram"
    											"|de|Main Fram wird getestet");
    				break;
	    		case 1:
    				PUT_MESSAGE ("|en|Testing Backup Fram"
    											"|de|Backup Fram wird getestet");
    				break;
	    		case 2:
    				PUT_MESSAGE ("|en|Testing Flash Checksum"
    											"|de|Flash Checksum wird getestet");
    				break;
	    	}
    	}
    	while ((xmtr_status[4] & 0x01) == 0x01);			/* bit test memory luft */
    	get_more_status(status,xmtr_status);        	/* cmd 48 */
    	if ((xmtr_status[4] & 0x20) == 0x20)					/* bit ergebnis test memory */
    	{
	    	switch (choice)
	    	{
	    		case 0:
    				ACKNOWLEDGE ("|en|Error: Main Fram"
    											"|de|Fehler: Main Fram");
    				break;
	    		case 1:
    				ACKNOWLEDGE ("|en|Error: Backup Fram"
    											"|de|Fehler: Backup Fram");
    				break;
	    		case 2:
    				ACKNOWLEDGE ("|en|Error: Flash Checksum"
    											"|de|Fehler: Flash Checksum");
    				break;
	    	}
    	}
    	else
    	{
	    	switch (choice)
	    	{
	    		case 0:
    				ACKNOWLEDGE ("|en|Main Fram: OK"
    											"|de|Main Fram: OK");
    				break;
	    		case 1:
    				ACKNOWLEDGE ("|en|Backup Fram: OK"
    											"|de|Backup Fram: OK");
    				break;
	    		case 2:
    				ACKNOWLEDGE ("|en|Flash Checksum: OK"
    											"|de|Flash Checksum: OK");
    				break;
	    	}
    	}

 		}while ( choice < 3 );
    process_abort();
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_Test_Impulsausgang
{
	LABEL label_method_Test_Impulsausgang;
  DEFINITION
  {
    long id[2];
    /*
    float fAlterWert;
    */

    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
 		
		add_abort_method(method_return_to_no_test_pulse_output);
    GET_DEV_VAR_VALUE("|en|Testvalue Pulse output?"
               				"|de|Testwert Impulsausgang?", fFunkTestAusgabeImpulse);
		/*
    fAlterWert=float_value(fImpulswertigkeitVolumen);
    */
    ACKNOWLEDGE("|en|Start test pulse output?"
             		"|de|Test Impulsausgang starten?");
    iassign(float_variable_code,50);								/* 50 = Test Impuls  			*/
		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    iassign(unsigned_char_variable_code,40);				/* 40 = Test Impulsausg.  */
    iassign(ucTestImpulsausgangEin,1);							/* Test Impulsausg. = ein */
		send(129,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(129,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    id[0] = VARID(fFunkTestAusgabeImpulse);
 		get_more_status(status,xmtr_status);
    acknowledge("|en|pulse output is set to %{0} Hz"
             		"|de|Impulsausgang ist auf %{0} Hz gesetzt", id);
             		
    PUT_MESSAGE("|en|pulse output is set to actual"
             		"|de|Impulsausgang wird auf aktuellen Zustand gesetzt");
 		DELAY_TIME (2);
    iassign(unsigned_char_variable_code,40);				 /* 40 = Test Impulsausg.  */
    iassign(ucTestImpulsausgangEin,0);							 /* Test Impulsausg. = aus */
		send(129,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(129,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
 		get_more_status(status,xmtr_status);
    /*
    fassign(fImpulswertigkeitVolumen,fAlterWert);
    iassign(float_variable_code,3);									 3 = Impulswertigkeit   
		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    process_abort();
    */
  }
}

METHOD method_return_to_no_test_pulse_output
{
	LABEL label_method_return_to_no_test_pulse_output;
  DEFINITION
  {
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
 		
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
    PUT_MESSAGE("|en|pulse output is set to actual"
             		"|de|Impulsausgang wird auf aktuellen Zustand gesetzt");
 		DELAY_TIME (2);
    iassign(unsigned_char_variable_code,40);				/* 40 = Test Impulsausg.  */
    iassign(ucTestImpulsausgangEin,0);							/* Test Impulsausg. = aus */
		send(129,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(129,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
  }
}


/*-------------------------------------------------------------------------*/

METHOD method_Test_QSimulation
{
	LABEL label_method_Test_QSimulation;
  DEFINITION
  {
    long id[2];
    
    int wartezeit;
    int use_abort_method;
    
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

 		remove_all_abort_methods();
 		
		add_abort_method(method_return_to_no_test_QSimulation);
    GET_DEV_VAR_VALUE("|en|Testvalue QSimulation?"
               				"|de|Testwert QSimulation?", fSimulationsWert);
    ACKNOWLEDGE("|en|Start test QSimulation?"
             		"|de|Test QSimulation starten?");
    iassign(float_variable_code,39);								/* 39 = Test QSimulation	*/
		send(133,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    iassign(unsigned_char_variable_code,16);				/* 16 = Test QSimulation  */
    iassign(ucSimulationEin,1);											/* Test QSimulation = ein */
		send(129,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(129,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
            		
 		use_abort_method = 0;
    do	
		{
			send_command(2);
			id[0] = VARID(fSimulationsWert);
			id[1] = VARID(flow_percent_range);
			delay	(1,	"|en|QSimulation is set to %{0}%, flow percent value is %{1}%"
			       		"|de|QSimulation ist auf %{0}% gesetzt, Durchfluss ist %{1}%", id);
		}while (!use_abort_method);
		process_abort();
		
  }
}

METHOD method_return_to_no_test_QSimulation
{
	LABEL label_method_return_to_no_test_QSimulation;
  DEFINITION
  {
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    		
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

    PUT_MESSAGE("|en|QSimulation is turned off "
             		"|de|QSimulation wird ausgeschaltet");
    DELAY_TIME(2);
    iassign(unsigned_char_variable_code,16);				/* 16 = Test QSimulation  */
    iassign(ucSimulationEin,0);											/* Test QSimulation = aus */
		send(129,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(129,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
  }
}


/*-------------------------------------------------------------------------*/

METHOD method_adjust_edp_full_pipe
{
	LABEL label_method_adjust_edp_full_pipe;
  VALIDITY  IF ((ucDlrArt_LNS == 1) &&
  							(ucDlrEinAus == 1))	{ TRUE; }
            ELSE                    { FALSE; }

  DEFINITION
  {
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    long id[2];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();
    if ( int_value(ucDlrEinAus) == 0 )
    {
  	  ACKNOWLEDGE	 ("|en|Start adjust empty pipe detector not possible! "
    									"Please first turn ON Empty Pipe Detector"
        	        "|de|Abgleich Detektor leeres Rohr nicht mglich ! "
          	  	    	"Bitte erst Detektor leeres Rohr EINschalten");
			process_abort();
    }
    if ( int_value(ucDlrArt_LNS) == 0 )
    {
	    ACKNOWLEDGE("|en|Start adjust detector empty pipe not possible! "
    									"EPD not in mode ""New Adjust"""
        	        "|de|Abgleich Detektor leeres Rohr nicht mglich ! "
          	  	    	"DLR nicht im Modus ""Neuer Abgleich""");
			process_abort();
    }
    ACKNOWLEDGE("|en|Start adjust empty pipe detector with full pipe?"
                "|de|Abgleich Detektor leeres Rohr bei vollem Rohr starten ?");
    iassign(adjust_functions_code,23);  				/* slot number: adjust pipe full */
    send(180,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(180,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
 		do
 		{
   		get_more_status(status,xmtr_status);        /* cmd 48 */
			PUT_MESSAGE ("|en|Adjust full pipe"
             			 "|de|Abgleich volles Rohr");
			DELAY_TIME (1);
 		}
		while ((xmtr_status[4] & 0x04) == 0x04);			/* bit abgleich luft */
		if ((xmtr_status[4] & 0x08) == 0x08)					/* bit abgleich fehler */
		{
    	ACKNOWLEDGE("|en|Error Adjust full pipe"
      	       		"|de|Fehler beim Abgleich volles Rohr");
		}
    else
    {
	    iassign(float_variable_code,54);								/* 54 = Schaltschwelle */
			send_command(132);
    	id[0] = VARID(fLeerRohrFaktorS);
    	acknowledge("|en|Adjust full pipe ok. New threshold empty pipe detector %{0}"
      	       		"|de|Abgleich volles Rohr erfolgreich. "
        	     			"Neue Schaltschwelle Leerrohrdetektor %{0}", id);
		}
		process_abort();
		    	
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_adjust_edp_empty_pipe
{
	LABEL label_method_adjust_edp_empty_pipe;
  VALIDITY  IF ((ucDlrArt_LNS == 1) &&
  							(ucDlrEinAus == 1))	{ TRUE; }
            ELSE                    { FALSE; }

  DEFINITION
  {
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    long id[2];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
 		remove_all_abort_methods();

    if ( int_value(ucDlrEinAus) == 0 )
    {
    	ACKNOWLEDGE("|en|Start adjust empty pipe detector not possible! "
    									"Please first turn ON Empty Pipe Detector"
        	        "|de|Abgleich Detektor leeres Rohr nicht mglich ! "
          	  	    	"Bitte erst Detektor leeres Rohr EINschalten");
			process_abort();
    }
    if ( int_value(ucDlrArt_LNS) == 0 )
    {
	    ACKNOWLEDGE("|en|Start adjust empty pipe detector not possible! "
    									"EPD not in mode ""New Adjust"""
        	        "|de|Abgleich Detektor leeres Rohr nicht mglich ! "
          	  	    	"DLR nicht im Modus ""Neuer Abgleich""");
			process_abort();
    }
    ACKNOWLEDGE("|en|Start adjust empty pipe detector with empty pipe?"
  	            "|de|Abgleich Detektor leeres Rohr bei leerem Rohr starten ?");
    iassign(adjust_functions_code,24);  				/* slot number: adjust pipe empty*/
    send(180,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(180,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
 		do
 		{
   		get_more_status(status,xmtr_status);        /* cmd 48 */
			PUT_MESSAGE ("|en|Adjust pipe empty"
             			 "|de|Abgleich Rohr leer");
			DELAY_TIME (1);
 		}
		while ((xmtr_status[4] & 0x04) == 0x04);			/* bit abgleich luft */
		if ((xmtr_status[4] & 0x08) == 0x08)					/* bit abgleich fehler */
		{
    	ACKNOWLEDGE("|en|Error Adjust pipe empty"
      	       		"|de|Fehler beim Abgleich Rohr leer");
		}
    else
    {
	    iassign(float_variable_code,54);								/* 54 = Schaltschwelle */
			send_command(132);
    	id[0] = VARID(fLeerRohrFaktorS);
    	acknowledge("|en|Adjust empty pipe ok. "
    								"New threshold empty pipe detector %{0}"
      	       		"|de|Abgleich Rohr leer erfolgreich. "
             				"Neue Schaltschwelle Leerrohrdetektor %{0}", id);
		}
		process_abort();
		    	
  }
}

/*-------------------------------------------------------------------------*/

METHOD method_edit_fImpulswertigkeitVolumen
{
  LABEL label_method_edit_fImpulswertigkeitVolumen;
  HELP "";
	DEFINITION
	{
    float fNeuerWertImpulswertigkeit_l;
    float fAlterWertImpulsbreite_l;
    /*
    float fImpulswertigkeitGelesen_l;
    float fImpulsbreiteGelesen_l;
    */
    long id[2];
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

    fAlterWertImpulsbreite_l=fvar_value(fImpulsbreite_ms);
    GET_DEV_VAR_VALUE(label_fImpulswertigkeitVolumen, fImpulswertigkeitVolumen);
    fNeuerWertImpulswertigkeit_l=fvar_value(fImpulswertigkeitVolumen);

 		id[0] = VARID(fImpulswertigkeitVolumen);
 		id[1] = VARID(uiEinheitZv);
 		acknowledge("|en|Send new Pulse factor %{0}/%{1}?"
   		       		"|de|Neue Impulswertigkeit %{0}/%{1} senden?", id);

    iassign(float_variable_code,3);
    send(133,status);													/* schreibe impulswertigkeit */
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    iassign(float_variable_code,4);
    send_command(132);
    iassign(float_variable_code,3);
    send_command(132);
    iassign(float_variable_code,4);
    send_command(132);
    iassign(float_variable_code,3);
    send_command(132);

     	/*
    	ACKNOWLEDGE("|en|after writing and re-reading. before compare old and "
    									"new pulse factor"
      	       		"|de|nach dem schreiben und wiederlesen. vor dem vergleich "
      	       				"alter und neuer impulswertigkeit");
     	fImpulswertigkeitGelesen_l = float_value(fImpulswertigkeitVolumen);
     	fImpulswertigkeitGelesen_l = fvar_value(fImpulswertigkeitVolumen);
	  if (fNeuerWertImpulswertigkeit_l != fImpulswertigkeitGelesen_l)
     	*/

	  if (fNeuerWertImpulswertigkeit_l != float_value(fImpulswertigkeitVolumen))
    {
     	/*
    	ACKNOWLEDGE("|en|after writing and re-reading. comparing old and new "
    									"pulse factor"
      	       		"|de|nach dem schreiben und wiederlesen. beim vergleich "
      	       				"alter und neuer impulswertigkeit");
     	*/
  		id[0] = VARID(fImpulswertigkeitVolumen);
  		acknowledge("|en|Converter changed input. New Pulse factor %{0}"
    		       		"|de|Messumformer hat die Eingabe gendert. Neue "
    		       				"Impulswertigkeit %{0}", id);
  	}
    
			/*
    	ACKNOWLEDGE("|en|after compare puls factor. before compare old and "
    									"new pulse width"
      	       		"|de|nach dem vergleich impulswertigkeit. vor dem vergleich "
      	       				"alter und neuer impulsbreite");
			fImpulsbreiteGelesen_l = float_value(fImpulsbreite_ms);
			fImpulsbreiteGelesen_l = fvar_value(fImpulsbreite_ms);
    	ACKNOWLEDGE("|en|****** after compare puls factor. before compare "
    									"old and new pulse width *********"
      	       		"|de|nach dem vergleich impulswertigkeit. vor dem vergleich "
      	       				"alter und neuer impulsbreite");
	  if (fAlterWertImpulsbreite_l != fImpulsbreiteGelesen_l)
			*/

	  if (fAlterWertImpulsbreite_l != float_value(fImpulsbreite_ms))
 	  {

			/*
    	ACKNOWLEDGE("|en|after compare puls factor. comparing old and "
    									"new pulse width"
      	       		"|de|nach dem vergleich impulswertigkeit. beim vergleich "
      	       				"alter und neuer impulsbreite");
			*/

  		id[0] = VARID(fImpulsbreite_ms);
  		acknowledge("|en|Converter changed Pulse width to %{0} ms"
   			       		"|de|Messumformer hat die Impulsbreite gendert %{0} ms", id);
  	}
	}
}

/*------------------------------------------------------------------*/

METHOD method_edit_fImpulsbreite_ms
{
  LABEL label_method_edit_fImpulsbreite_ms;
  HELP "";
	DEFINITION
	{
    float fAlterWertImpulswertigkeit_l;
    float fNeuerWertImpulsbreite_l;
    long id[2];
    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();

    fAlterWertImpulswertigkeit_l=fvar_value(fImpulswertigkeitVolumen);
    GET_DEV_VAR_VALUE(label_fImpulsbreite_ms, fImpulsbreite_ms);
    fNeuerWertImpulsbreite_l=fvar_value(fImpulsbreite_ms);

 		id[0] = VARID(fImpulsbreite_ms);
 		acknowledge("|en|Send new Pulse width %{0} ms?"
   		       		"|de|Neue Impulsbreite %{0} ms senden?", id);

    iassign(float_variable_code,4);
    send(133,status);													/* schreibe impulswertigkeit */
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(133,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    iassign(float_variable_code,3);
    send_command(132);
    iassign(float_variable_code,4);
    send_command(132);
    iassign(float_variable_code,3);
    send_command(132);
    iassign(float_variable_code,4);
    send_command(132);
	  if (fNeuerWertImpulsbreite_l != fvar_value(fImpulsbreite_ms))
    {
  		id[0] = VARID(fImpulsbreite_ms);
  		acknowledge("|en|Converter changed input. New Pulse width %{0} ms"
    		       		"|de|Messumformer hat die Eingabe gendert. Neue Impulsbreite %{0} ms", id);
  	}
	  if (fAlterWertImpulswertigkeit_l != fvar_value(fImpulswertigkeitVolumen))
 	  {
  		id[0] = VARID(fImpulswertigkeitVolumen);
  		acknowledge("|en|Converter changed Pulse factor to %{0} ."
   			       		"|de|Messumformer hat die Impulswertigkeit auf %{0} gendert.", id);
  	}

	}
}

/*------------------------------------------------------------------*/

METHOD method_auto_abgl_SysNull
{
  LABEL label_method_auto_abgl_SysNull;
  HELP "";
	DEFINITION
	{
    long id[2];

    char status[STATUS_SIZE];
    char xmtr_status[MAX_XMTR_STATUS_LEN];
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
    ACKNOWLEDGE("|en|Start automatic adjust System Zero?"
             		"|de|Automatischen Abgleich Systemnullpunkt starten");
    iassign(adjust_functions_code,21);								/* 21 = auto.abgl. systemnullpkt */
		send(180,status);
    if ( status[STATUS_RESPONSE_CODE] )
    {
      display_response_status(180,status[STATUS_RESPONSE_CODE]);
			process_abort();
    }
    do
    {
     	get_more_status(status,xmtr_status);        /* cmd 48 */
			PUT_MESSAGE ("|en|Adjust System Zero"
             			 "|de|Abgleich Systemnullpunkt");
     	DELAY_TIME(1);
    } while ((xmtr_status[4] & 0x04) == 0x04);
    
   	get_more_status(status,xmtr_status);        /* cmd 48 */
		if ((xmtr_status[4] & 0x08) == 0x08)					/* bit abgleich fehler */
		{
    	ACKNOWLEDGE("|en|Error Adjust System Zero"
      	       		"|de|Fehler beim Abgleich Systemnullpunkt");
		}
    else
    {
    	iassign(float_variable_code,8);
	    send(132,status);													/* lese systemnullpunkt */
  	  if ( status[STATUS_RESPONSE_CODE] )
    	{
      	display_response_status(132,status[STATUS_RESPONSE_CODE]);
				process_abort();
    	}
    	id[0] = VARID(fAnlD_SysNullQ);
    	acknowledge("|en|Adjust System Zero ok. "
    								"New System Zero %{0}"
      	       		"|de|Abgleich Systemnullpunkt erfolgreich. "
             				"Neuer Systemnullpunkt %{0}", id);
		}
    
	}
}

METHOD method_loop_test
{
	LABEL [loop_test];

	HELP [loop_test_help];

	DEFINITION
	{
		char status[STATUS_SIZE];
		int choice;
		long var_id[1];
		int use_abort_method;
		char disp_string1[60];
		char disp_string2[60];
		int slen1;
		int slen2;
    
		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
		slen1=60;
		slen2=60;
		get_dictionary_string(remove_loop_from_auto,disp_string1,slen1);
		ACKNOWLEDGE(disp_string1);
		add_abort_method(return_to_normal);

		IGNORE_ALL_RESPONSE_CODES();

		use_abort_method = 0;
		do {
			get_dictionary_string(choose_analog_output_level,disp_string1,slen1);
			get_dictionary_string(choices_4_20_other_end,disp_string2,slen2);
			choice = SELECT_FROM_LIST(disp_string1, disp_string2);
			switch ( choice ) {
			case 0:
				assign_float(PV.ANALOG_VALUE,4.0);
				break;

			case 1:
				assign_float(PV.ANALOG_VALUE,20.0);
				break;

			case 2:
				get_dictionary_string(loop_output,disp_string1,slen1);
				GET_DEV_VAR_VALUE(disp_string1, PV.ANALOG_VALUE);
				break;

			case 3:
			default:
				process_abort();
				break;
			}
			send(40,status);
			if (!use_abort_method) {
				if (( status[STATUS_RESPONSE_CODE] != 0)
						&& ( status[STATUS_RESPONSE_CODE] != 3)
						&& ( status[STATUS_RESPONSE_CODE] != 4)) {
					display_response_status(40,status[STATUS_RESPONSE_CODE]);
					get_dictionary_string(abort_last_error,disp_string1,slen1);
					DELAY(2,disp_string1);
					process_abort();
				}
				remove_abort_method(return_to_normal);
				add_abort_method(method_leave_fixed_current_mode);
				use_abort_method =1;
			}
			if ( status[STATUS_RESPONSE_CODE] ) {
				display_response_status(40,status[STATUS_RESPONSE_CODE]);
				if (( status[STATUS_RESPONSE_CODE] != 3)
						&& ( status[STATUS_RESPONSE_CODE] != 4)) {
					get_dictionary_string(abort_last_error,disp_string1,slen1);
					DELAY(2,disp_string1);
					process_abort();
				}
			}
			else {
				var_id[0] = VARID(PV.ANALOG_VALUE);
				get_dictionary_string(fld_dev_otpt_fixed,disp_string1,slen1);
				acknowledge(disp_string1,var_id);
			}
		} while ( choice < 3);
		process_abort();
	}
}

METHOD method_leave_fixed_current_mode
{
	LABEL [leaving_fixed_current_mode];

	HELP [leaving_fixed_current_mode_help_2];

	DEFINITION
	{
		char status[STATUS_SIZE];
		long var_id[1];
		char disp_string1[60];
		int slen1;

		IGNORE_ALL_RESPONSE_CODES();
   	IGNORE_ALL_DEVICE_STATUS();
   	XMTR_IGNORE_ALL_DEVICE_STATUS();
 		XMTR_IGNORE_ALL_RESPONSE_CODES();
 		
		slen1 =60;

		assign_float(PV.ANALOG_VALUE,0.0);
		IGNORE_ALL_RESPONSE_CODES();
		do {
			get_dictionary_string(return_fld_dev_to_orig_otpt,disp_string1,slen1);
			DELAY(3,disp_string1);
			send(40,status);
			if ( status[STATUS_RESPONSE_CODE] ) {
				display_response_status(40,status[STATUS_RESPONSE_CODE]);
			}
		} while ( status[STATUS_RESPONSE_CODE]);
		get_dictionary_string(loop_may_be_returned_to_auto,disp_string1,slen1);
		ACKNOWLEDGE(disp_string1);
	}
}

/*-------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------*/

COMMAND cmd_start_adjust_sys_zero       /* autom. abgleich system nullp. starten */
{
  NUMBER 147;
  OPERATION COMMAND;
	TRANSACTION
	{
		REQUEST
    {
    }
		REPLY
		{
      response_code,
      device_status
		}
	}

  RESPONSE_CODES
  {
    0,  SUCCESS,     [no_command_specific_errors];
    5,  MISC_ERROR,  [too_few_data_bytes_recieved];
    16, MODE_ERROR,   [access_restricted];
    32, MISC_ERROR,  "device busy";
  }
}

/*-------------------------------------------------------------------------*/

ARRAY OF VARIABLE memory_test_functions
{
    LABEL "Collection Memory test Functions ";
    HELP  "Help Memory test Functions ";
    ELEMENTS
    {
        0 ,  local__dummy	 , [blank]  , [blank] ;					/* main fram */
        1 ,  local__dummy	 , [blank]  , [blank] ;					/* backup fram */
        7 ,  local__dummy	 , [blank]  , [blank] ;					/* flash checksum */
    }          
}              
               
VARIABLE memory_test_functions_code
{
	HELP [index_into_dynamic_variables_array_help];
  TYPE INDEX memory_test_functions;
	CLASS USER_INTERFACE;

}


COMMAND write_memory_test_functions
{
  NUMBER 225;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
      memory_test_functions_code (INFO,INDEX)
		}

		REPLY
		{
			response_code, device_status,
      memory_test_functions_code
		}
	}

	RESPONSE_CODES
	{
    0,  SUCCESS,        	[no_command_specific_errors];
		2,	MISC_ERROR,				[invalid_selection];
		3,	DATA_ENTRY_ERROR,	[passed_parameter_too_large];
		5,	MISC_ERROR,				[too_few_data_bytes_recieved];
		6,	MISC_ERROR,				[xmtr_specific_command_error];
   16, 	MODE_ERROR,   		[access_restricted];
   32, 	MISC_ERROR,  			"device busy";
	}
}

/*-------------------------------------------------------------------------*/



MENU upload_variables
{
	LABEL label_upload_variables;
	ITEMS
  {
     tag
    ,descriptor
    ,message
    ,date
/*
    ,ucNennweite
    */
    ,ucBetriebsart

    ,ucProgEinheitDichte
    ,uiEinheitQv
    ,uiEinheitZv
/*
    ,flow_units
    ,pulse_output_units
    */

    ,flow_upper_sensor_limit
    ,flow_upper_range_value
/*
    ,flow_lower_range_value

		,strAufnehmerTagNr	
		,strMessumformTagNr
		*/

    ,fQmaxDN_ls
    ,fQmax
    ,fImpulswertigkeitVolumen
    ,fImpulsbreite_ms
    ,fSchleichmenge
    ,fDaempfung
    ,flow_damping_value
    ,fDichte

		,ucSprache
    ,ucSchaltausgang
    ,ucSchalteingang            
    ,ucIoutAlarm
    ,ucDlrEinAus
    ,ucAlarmlRohr
    ,ucIoutlRohr
    ,ucSimulationEin
    ,ucTestModeEin
    ,ucAnzeigeModus
    ,ucAnzeigeZeile1
    ,ucAnzeigeZeile2 
    ,ucAnzeigeZeile3
    ,ucAnzeigeZeile4
    ,ucFliessrichtung
    ,ucRichtungsanzeige
/*
    ,ucAufnehmerType
    ,ucAufnehmerTyp
    ,HartPollingAddress
    */
    ,ucAnzeigeKontrast
/*
    ,ucKommunikation
    ,ucTreiber
    ,ucBestellVariante
    ,ucNetzfrequenz
    ,ucStartUpKommuService
    */
    ,ucTestImpulsausgangEin
/*
    ,ucIoutArt
    ,ucKommuServiceStecker
    */
    ,ucImpulsZustand
    ,ucAktuellVariante
    ,ucSchalteingangTest
    ,ucSchaltausgangTest
    ,ucDlrArt_LNS
/*
    ,ucEigenerregt
    */

    ,uiNetzAusfallZaehler
    ,uiGeraeteNummer
/*
    ,uiTreiberSteuerungDac
    */

    ,fAnlD_SysNullQ
    ,fEinheitenfaktor
/*
    ,fFlaecheVollesRohr
    */
    ,fPriD_ZeroQ
    ,fPriD_SpanneQ
/*
    ,fPriD_PhaseQ
    */
    ,fIout4mAUK1
    ,fIout20mAUK1                
    ,fGD_KanalQ50Hz
    ,fGD_ZeroQ50Hz
    ,fGD_SpanneVQ50Hz
    ,fGD_SpanneRQ50Hz
    ,fGD_KanalQ60Hz
    ,fGD_ZeroQ60Hz
    ,fGD_SpanneVQ60Hz
    ,fGD_SpanneRQ60Hz
    ,fGD_KanalQ70Hz
    ,fGD_ZeroQ70Hz
    ,fGD_SpanneVQ70Hz
    ,fGD_SpanneRQ70Hz
/*
    ,fFlaecheVollesRohr
    ,fLeerRohrFaktor
    */
    ,fILowAlarm
    ,fIHighAlarm
    ,fSimulationsWert
/*
    ,SpuleDCStrom
    ,fTreiberRegelungRefSpg
    ,fTreiberRegelungDiffV
    ,fLeerRohrFaktor
    */
    ,fMinAlarm
    ,fMaxAlarm
/*
    ,fDataOutputCycle
    */
    ,fFunkTestAusgabeImpulse
/*
    ,fQ10MS
*/
    ,fQmaxImpuls
/*
    ,fLeerRohrFaktorN
    ,fLeerRohrFaktorS
    */
  }
}


/*-----------------------------------------------------------------------*/
/*        REFRESH relations                                              */
/*-----------------------------------------------------------------------*/


REFRESH great_refresh
{
  PV.UPPER_SENSOR_LIMIT,
  flow_units
  :
  PV.UPPER_RANGE_VALUE,
  PV.LOWER_RANGE_VALUE,
  PV.UPPER_SENSOR_LIMIT,
  PV.LOWER_SENSOR_LIMIT
}

REFRESH fQmax_refresh
{
  fQmax
  :
  PV.UPPER_RANGE_VALUE
  ,fImpulswertigkeitVolumen
  ,fImpulsbreite_ms
}

REFRESH uiEinheitQv_refresh
{
  uiEinheitQv
  :
  flow_units,
  PV.UPPER_RANGE_VALUE,
  PV.LOWER_RANGE_VALUE,
  PV.UPPER_SENSOR_LIMIT,
  PV.LOWER_SENSOR_LIMIT
  ,fQmaxDN_ls
  ,fQmax
  ,fQmaxImpuls
  ,flow_minimum_span
  ,fImpulswertigkeitVolumen
  ,fImpulsbreite_ms
}

REFRESH uiEinheitZv_refresh
{
  uiEinheitZv
  :
  pulse_output_units
  ,fImpulswertigkeitVolumen
  ,fImpulsbreite_ms
}

REFRESH fImpulswertigkeitVolumen_refresh
{
  fImpulswertigkeitVolumen
  :
  fImpulsbreite_ms
}

REFRESH fImpulsbreite_ms_refresh
{
  fImpulsbreite_ms
  :
  fImpulswertigkeitVolumen
}

REFRESH fDichte_refresh
{
	fDichte
  ,ucProgEinheitDichte
  ,fEinheitenfaktor
  :
  PV.UPPER_RANGE_VALUE,
  PV.LOWER_RANGE_VALUE,
  PV.UPPER_SENSOR_LIMIT,
  PV.LOWER_SENSOR_LIMIT
  ,fQmaxDN_ls
  ,fQmax
  ,fQmaxImpuls
  ,flow_minimum_span
  ,fImpulswertigkeitVolumen
  ,fImpulsbreite_ms
}

REFRESH ucBetriebsart_refresh
{
  ucBetriebsart
  :
  fDaempfung
}

REFRESH fDaempfung_refresh
{
  fDaempfung
  :
  flow_damping_value
}

/*
REFRESH flow_damping_value_refresh
{
  flow_damping_value
  :
  fDaempfung
}
*/

REFRESH ucDlrArt_LNS_refresh
{
  ucDlrArt_LNS
  :
  fLeerRohrFaktorS
}

/* write as one ---------------------------------------------- */


WRITE_AS_ONE wao_range
{
	PV.LOWER_RANGE_VALUE,		/* variable */
	PV.UPPER_RANGE_VALUE		/* variable */
}

EDIT_DISPLAY ed_rerange
{
  LABEL [range_values];

  EDIT_ITEMS
  {
    wao_range
    ,PV.DIGITAL_UNITS
  }

}


/*-------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------*/



/*-------------------------------------------------------------------------*/
/*                              misc Variables                            */
/*-------------------------------------------------------------------------*/
