/*
############################################################################
#####                                                                  #####
#####                        ABB Automation Products                   #####
#####                                                                  #####
#####                             abbdS4SiagParLbl.h                   #####
#####                                                                  #####
#####                  define labels for DD variables                  #####
#####                            extended diagnosis                    #####
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: +49 551/905720

****************************************************************************
                Revision:						0.0.0

Date:           20.July 2007

*/


#define    hist_0               \
            " 1"
#define    hist_1               \
            " 2"
#define    hist_2               \
            " 3"
#define    hist_3               \
            " 4"
#define    hist_4               \
            " 5"
#define    hist_5               \
            " 6"
#define    hist_6               \
            " 7"
#define    hist_7               \
            " 8"
#define    hist_8               \
            " 9"
#define    prdct_1              \
            " P1"
#define    prdct_2              \
            " P2"
#define    su_en                \
            " SU"
#define    su_de                \
            " IB"
#define    fact_en              \
            " Fac"
#define    fact_de              \
            " Wrk"

#define    min              \
            " min"
#define    max              \
            " max"

#define    en_min_def              \
            " min def"
#define    en_max_def              \
            " max def"
#define    de_min_def              \
            " min std"
#define    de_max_def              \
            " max std"

#define    en_status              \
            " status"
#define    de_status              \
            " Status"


#define    en_CoilCurrent                           \
           "|en|Coil current"
#define    de_Spulenstrom                           \
            "|de|Spulenstrom"

#define    label_siCoilCurrent_meas_A               \
            en_CoilCurrent                          \
            de_Spulenstrom
#define    label_siCoilCurrent_meas_0               \
            en_CoilCurrent hist_0                   \
            de_Spulenstrom hist_0
#define    label_siCoilCurrent_meas_1               \
            en_CoilCurrent hist_1                   \
            de_Spulenstrom hist_1
#define    label_siCoilCurrent_meas_2               \
            en_CoilCurrent hist_2                   \
            de_Spulenstrom hist_2
#define    label_siCoilCurrent_meas_3               \
            en_CoilCurrent hist_3                   \
            de_Spulenstrom hist_3
#define    label_siCoilCurrent_meas_4               \
            en_CoilCurrent hist_4                   \
            de_Spulenstrom hist_4
#define    label_siCoilCurrent_meas_5               \
            en_CoilCurrent hist_5                   \
            de_Spulenstrom hist_5
#define    label_siCoilCurrent_meas_6               \
            en_CoilCurrent hist_6                   \
            de_Spulenstrom hist_6
#define    label_siCoilCurrent_meas_7               \
            en_CoilCurrent hist_7                   \
            de_Spulenstrom hist_7
#define    label_siCoilCurrent_meas_8               \
            en_CoilCurrent hist_8                   \
            de_Spulenstrom hist_8
#define    label_siCoilCurrent_min                  \
            en_CoilCurrent min                      \
            de_Spulenstrom min
#define    label_siCoilCurrent_max                  \
            en_CoilCurrent max                      \
            de_Spulenstrom max
#define    label_siCoilCurrent_min_def              \
            en_CoilCurrent en_min_def               \
            de_Spulenstrom de_min_def
#define    label_siCoilCurrent_max_def              \
            en_CoilCurrent en_max_def               \
            de_Spulenstrom de_max_def
#define    label_ucCoilCurrent_status               \
            en_CoilCurrent en_status                \
            de_Spulenstrom de_status

#define    label_siCoilCurrent_meas_P1              \
            de_Spulenstrom prdct_1                \
            en_CoilCurrent prdct_1
#define    label_siCoilCurrent_meas_P2              \
            de_Spulenstrom prdct_2                \
            en_CoilCurrent prdct_2
#define    label_siCoilCurrent_meas_OP              \
            de_Spulenstrom su_de                  \
            en_CoilCurrent su_en
#define    label_siCoilCurrent_meas_FS              \
            de_Spulenstrom fact_de                \
            en_CoilCurrent fact_en


#define    en_CoilVoltage                           \
           "|en|Coil voltage"
#define    de_Spulenspannung                        \
            "|de|Spulenspannung"

#define    label_siCoilVoltage_meas_A               \
            en_CoilVoltage                          \
            de_Spulenspannung
#define    label_siCoilVoltage_meas_0               \
            en_CoilVoltage    hist_0                \
            de_Spulenspannung hist_0
#define    label_siCoilVoltage_meas_1               \
            en_CoilVoltage    hist_1                \
            de_Spulenspannung hist_1
#define    label_siCoilVoltage_meas_2               \
            en_CoilVoltage    hist_2                \
            de_Spulenspannung hist_2
#define    label_siCoilVoltage_meas_3               \
            en_CoilVoltage    hist_3                \
            de_Spulenspannung hist_3
#define    label_siCoilVoltage_meas_4               \
            en_CoilVoltage    hist_4                \
            de_Spulenspannung hist_4
#define    label_siCoilVoltage_meas_5               \
            en_CoilVoltage    hist_5                \
            de_Spulenspannung hist_5
#define    label_siCoilVoltage_meas_6               \
            en_CoilVoltage    hist_6                \
            de_Spulenspannung hist_6
#define    label_siCoilVoltage_meas_7               \
            en_CoilVoltage    hist_7                \
            de_Spulenspannung hist_7
#define    label_siCoilVoltage_meas_8               \
            en_CoilVoltage    hist_8                \
            de_Spulenspannung hist_8
#define    label_siCoilVoltage_min                  \
            en_CoilVoltage    min                   \
            de_Spulenspannung min
#define    label_siCoilVoltage_max                  \
            en_CoilVoltage    max                   \
            de_Spulenspannung max
#define    label_siCoilVoltage_min_def              \
            en_CoilVoltage    en_min_def            \
            de_Spulenspannung de_min_def
#define    label_siCoilVoltage_max_def              \
            en_CoilVoltage    en_max_def            \
            de_Spulenspannung de_max_def
#define    label_ucCoilVoltage_status               \
            en_CoilVoltage    en_status             \
            de_Spulenspannung de_status

#define    label_siCoilVoltage_meas_P1              \
            de_Spulenspannung prdct_1               \
            en_CoilVoltage prdct_1
#define    label_siCoilVoltage_meas_P2              \
            de_Spulenspannung prdct_2               \
            en_CoilVoltage prdct_2
#define    label_siCoilVoltage_meas_OP              \
            de_Spulenspannung su_de                 \
            en_CoilVoltage su_en
#define    label_siCoilVoltage_meas_FS              \
            de_Spulenspannung fact_de               \
            en_CoilVoltage fact_en

#define    en_CoilResistance                        \
           "|en|Coil resistance"
#define    de_Spulenwiderstand                      \
            "|de|Spulenwiderstand"

#define    label_siCoilResistance_meas_A            \
            en_CoilResistance                       \
            de_Spulenwiderstand
#define    label_siCoilResistance_meas_0            \
            en_CoilResistance   hist_0              \
            de_Spulenwiderstand hist_0
#define    label_siCoilResistance_meas_1            \
            en_CoilResistance   hist_1              \
            de_Spulenwiderstand hist_1
#define    label_siCoilResistance_meas_2            \
            en_CoilResistance   hist_2              \
            de_Spulenwiderstand hist_2
#define    label_siCoilResistance_meas_3            \
            en_CoilResistance   hist_3              \
            de_Spulenwiderstand hist_3
#define    label_siCoilResistance_meas_4            \
            en_CoilResistance   hist_4              \
            de_Spulenwiderstand hist_4
#define    label_siCoilResistance_meas_5            \
            en_CoilResistance   hist_5              \
            de_Spulenwiderstand hist_5
#define    label_siCoilResistance_meas_6            \
            en_CoilResistance   hist_6              \
            de_Spulenwiderstand hist_6
#define    label_siCoilResistance_meas_7            \
            en_CoilResistance   hist_7              \
            de_Spulenwiderstand hist_7
#define    label_siCoilResistance_meas_8            \
            en_CoilResistance   hist_8              \
            de_Spulenwiderstand hist_8
#define    label_siCoilResistance_min               \
            en_CoilResistance   min                 \
            de_Spulenwiderstand min
#define    label_siCoilResistance_max               \
            en_CoilResistance   max                 \
            de_Spulenwiderstand max
#define    label_siCoilResistance_min_def           \
            en_CoilResistance   en_min_def          \
            de_Spulenwiderstand de_min_def
#define    label_siCoilResistance_max_def           \
            en_CoilResistance   en_min_def          \
            de_Spulenwiderstand de_min_def
#define    label_ucCoilResistance_status            \
            en_CoilResistance   en_status           \
            de_Spulenwiderstand de_status

#define    label_siCoilResistance_meas_P1           \
            de_Spulenwiderstand prdct_1             \
            en_CoilResistance prdct_1
#define    label_siCoilResistance_meas_P2           \
            de_Spulenwiderstand prdct_2             \
            en_CoilResistance prdct_2
#define    label_siCoilResistance_meas_OP           \
            de_Spulenwiderstand su_de               \
            en_CoilResistance su_en
#define    label_siCoilResistance_meas_FS           \
            de_Spulenwiderstand fact_de             \
            en_CoilResistance fact_en


#define    en_CoilTemperature                       \
           "|en|Coil temperature"
#define    de_Spulentemperatur                      \
            "|de|Spulentemperatur"

#define    label_siCoilTemperature_meas_A           \
            en_CoilTemperature                      \
            de_Spulentemperatur
#define    label_siCoilTemperature_meas_0           \
            en_CoilTemperature  hist_0              \
            de_Spulentemperatur hist_0
#define    label_siCoilTemperature_meas_1           \
            en_CoilTemperature  hist_1              \
            de_Spulentemperatur hist_2
#define    label_siCoilTemperature_meas_2           \
            en_CoilTemperature  hist_2              \
            de_Spulentemperatur hist_2
#define    label_siCoilTemperature_meas_3           \
            en_CoilTemperature  hist_3              \
            de_Spulentemperatur hist_3
#define    label_siCoilTemperature_meas_4           \
            en_CoilTemperature  hist_4              \
            de_Spulentemperatur hist_4
#define    label_siCoilTemperature_meas_5           \
            en_CoilTemperature  hist_5              \
            de_Spulentemperatur hist_5
#define    label_siCoilTemperature_meas_6           \
            en_CoilTemperature  hist_6              \
            de_Spulentemperatur hist_6
#define    label_siCoilTemperature_meas_7           \
            en_CoilTemperature  hist_7              \
            de_Spulentemperatur hist_7
#define    label_siCoilTemperature_meas_8           \
            en_CoilTemperature  hist_8              \
            de_Spulentemperatur hist_8
#define    label_siCoilTemperature_min              \
            en_CoilTemperature  min                 \
            de_Spulentemperatur min
#define    label_siCoilTemperature_max              \
            en_CoilTemperature  max                 \
            de_Spulentemperatur max
#define    label_siCoilTemperature_min_def          \
            en_CoilTemperature  en_min_def          \
            de_Spulentemperatur de_min_def
#define    label_siCoilTemperature_max_def          \
            en_CoilTemperature  en_max_def          \
            de_Spulentemperatur de_max_def
#define    label_ucCoilTemperature_status           \
            en_CoilTemperature  en_status           \
            de_Spulentemperatur de_status

#define    label_siCoilTemperature_meas_P1          \
            de_Spulentemperatur prdct_1             \
            en_CoilTemperature prdct_1
#define    label_siCoilTemperature_meas_P2          \
            de_Spulentemperatur prdct_2             \
            en_CoilTemperature prdct_2
#define    label_siCoilTemperature_meas_OP          \
            de_Spulentemperatur su_de               \
            en_CoilTemperature su_en
#define    label_siCoilTemperature_meas_FS          \
            de_Spulentemperatur fact_de             \
            en_CoilTemperature fact_en


#define    en_CoilIsolationResistance               \
           "|en|Coil isolation resistance"
#define    de_Spulenisolationswiderstand            \
            "|de|Spulenisolationswiderstand"

#define    label_siCoilIsolationResistance_meas_A           \
            en_CoilIsolationResistance                      \
            de_Spulenisolationswiderstand
#define    label_siCoilIsolationResistance_meas_0           \
            en_CoilIsolationResistance  hist_0              \
            de_Spulenisolationswiderstand hist_0
#define    label_siCoilIsolationResistance_meas_1           \
            en_CoilIsolationResistance  hist_1              \
            de_Spulenisolationswiderstand hist_2
#define    label_siCoilIsolationResistance_meas_2           \
            en_CoilIsolationResistance  hist_2              \
            de_Spulenisolationswiderstand hist_2
#define    label_siCoilIsolationResistance_meas_3           \
            en_CoilIsolationResistance  hist_3              \
            de_Spulenisolationswiderstand hist_3
#define    label_siCoilIsolationResistance_meas_4           \
            en_CoilIsolationResistance  hist_4              \
            de_Spulenisolationswiderstand hist_4
#define    label_siCoilIsolationResistance_meas_5           \
            en_CoilIsolationResistance  hist_5              \
            de_Spulenisolationswiderstand hist_5
#define    label_siCoilIsolationResistance_meas_6           \
            en_CoilIsolationResistance  hist_6              \
            de_Spulenisolationswiderstand hist_6
#define    label_siCoilIsolationResistance_meas_7           \
            en_CoilIsolationResistance  hist_7              \
            de_Spulenisolationswiderstand hist_7
#define    label_siCoilIsolationResistance_meas_8           \
            en_CoilIsolationResistance  hist_8              \
            de_Spulenisolationswiderstand hist_8
#define    label_siCoilIsolationResistance_min              \
            en_CoilIsolationResistance  min                 \
            de_Spulenisolationswiderstand min
#define    label_siCoilIsolationResistance_max              \
            en_CoilIsolationResistance  max                 \
            de_Spulenisolationswiderstand max
#define    label_siCoilIsolationResistance_min_def          \
            en_CoilIsolationResistance  en_min_def          \
            de_Spulenisolationswiderstand de_min_def
#define    label_siCoilIsolationResistance_max_def          \
            en_CoilIsolationResistance  en_max_def          \
            de_Spulenisolationswiderstand de_max_def
#define    label_ucCoilIsolationResistance_status           \
            en_CoilIsolationResistance  en_status           \
            de_Spulenisolationswiderstand de_status

#define    label_siCoilIsolationResistance_meas_P1  \
            de_Spulenisolationswiderstand prdct_1   \
            en_CoilIsolationResistance prdct_1
#define    label_siCoilIsolationResistance_meas_P2  \
            de_Spulenisolationswiderstand prdct_2   \
            en_CoilIsolationResistance prdct_2
#define    label_siCoilIsolationResistance_meas_OP  \
            de_Spulenisolationswiderstand su_de     \
            en_CoilIsolationResistance su_en
#define    label_siCoilIsolationResistance_meas_FS  \
            de_Spulenisolationswiderstand fact_de   \
            en_CoilIsolationResistance fact_en


#define    en_Linearity               \
            "|en|Linearity"
#define    de_Linearitaet             \
            "|de|Linearitt"

#define    label_siLinearity_meas_A           \
            en_Linearity                      \
            de_Linearitaet
#define    label_siLinearity_meas_0           \
            en_Linearity  hist_0              \
            de_Linearitaet hist_0
#define    label_siLinearity_meas_1           \
            en_Linearity  hist_1              \
            de_Linearitaet hist_2
#define    label_siLinearity_meas_2           \
            en_Linearity  hist_2              \
            de_Linearitaet hist_2
#define    label_siLinearity_meas_3           \
            en_Linearity  hist_3              \
            de_Linearitaet hist_3
#define    label_siLinearity_meas_4           \
            en_Linearity  hist_4              \
            de_Linearitaet hist_4
#define    label_siLinearity_meas_5           \
            en_Linearity  hist_5              \
            de_Linearitaet hist_5
#define    label_siLinearity_meas_6           \
            en_Linearity  hist_6              \
            de_Linearitaet hist_6
#define    label_siLinearity_meas_7           \
            en_Linearity  hist_7              \
            de_Linearitaet hist_7
#define    label_siLinearity_meas_8           \
            en_Linearity  hist_8              \
            de_Linearitaet hist_8
#define    label_siLinearity_min              \
            en_Linearity  min                 \
            de_Linearitaet min
#define    label_siLinearity_max              \
            en_Linearity  max                 \
            de_Linearitaet max
#define    label_siLinearity_min_def          \
            en_Linearity  en_min_def          \
            de_Linearitaet de_min_def
#define    label_siLinearity_max_def          \
            en_Linearity  en_max_def          \
            de_Linearitaet de_max_def
#define    label_ucLinearity_status           \
            en_Linearity  en_status           \
            de_Linearitaet de_status

#define    label_siLinearity_meas_P1                \
            de_Linearitaet prdct_1                  \
            en_Linearity prdct_1
#define    label_siLinearity_meas_P2                \
            de_Linearitaet prdct_2                  \
            en_Linearity prdct_2
#define    label_siLinearity_meas_OP                \
            de_Linearitaet su_de                    \
            en_Linearity su_en
#define    label_siLinearity_meas_FS                \
            de_Linearitaet fact_de                  \
            en_Linearity fact_en


#define    en_ElectrodeVoltage_E1                    \
            "|en|Electrode voltage E1"
#define    de_Elektrodenspannung_E1                  \
            "|de|Elektrodenspannung E1"

#define    label_siElectrodeVoltage_E1_meas_A           \
            en_ElectrodeVoltage_E1                      \
            de_Elektrodenspannung_E1
#define    label_siElectrodeVoltage_E1_meas_0           \
            en_ElectrodeVoltage_E1  hist_0              \
            de_Elektrodenspannung_E1 hist_0
#define    label_siElectrodeVoltage_E1_meas_1           \
            en_ElectrodeVoltage_E1  hist_1              \
            de_Elektrodenspannung_E1 hist_2
#define    label_siElectrodeVoltage_E1_meas_2           \
            en_ElectrodeVoltage_E1  hist_2              \
            de_Elektrodenspannung_E1 hist_2
#define    label_siElectrodeVoltage_E1_meas_3           \
            en_ElectrodeVoltage_E1  hist_3              \
            de_Elektrodenspannung_E1 hist_3
#define    label_siElectrodeVoltage_E1_meas_4           \
            en_ElectrodeVoltage_E1  hist_4              \
            de_Elektrodenspannung_E1 hist_4
#define    label_siElectrodeVoltage_E1_meas_5           \
            en_ElectrodeVoltage_E1  hist_5              \
            de_Elektrodenspannung_E1 hist_5
#define    label_siElectrodeVoltage_E1_meas_6           \
            en_ElectrodeVoltage_E1  hist_6              \
            de_Elektrodenspannung_E1 hist_6
#define    label_siElectrodeVoltage_E1_meas_7           \
            en_ElectrodeVoltage_E1  hist_7              \
            de_Elektrodenspannung_E1 hist_7
#define    label_siElectrodeVoltage_E1_meas_8           \
            en_ElectrodeVoltage_E1  hist_8              \
            de_Elektrodenspannung_E1 hist_8
#define    label_siElectrodeVoltage_E1_min              \
            en_ElectrodeVoltage_E1  min                 \
            de_Elektrodenspannung_E1 min
#define    label_siElectrodeVoltage_E1_max              \
            en_ElectrodeVoltage_E1  max                 \
            de_Elektrodenspannung_E1 max
#define    label_siElectrodeVoltage_E1_min_def          \
            en_ElectrodeVoltage_E1  en_min_def          \
            de_Elektrodenspannung_E1 de_min_def
#define    label_siElectrodeVoltage_E1_max_def          \
            en_ElectrodeVoltage_E1  en_max_def          \
            de_Elektrodenspannung_E1 de_max_def
#define    label_ucElectrodeVoltage_E1_status           \
            en_ElectrodeVoltage_E1  en_status           \
            de_Elektrodenspannung_E1 de_status

#define    label_siElectrodeVoltage_E1_meas_P1      \
            de_Elektrodenspannung_E1 prdct_1        \
            en_ElectrodeVoltage_E1 prdct_1
#define    label_siElectrodeVoltage_E1_meas_P2      \
            de_Elektrodenspannung_E1 prdct_2        \
            en_ElectrodeVoltage_E1 prdct_2
#define    label_siElectrodeVoltage_E1_meas_OP      \
            de_Elektrodenspannung_E1 su_de          \
            en_ElectrodeVoltage_E1 su_en
#define    label_siElectrodeVoltage_E1_meas_FS      \
            de_Elektrodenspannung_E1 fact_de        \
            en_ElectrodeVoltage_E1 fact_en


#define    en_ElectrodeVoltage_E2                    \
            "|en|Electrode voltage E2"
#define    de_Elektrodenspannung_E2                  \
            "|de|Elektrodenspannung E2"

#define    label_siElectrodeVoltage_E2_meas_A           \
            en_ElectrodeVoltage_E2                      \
            de_Elektrodenspannung_E2
#define    label_siElectrodeVoltage_E2_meas_0           \
            en_ElectrodeVoltage_E2  hist_0              \
            de_Elektrodenspannung_E2 hist_0
#define    label_siElectrodeVoltage_E2_meas_1           \
            en_ElectrodeVoltage_E2  hist_1              \
            de_Elektrodenspannung_E2 hist_2
#define    label_siElectrodeVoltage_E2_meas_2           \
            en_ElectrodeVoltage_E2  hist_2              \
            de_Elektrodenspannung_E2 hist_2
#define    label_siElectrodeVoltage_E2_meas_3           \
            en_ElectrodeVoltage_E2  hist_3              \
            de_Elektrodenspannung_E2 hist_3
#define    label_siElectrodeVoltage_E2_meas_4           \
            en_ElectrodeVoltage_E2  hist_4              \
            de_Elektrodenspannung_E2 hist_4
#define    label_siElectrodeVoltage_E2_meas_5           \
            en_ElectrodeVoltage_E2  hist_5              \
            de_Elektrodenspannung_E2 hist_5
#define    label_siElectrodeVoltage_E2_meas_6           \
            en_ElectrodeVoltage_E2  hist_6              \
            de_Elektrodenspannung_E2 hist_6
#define    label_siElectrodeVoltage_E2_meas_7           \
            en_ElectrodeVoltage_E2  hist_7              \
            de_Elektrodenspannung_E2 hist_7
#define    label_siElectrodeVoltage_E2_meas_8           \
            en_ElectrodeVoltage_E2  hist_8              \
            de_Elektrodenspannung_E2 hist_8
#define    label_siElectrodeVoltage_E2_min              \
            en_ElectrodeVoltage_E2  min                 \
            de_Elektrodenspannung_E2 min
#define    label_siElectrodeVoltage_E2_max              \
            en_ElectrodeVoltage_E2  max                 \
            de_Elektrodenspannung_E2 max
#define    label_siElectrodeVoltage_E2_min_def          \
            en_ElectrodeVoltage_E2  en_min_def          \
            de_Elektrodenspannung_E2 de_min_def
#define    label_siElectrodeVoltage_E2_max_def          \
            en_ElectrodeVoltage_E2  en_max_def          \
            de_Elektrodenspannung_E2 de_max_def
#define    label_ucElectrodeVoltage_E2_status           \
            en_ElectrodeVoltage_E2  en_status           \
            de_Elektrodenspannung_E2 de_status

#define    label_siElectrodeVoltage_E2_meas_P1      \
            de_Elektrodenspannung_E2 prdct_1        \
            en_ElectrodeVoltage_E2 prdct_1
#define    label_siElectrodeVoltage_E2_meas_P2      \
            de_Elektrodenspannung_E2 prdct_2        \
            en_ElectrodeVoltage_E2 prdct_2
#define    label_siElectrodeVoltage_E2_meas_OP      \
            de_Elektrodenspannung_E2 su_de          \
            en_ElectrodeVoltage_E2 su_en
#define    label_siElectrodeVoltage_E2_meas_FS      \
            de_Elektrodenspannung_E2 fact_de        \
            en_ElectrodeVoltage_E2 fact_en


#define    en_ElectrodeBalance               \
           "|en|Electrode balance"
#define    de_Elektrodenbalance              \
            "|de|Elektrodenbalance"

#define    label_siElectrodeBalance_meas_A           \
            en_ElectrodeBalance                      \
            de_Elektrodenbalance
#define    label_siElectrodeBalance_meas_0           \
            en_ElectrodeBalance  hist_0              \
            de_Elektrodenbalance hist_0
#define    label_siElectrodeBalance_meas_1           \
            en_ElectrodeBalance  hist_1              \
            de_Elektrodenbalance hist_2
#define    label_siElectrodeBalance_meas_2           \
            en_ElectrodeBalance  hist_2              \
            de_Elektrodenbalance hist_2
#define    label_siElectrodeBalance_meas_3           \
            en_ElectrodeBalance  hist_3              \
            de_Elektrodenbalance hist_3
#define    label_siElectrodeBalance_meas_4           \
            en_ElectrodeBalance  hist_4              \
            de_Elektrodenbalance hist_4
#define    label_siElectrodeBalance_meas_5           \
            en_ElectrodeBalance  hist_5              \
            de_Elektrodenbalance hist_5
#define    label_siElectrodeBalance_meas_6           \
            en_ElectrodeBalance  hist_6              \
            de_Elektrodenbalance hist_6
#define    label_siElectrodeBalance_meas_7           \
            en_ElectrodeBalance  hist_7              \
            de_Elektrodenbalance hist_7
#define    label_siElectrodeBalance_meas_8           \
            en_ElectrodeBalance  hist_8              \
            de_Elektrodenbalance hist_8
#define    label_siElectrodeBalance_min              \
            en_ElectrodeBalance  min                 \
            de_Elektrodenbalance min
#define    label_siElectrodeBalance_max              \
            en_ElectrodeBalance  max                 \
            de_Elektrodenbalance max
#define    label_siElectrodeBalance_min_def          \
            en_ElectrodeBalance  en_min_def          \
            de_Elektrodenbalance de_min_def
#define    label_siElectrodeBalance_max_def          \
            en_ElectrodeBalance  en_max_def          \
            de_Elektrodenbalance de_max_def
#define    label_ucElectrodeBalance_status           \
            en_ElectrodeBalance  en_status           \
            de_Elektrodenbalance de_status

#define    label_siElectrodeBalance_meas_P1         \
            de_Elektrodenbalance prdct_1            \
            en_ElectrodeBalance prdct_1
#define    label_siElectrodeBalance_meas_P2         \
            de_Elektrodenbalance prdct_2            \
            en_ElectrodeBalance prdct_2
#define    label_siElectrodeBalance_meas_OP         \
            de_Elektrodenbalance su_de              \
            en_ElectrodeBalance su_en
#define    label_siElectrodeBalance_meas_FS         \
            de_Elektrodenbalance fact_de            \
            en_ElectrodeBalance fact_en



#define    en_DAC               \
           "|en|DAC"
#define    de_DAC               \
            "|de|DAC"

#define    label_siDAC_meas_A           \
            en_DAC                      \
            de_DAC
#define    label_siDAC_meas_0           \
            en_DAC  hist_0              \
            de_DAC hist_0
#define    label_siDAC_meas_1           \
            en_DAC  hist_1              \
            de_DAC hist_2
#define    label_siDAC_meas_2           \
            en_DAC  hist_2              \
            de_DAC hist_2
#define    label_siDAC_meas_3           \
            en_DAC  hist_3              \
            de_DAC hist_3
#define    label_siDAC_meas_4           \
            en_DAC  hist_4              \
            de_DAC hist_4
#define    label_siDAC_meas_5           \
            en_DAC  hist_5              \
            de_DAC hist_5
#define    label_siDAC_meas_6           \
            en_DAC  hist_6              \
            de_DAC hist_6
#define    label_siDAC_meas_7           \
            en_DAC  hist_7              \
            de_DAC hist_7
#define    label_siDAC_meas_8           \
            en_DAC  hist_8              \
            de_DAC hist_8
#define    label_siDAC_min              \
            en_DAC  min                 \
            de_DAC min
#define    label_siDAC_max              \
            en_DAC  max                 \
            de_DAC max
#define    label_siDAC_min_def          \
            en_DAC  en_min_def          \
            de_DAC de_min_def
#define    label_siDAC_max_def          \
            en_DAC  en_max_def          \
            de_DAC de_max_def
#define    label_ucDAC_status           \
            en_DAC  en_status           \
            de_DAC de_status

#define    label_siDAC_meas_P1                      \
            de_DAC prdct_1                          \
            en_DAC prdct_1
#define    label_siDAC_meas_P2                      \
            de_DAC prdct_2                          \
            en_DAC prdct_2
#define    label_siDAC_meas_OP                      \
            de_DAC su_de                            \
            en_DAC su_en
#define    label_siDAC_meas_FS                      \
            de_DAC fact_de                          \
            en_DAC fact_en


#define    en_SignalNoiseRatio                 \
           "|en|Signal noise ratio"
#define    de_Signalrauschverhalten            \
            "|de|Signalrauschverhalten"

#define    label_siSignalNoiseRatio_meas_A           \
            en_SignalNoiseRatio                      \
            de_Signalrauschverhalten
#define    label_siSignalNoiseRatio_meas_0           \
            en_SignalNoiseRatio  hist_0              \
            de_Signalrauschverhalten hist_0
#define    label_siSignalNoiseRatio_meas_1           \
            en_SignalNoiseRatio  hist_1              \
            de_Signalrauschverhalten hist_2
#define    label_siSignalNoiseRatio_meas_2           \
            en_SignalNoiseRatio  hist_2              \
            de_Signalrauschverhalten hist_2
#define    label_siSignalNoiseRatio_meas_3           \
            en_SignalNoiseRatio  hist_3              \
            de_Signalrauschverhalten hist_3
#define    label_siSignalNoiseRatio_meas_4           \
            en_SignalNoiseRatio  hist_4              \
            de_Signalrauschverhalten hist_4
#define    label_siSignalNoiseRatio_meas_5           \
            en_SignalNoiseRatio  hist_5              \
            de_Signalrauschverhalten hist_5
#define    label_siSignalNoiseRatio_meas_6           \
            en_SignalNoiseRatio  hist_6              \
            de_Signalrauschverhalten hist_6
#define    label_siSignalNoiseRatio_meas_7           \
            en_SignalNoiseRatio  hist_7              \
            de_Signalrauschverhalten hist_7
#define    label_siSignalNoiseRatio_meas_8           \
            en_SignalNoiseRatio  hist_8              \
            de_Signalrauschverhalten hist_8
#define    label_siSignalNoiseRatio_min              \
            en_SignalNoiseRatio  min                 \
            de_Signalrauschverhalten min
#define    label_siSignalNoiseRatio_max              \
            en_SignalNoiseRatio  max                 \
            de_Signalrauschverhalten max
#define    label_siSignalNoiseRatio_min_def          \
            en_SignalNoiseRatio  en_min_def          \
            de_Signalrauschverhalten de_min_def
#define    label_siSignalNoiseRatio_max_def          \
            en_SignalNoiseRatio  en_max_def          \
            de_Signalrauschverhalten de_max_def
#define    label_ucSignalNoiseRatio_status           \
            en_SignalNoiseRatio  en_status           \
            de_Signalrauschverhalten de_status

#define    label_siSignalNoiseRatio_meas_P1         \
            en_SignalNoiseRatio prdct_1             \
            de_Signalrauschverhalten prdct_1

#define    label_siSignalNoiseRatio_meas_P2         \
            en_SignalNoiseRatio prdct_2             \
            de_Signalrauschverhalten prdct_2

#define    label_siSignalNoiseRatio_meas_OP         \
            en_SignalNoiseRatio su_en               \
            de_Signalrauschverhalten su_de

#define    label_siSignalNoiseRatio_meas_FS         \
            en_SignalNoiseRatio fact_en             \
            de_Signalrauschverhalten fact_de




#define    label_ucMass_short_circuitCoil_status   \
            "|de|Massekurzschluss Spule Status"    \
            "|en|Mass short circuit coil status"
#define    label_ucShort_circuitCoil_notused       \
            "|de|Kurzschluss Spule Status"         \
            "|en|Short circuit coil status"
#define    label_ucCoil_not_connected_status       \
            "|de|Spule nicht verbunden Status"     \
            "|en|Coil not connected status"
#define    label_ucCoilNotConnected                \
            "|de|Spule nicht verbunden Status"     \
            "|en|Coil not connected status"
#define    label_ucElectrodes_state_status         \
            "|de|Elektrodenzustand Status"         \
            "|en|Electrodes state status"
#define    label_ucElectrodesState                 \
            "|de|Elektrodenzustand Status"         \
            "|en|Electrodes state status"
#define    label_ucElectrodes_not_connected               \
            "|de|Elektroden nicht angeschlossen Status"   \
            "|en|electrodes not connected status"

/*
#define    en_WorkingHours                         \
            "|en|Working hours "
#define    de_Betriebsstunden                      \
            "|de|Betriebsstunden "
*/
#define    en_WorkingHours                         \
            "|en|Wrk hrs "
#define    de_Betriebsstunden                      \
            "|de|Btrb.Std "

#define    en_WorkingHoursConverter                \
            en_WorkingHours "Converter"
#define    de_BetriebsstundenUmformer              \
            de_Betriebsstunden "Umformer"

#define    label_ulWorkingHoursConverter_A         \
            de_BetriebsstundenUmformer             \
            en_WorkingHoursConverter
#define    label_ulWorkingHoursConverter_0         \
            de_BetriebsstundenUmformer hist_0      \
            en_WorkingHoursConverter hist_0
#define    label_ulWorkingHoursConverter_1         \
            de_BetriebsstundenUmformer hist_1      \
            en_WorkingHoursConverter hist_1
#define    label_ulWorkingHoursConverter_2         \
            de_BetriebsstundenUmformer hist_2      \
            en_WorkingHoursConverter hist_2
#define    label_ulWorkingHoursConverter_3         \
            de_BetriebsstundenUmformer hist_3      \
            en_WorkingHoursConverter hist_3
#define    label_ulWorkingHoursConverter_4         \
            de_BetriebsstundenUmformer hist_4      \
            en_WorkingHoursConverter hist_4
#define    label_ulWorkingHoursConverter_5         \
            de_BetriebsstundenUmformer hist_5      \
            en_WorkingHoursConverter hist_5
#define    label_ulWorkingHoursConverter_6         \
            de_BetriebsstundenUmformer hist_6      \
            en_WorkingHoursConverter hist_6
#define    label_ulWorkingHoursConverter_7         \
            de_BetriebsstundenUmformer hist_7      \
            en_WorkingHoursConverter hist_7
#define    label_ulWorkingHoursConverter_8         \
            de_BetriebsstundenUmformer hist_8      \
            en_WorkingHoursConverter hist_8


#define    en_WorkingHoursPrimary                  \
            en_WorkingHours "Primary"
#define    de_BetriebsstundenAufnehmer             \
            de_Betriebsstunden "Aufnehmer"

#define    label_ulWorkingHoursPrimary_A           \
            de_BetriebsstundenAufnehmer            \
            en_WorkingHoursPrimary
#define    label_ulWorkingHoursPrimary_0           \
            de_BetriebsstundenAufnehmer hist_0     \
            en_WorkingHoursPrimary hist_0
#define    label_ulWorkingHoursPrimary_1           \
            de_BetriebsstundenAufnehmer hist_1     \
            en_WorkingHoursPrimary hist_1
#define    label_ulWorkingHoursPrimary_2           \
            de_BetriebsstundenAufnehmer hist_2     \
            en_WorkingHoursPrimary hist_2
#define    label_ulWorkingHoursPrimary_3           \
            de_BetriebsstundenAufnehmer hist_3     \
            en_WorkingHoursPrimary hist_3
#define    label_ulWorkingHoursPrimary_4           \
            de_BetriebsstundenAufnehmer hist_4     \
            en_WorkingHoursPrimary hist_4
#define    label_ulWorkingHoursPrimary_5           \
            de_BetriebsstundenAufnehmer hist_5     \
            en_WorkingHoursPrimary hist_5
#define    label_ulWorkingHoursPrimary_6           \
            de_BetriebsstundenAufnehmer hist_6     \
            en_WorkingHoursPrimary hist_6
#define    label_ulWorkingHoursPrimary_7           \
            de_BetriebsstundenAufnehmer hist_7     \
            en_WorkingHoursPrimary hist_7
#define    label_ulWorkingHoursPrimary_8           \
            de_BetriebsstundenAufnehmer hist_8     \
            en_WorkingHoursPrimary hist_8


#define    label_ulWorkingHoursPrimary_P1          \
            de_BetriebsstundenAufnehmer prdct_1    \
            en_WorkingHoursPrimary prdct_1
#define    label_ulWorkingHoursPrimary_P2          \
            de_BetriebsstundenAufnehmer prdct_2    \
            en_WorkingHoursPrimary prdct_2
#define    label_ulWorkingHoursPrimary_OP          \
            de_BetriebsstundenAufnehmer su_de      \
            en_WorkingHoursPrimary su_en
#define    label_ulWorkingHoursPrimary_FS          \
            de_BetriebsstundenAufnehmer fact_de    \
            en_WorkingHoursPrimary fact_en

#define    label_ulWorkingHoursConverter_P1        \
            de_BetriebsstundenUmformer  prdct_1    \
            en_WorkingHoursConverter  prdct_1
#define    label_ulWorkingHoursConverter_P2        \
            de_BetriebsstundenUmformer prdct_2     \
            en_WorkingHoursConverter  prdct_2
#define    label_ulWorkingHoursConverter_OP        \
            de_BetriebsstundenUmformer su_de       \
            en_WorkingHoursConverter  su_en
#define    label_ulWorkingHoursConverter_FS        \
            de_BetriebsstundenUmformer fact_de     \
            en_WorkingHoursConverter  fact_en

/*
#define    de_AktuelleFehler                  \
            "|de|Aktuelle Fehler"
#define    en_CurrentErrors                   \
            "|en|Current errors"
#define    de_AktuelleWarnungen               \
            "|de|Aktuelle Warnungen"
#define    en_CurrentWarnings                 \
            "|en|Current warnings"
#define    de_RegisterFehlerWarnungen         \
            "|de|Register Fehler/Warnungen"
#define    en_RegisterErrorsWarnings          \
            "|en|Register errors/warnings"
#define    en_not_defined                     \
            "not defined"


#define    label_label_xmtr_ext_diag_status_00                \
            en_CurrentErrors hist_1                           \
            de_AktuelleFehler hist_1
#define    label_label_xmtr_ext_diag_status_01                \
            en_CurrentErrors hist_2                           \
            de_AktuelleFehler hist_2
#define    label_label_xmtr_ext_diag_status_02                \
            en_CurrentErrors hist_3                           \
            de_AktuelleFehler hist_3
#define    label_label_xmtr_ext_diag_status_03                \
            en_CurrentErrors hist_4                           \
            de_AktuelleFehler hist_4
#define    label_label_xmtr_ext_diag_status_04                \
            en_CurrentErrors hist_5                           \
            de_AktuelleFehler hist_5
#define    label_label_xmtr_ext_diag_status_05                \
            en_CurrentErrors hist_6                           \
            de_AktuelleFehler hist_6

#define    label_label_xmtr_ext_diag_status_06                \
            en_CurrentWarnings hist_1                         \
            de_AktuelleWarnungen hist_1
#define    label_label_xmtr_ext_diag_status_07                \
            en_CurrentWarnings hist_2                         \
            de_AktuelleWarnungen hist_2
#define    label_label_xmtr_ext_diag_status_08                \
            en_CurrentWarnings hist_3                         \
            de_AktuelleWarnungen hist_3
#define    label_label_xmtr_ext_diag_status_09                \
            en_CurrentWarnings hist_4                         \
            de_AktuelleWarnungen hist_4
#define    label_label_xmtr_ext_diag_status_10                \
            en_CurrentWarnings hist_5                         \
            de_AktuelleWarnungen hist_5
#define    label_label_xmtr_ext_diag_status_11                \
            en_CurrentWarnings hist_6                         \
            de_AktuelleWarnungen hist_6

#define    label_label_xmtr_ext_diag_status_12                \
            en_RegisterErrorsWarnings hist_1                  \
            de_RegisterFehlerWarnungen hist_1
#define    label_label_xmtr_ext_diag_status_13                \
            en_RegisterErrorsWarnings hist_2                  \
            de_RegisterFehlerWarnungen hist_2
#define    label_label_xmtr_ext_diag_status_14                \
            en_RegisterErrorsWarnings hist_3                  \
            de_RegisterFehlerWarnungen hist_3
#define    label_label_xmtr_ext_diag_status_15                \
            en_RegisterErrorsWarnings hist_4                  \
            de_RegisterFehlerWarnungen hist_4
#define    label_label_xmtr_ext_diag_status_16                \
            en_RegisterErrorsWarnings hist_5                  \
            de_RegisterFehlerWarnungen hist_5
#define    label_label_xmtr_ext_diag_status_17                \
            en_RegisterErrorsWarnings hist_6                  \
            de_RegisterFehlerWarnungen hist_6

#define    label_label_xmtr_ext_diag_status_18                \
            en_not_defined
#define    label_label_xmtr_ext_diag_status_19                \
            en_not_defined

#define    label_label_xmtr_ext_diag_status_20                \
            en_not_defined
#define    label_label_xmtr_ext_diag_status_21                \
            en_not_defined
#define    label_label_xmtr_ext_diag_status_22                \
            en_not_defined
#define    label_label_xmtr_ext_diag_status_23                \
            en_not_defined
#define    label_label_xmtr_ext_diag_status_24                \
            en_not_defined
*/

#define    label_menu_diag_ext_diag_err                \
            "|de|erw.Diag. Fehler"                     \
            "|en|ext.Diag errors"



//       labels menu
#define    label_menu_diag_ext_diag_reg         \
            "|en|ext.Diag Register"             \
            "|de|erw.Diag. Register"
#define    label_menu_ext_diag                   \
            "|en|extended Diagnosis"             \
            "|de|erweiterte Diagnose"
#define    label_menu_diag_ext_diag_mode         \
            "|en|ext.Diag Mode"                  \
            "|de|erw.Diag. Status"
#define    label_menu_diag_ext_diag_history      \
            "|en|ext.Diag History"               \
            "|de|erw.Diag. Historie"
#define    label_menu_diag_ext_diag_adjust       \
            "|en|ext.Diag Adjust"                \
            "|de|erw.Diag. Abgleich"
#define    label_menu_diag_ext_diag_fingerprint  \
            "|en|ext.Diag Fingerprint"           \
            "|de|erw.Diag. Fingerprint"

#define    label_menu_diag_ext_diag              \
            "|en|ext.Diag. ERR/Warn"             \
            "|de|erw.Diag.Fehl/Warn"
#define    label_menu_diag_ext_diag_warn         \
            "|en|ext.Diag warnings"              \
            "|de|erw.Diag. Warnungen"



#define    label_menu_diag_ext_diag_history_CoilCurrent             \
            "|en|Coil current"                                      \
            "|de|Spulenstrom"
#define    label_menu_diag_ext_diag_history_CoilVoltage             \
            "|en|Coil voltage"                                      \
            "|de|Spulenspannung"
#define    label_menu_diag_ext_diag_history_CoilResistance          \
            "|en|Coil resistance"                                   \
            "|de|Spulenwiderstand"
#define    label_menu_diag_ext_diag_history_CoilTemperature         \
            "|en|Coil temperature"                                  \
            "|de|Spulentemperatur"
#define    label_menu_diag_ext_diag_history_CoilIsolationResistance \
            "|en|Coil isolation resistance"                         \
            "|de|Spulenisolationswiderstand"
#define    label_menu_diag_ext_diag_history_Linearity               \
            "|en|Linearity"                                         \
            "|de|Linearitt"
#define    label_menu_diag_ext_diag_history_ElectrodeVoltage_E1     \
            "|en|Electrode voltage E1"                              \
            "|de|Elektrodenspannung E1"
#define    label_menu_diag_ext_diag_history_ElectrodeVoltage_E2     \
            "|en|Electrode voltage E2"                              \
            "|de|Elektrodenspannung E2"
#define    label_menu_diag_ext_diag_history_ElectrodeBalance        \
            "|en|Electrode balance"                                 \
            "|de|Elektrodenbalance"
#define    label_menu_diag_ext_diag_history_DAC                     \
            "|en|DAC"                                               \
            "|de|DAC"
#define    label_menu_diag_ext_diag_history_SignalNoiseRatio        \
            "|en|Signal noise ratio"                                \
            "|de|Signalrauschverhalten"
#define    label_menu_diag_ext_diag_fingerprint_op_fs               \
            "|en|Fingerprint SU FAC"                                 \
            "|de|Fingerprint IN WK"
#define    label_menu_diag_ext_diag_fingerprint_p1_p2               \
            "|en|Fingerprint P1 P2"                                 \
            "|de|Fingerprint P1 P2"

#define    label_mode_start_diag                                    \
            "|en|Start Diagnosis"                                   \
            "|de|Diagnose starten"
#define    help_mode_start_diag                                     \
           HELP                                                     \
            "|en|Mode of starting extendeg diagnosis."              \
                "Using an interval or starting manually"            \
            "|de|Modus in dem die erweiterte Diagnose startet."     \
                "Es kann ein Intervall eingestellt "                \
                "oder manuell gestartet werden";

#define    label_menu_diag_ext_diag_mode_A                          \
            "|en|current"                                           \
            "|de|aktuell"
#define    label_menu_diag_ext_diag_mode_mode                       \
            "|en|mode"                                              \
            "|de|Status"
#define    label_menu_diag_ext_diag_fingerprint_op                  \
            "|en|Start up"                                          \
            "|de|Inbetriebnahme"
#define    label_menu_diag_ext_diag_fingerprint_fs                  \
            "|en|Factory"                                           \
            "|de|Werk"
#define    label_menu_diag_ext_diag_fingerprint_p1                  \
            "|en|Product 1"                                         \
            "|de|Produkt 1"
#define    label_menu_diag_ext_diag_fingerprint_p2                  \
            "|en|Product 2"                                         \
            "|de|Produkt 2"
#define    label_menu_diag_ext_diag_adjust_span                     \
            "|en|span"                                              \
            "|de|Spanne"
#define    label_menu_diag_ext_diag_adjust_null                     \
            "|en|zero"                                              \
            "|de|Nullpunkt"

