/*
############################################################################
#####                                                                  #####
#####                        ABB Automation Products                   #####
#####                                                                  #####
#####                             abbdef172.h                          #####
#####                                                                  #####
#####                cmd172: define labels and bits                    #####
#####                                                                  #####
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: 0551/905720

****************************************************************************
                Revision:						0.0.0

Date:           20.July 2007
*/

//--------------------------------------------------------------------------
// define error messages
//--------------------------------------------------------------------------

#define		label_xmtr_ext_diag_status_00                       \
                "|en|Err.ext.Diag 1"													\
          			"|de|Fehl.ext.Diag 1"

#define xmtr_ext_diag_status_00x01			                      \
            { 0x01,  "|en|Coil Current min"										\
										 "|de|Spulenstrom min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x02			                      \
            { 0x02,  "|en|Coil Current max"										\
										 "|de|Spulenstrom max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x04			                      \
            { 0x04,  "|en|Coil Voltage min"										\
										 "|de|Spulenspann. min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x08			                      \
            { 0x08,  "|en|Coil Voltage max"										\
										 "|de|Spulenspann. max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x10			                      \
            { 0x10,  "|en|Coil Resist. min"										\
										 "|de|Spulenwiderst.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x20			                      \
            { 0x20,  "|en|Coil Resist. max"										\
										 "|de|Spulenwiderst.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x40			                      \
            { 0x40,  "|en|Coil Temp. min"						  				\
										 "|de|Spulentemp.min" ,			    	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_00x80			                      \
            { 0x80,  "|en|Coil Temp. max"							  			\
										 "|de|Spulentemp.max" ,				      			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_01                       \
                "|en|Err.ext.Diag 2"													\
          			"|de|Fehl.ext.Diag 2"

#define xmtr_ext_diag_status_01x01			                      \
            { 0x01,  "|en|Coil Iso.Res. min"									\
										 "|de|Spuleniso.wid.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x02			                      \
            { 0x02,  "|en|Coil Iso.Res. max"									\
										 "|de|Spuleniso.wid.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x04			                      \
            { 0x04,  "|en|Linearity min"					    				\
										 "|de|Linearitt min" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x08			                      \
            { 0x08,  "|en|Linearity max"							    		\
										 "|de|Linearitt max" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x10			                      \
            { 0x10,  "|en|Elect.Volt.E1 min"									\
										 "|de|Elekt.Span.E1 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x20			                      \
            { 0x20,  "|en|Elect.Volt.E1 max"									\
										 "|de|Elekt.Span.E1 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x40			                      \
            { 0x40,  "|en|Elect.Volt.E2 min"									\
										 "|de|Elekt.Span.E2 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_01x80			                      \
            { 0x80,  "|en|Elect.Volt.E2 max"									\
										 "|de|Elekt.Span.E2 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_02                       \
                "|en|Err.ext.Diag 3"													\
          			"|de|Fehl.ext.Diag 3"

#define xmtr_ext_diag_status_02x01			                      \
            { 0x01,  "|en|Elect.Balance min"									\
										 "|de|Elekt.Balance min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_02x02			                      \
            { 0x02,  "|en|Elect.Balance max"									\
										 "|de|Elect.Balance max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_02x04			                      \
            { 0x04,  "|en|DAC min"			          						\
										 "|de|DAC min" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_02x08			                      \
            { 0x08,  "|en|DAC max"			          						\
										 "|de|DAC max" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_02x10			                      \
            { 0x10,  "|en|Signalquality min"									\
										 "|de|Signalqualit. min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_02x20			                      \
            { 0x20,  "|en|Signalquality max"									\
										 "|de|Signalqualit. max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }



#define		label_xmtr_ext_diag_status_03                       \
                "|en|Err.ext.Diag 4"													\
          			"|de|Fehl.ext.Diag 4"

#define xmtr_ext_diag_status_03x01			                      \
            { 0x01,  "|en|Mass short circuit Coil"						\
										 "|de|Massekurzschl.Spule" ,	  	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_03x08			                      \
            { 0x08,  "|en|Electrodes state"	       						\
										 "|de|Elektrodenstatus" ,			          	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_04                       \
                "|en|Err.ext.Diag 5"													\
          			"|de|Fehl.ext.Diag 5"

#define xmtr_ext_diag_status_04x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_05                       \
                "|en|Err.ext.Diag 6"													\
          			"|de|Fehl.ext.Diag 6"

#define xmtr_ext_diag_status_05x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }


//--------------------------------------------------------------------------
// define warning messages
//--------------------------------------------------------------------------

#define		label_xmtr_ext_diag_status_06                       \
                "|en|Warn.ext.Diag 1"													\
          			"|de|Warn.ext.Diag 1"

#define xmtr_ext_diag_status_06x01			                      \
            { 0x01,  "|en|Coil Current min"										\
										 "|de|Spulenstrom min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x02			                      \
            { 0x02,  "|en|Coil Current max"										\
										 "|de|Spulenstrom max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x04			                      \
            { 0x04,  "|en|Coil Voltage min"										\
										 "|de|Spulenspann. min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x08			                      \
            { 0x08,  "|en|Coil Voltage max"										\
										 "|de|Spulenspann. max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x10			                      \
            { 0x10,  "|en|Coil Resist. min"										\
										 "|de|Spulenwiderst.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x20			                      \
            { 0x20,  "|en|Coil Resist. max"										\
										 "|de|Spulenwiderst.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x40			                      \
            { 0x40,  "|en|Coil Temp. min"						  				\
										 "|de|Spulentemp.min" ,			    	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_06x80			                      \
            { 0x80,  "|en|Coil Temp. max"							  			\
										 "|de|Spulentemp.max" ,				      			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_07                       \
                "|en|Warn.ext.Diag 2"													\
          			"|de|Warn.ext.Diag 2"

#define xmtr_ext_diag_status_07x01			                      \
            { 0x01,  "|en|Coil Iso.Res. min"									\
										 "|de|Spuleniso.wid.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x02			                      \
            { 0x02,  "|en|Coil Iso.Res. max"									\
										 "|de|Spuleniso.wid.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x04			                      \
            { 0x04,  "|en|Linearity min"					    				\
										 "|de|Linearitt min" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x08			                      \
            { 0x08,  "|en|Linearity max"							    		\
										 "|de|Linearitt max" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x10			                      \
            { 0x10,  "|en|Elect.Volt.E1 min"									\
										 "|de|Elekt.Span.E1 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x20			                      \
            { 0x20,  "|en|Elect.Volt.E1 max"									\
										 "|de|Elekt.Span.E1 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x40			                      \
            { 0x40,  "|en|Elect.Volt.E2 min"									\
										 "|de|Elekt.Span.E2 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_07x80			                      \
            { 0x80,  "|en|Elect.Volt.E2 max"									\
										 "|de|Elekt.Span.E2 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_08                       \
                "|en|Warn.ext.Diag 3"													\
          			"|de|Warn.ext.Diag 3"

#define xmtr_ext_diag_status_08x01			                      \
            { 0x01,  "|en|Elect.Balance min"									\
										 "|de|Elekt.Balance min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_08x02			                      \
            { 0x02,  "|en|Elect.Balance max"									\
										 "|de|Elect.Balance max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_08x04			                      \
            { 0x04,  "|en|DAC min"			          						\
										 "|de|DAC min" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_08x08			                      \
            { 0x08,  "|en|DAC max"			          						\
										 "|de|DAC max" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_08x10			                      \
            { 0x10,  "|en|Signalquality min"									\
										 "|de|Signalqualit. min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_08x20			                      \
            { 0x20,  "|en|Signalquality max"									\
										 "|de|Signalqualit. max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }



#define		label_xmtr_ext_diag_status_09                       \
                "|en|Warn.ext.Diag 4"													\
          			"|de|Warn.ext.Diag 4"

#define xmtr_ext_diag_status_09x01			                      \
            { 0x01,  "|en|Mass short circuit Coil"						\
										 "|de|Massekurzschl.Spule" ,	  	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_09x08			                      \
            { 0x08,  "|en|Electrodes state"	       						\
										 "|de|Elektrodenstatus" ,			          	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_10                       \
                "|en|Warn.ext.Diag 5"													\
          			"|de|Warn.ext.Diag 5"

#define xmtr_ext_diag_status_10x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_11                       \
                "|en|Warn.ext.Diag 6"													\
          			"|de|Warn.ext.Diag 6"

#define xmtr_ext_diag_status_11x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

//--------------------------------------------------------------------------
// define error/warning history messages
//--------------------------------------------------------------------------

#define		label_xmtr_ext_diag_status_12                       \
                "|en|Reg.ext.Diag 1"													\
          			"|de|Reg.ext.Diag 1"

#define xmtr_ext_diag_status_12x01			                      \
            { 0x01,  "|en|Coil Current min"										\
										 "|de|Spulenstrom min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x02			                      \
            { 0x02,  "|en|Coil Current max"										\
										 "|de|Spulenstrom max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x04			                      \
            { 0x04,  "|en|Coil Voltage min"										\
										 "|de|Spulenspann. min" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x08			                      \
            { 0x08,  "|en|Coil Voltage max"										\
										 "|de|Spulenspann. max" ,					  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x10			                      \
            { 0x10,  "|en|Coil Resist. min"										\
										 "|de|Spulenwiderst.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x20			                      \
            { 0x20,  "|en|Coil Resist. max"										\
										 "|de|Spulenwiderst.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x40			                      \
            { 0x40,  "|en|Coil Temp. min"						  				\
										 "|de|Spulentemp.min" ,			    	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_12x80			                      \
            { 0x80,  "|en|Coil Temp. max"							  			\
										 "|de|Spulentemp.max" ,				      			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_13                       \
                "|en|Reg.ext.Diag 2"													\
          			"|de|Reg.ext.Diag 2"

#define xmtr_ext_diag_status_13x01			                      \
            { 0x01,  "|en|Coil Iso.Res. min"									\
										 "|de|Spuleniso.wid.min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x02			                      \
            { 0x02,  "|en|Coil Iso.Res. max"									\
										 "|de|Spuleniso.wid.max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x04			                      \
            { 0x04,  "|en|Linearity min"					    				\
										 "|de|Linearitt min" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x08			                      \
            { 0x08,  "|en|Linearity max"							    		\
										 "|de|Linearitt max" ,				  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x10			                      \
            { 0x10,  "|en|Elect.Volt.E1 min"									\
										 "|de|Elekt.Span.E1 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x20			                      \
            { 0x20,  "|en|Elect.Volt.E1 max"									\
										 "|de|Elekt.Span.E1 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x40			                      \
            { 0x40,  "|en|Elect.Volt.E2 min"									\
										 "|de|Elekt.Span.E2 min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_13x80			                      \
            { 0x80,  "|en|Elect.Volt.E2 max"									\
										 "|de|Elekt.Span.E2 max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }


#define		label_xmtr_ext_diag_status_14                       \
                "|en|Reg.ext.Diag 3"													\
          			"|de|Reg.ext.Diag 3"

#define xmtr_ext_diag_status_14x01			                      \
            { 0x01,  "|en|Elect.Balance min"									\
										 "|de|Elekt.Balance min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_14x02			                      \
            { 0x02,  "|en|Elect.Balance max"									\
										 "|de|Elect.Balance max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_14x04			                      \
            { 0x04,  "|en|DAC min"			          						\
										 "|de|DAC min" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_14x08			                      \
            { 0x08,  "|en|DAC max"			          						\
										 "|de|DAC max" ,				  		          	\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_14x10			                      \
            { 0x10,  "|en|Signalquality min"									\
										 "|de|Signalqualit. min" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_14x20			                      \
            { 0x20,  "|en|Signalquality max"									\
										 "|de|Signalqualit. max" ,				  			\
                    HARDWARE & CORRECTABLE & DETAIL }



#define		label_xmtr_ext_diag_status_15                       \
                "|en|Reg.ext.Diag 4"													\
          			"|de|Reg.ext.Diag 4"

#define xmtr_ext_diag_status_15x01			                      \
            { 0x01,  "|en|Mass short circuit Coil"						\
										 "|de|Massekurzschl.Spule" ,	  	  			\
                    HARDWARE & CORRECTABLE & DETAIL }
#define xmtr_ext_diag_status_15x08			                      \
            { 0x08,  "|en|Electrodes state"	       						\
										 "|de|Elektrodenstatus" ,			          	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_16                       \
                "|en|Reg.ext.Diag 5"													\
          			"|de|Reg.ext.Diag 5"
#define xmtr_ext_diag_status_16x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_17                       \
                "|en|Reg.ext.Diag 6"													\
          			"|de|Reg.ext.Diag 6"
#define xmtr_ext_diag_status_17x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_18                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_18x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_19                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_19x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_20                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_20x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_21                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_21x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_22                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_22x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_23                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_23x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }

#define		label_xmtr_ext_diag_status_24                       \
                "|en|reserved"					      								\
          			"|de|reserved"
#define xmtr_ext_diag_status_24x01			                      \
            { 0x01,  "|en|not defined"			            			\
										 "|de|nicht definiert" ,	  	  		    	\
                    HARDWARE & CORRECTABLE & DETAIL }
