/*
############################################################################
###################                                      ###################
###################          ABB Automation Products     ###################
###################                                      ###################
###################               abbdefhe.h             ###################
###################                                      ###################
###################  define helptext for DD variables    ###################
###################                                      ###################
############################################################################

This software may not be used, either directly or by reference,
such that the software provides functionality to an end customer,
unless explicitly lisenced by ABB Automation Products GmbH.

############################################################################

Author:         ABB Automation Products GmbH
                37070 Goettingen
                Germany
                Fax: 0551/905720

****************************************************************************
                Revision:						0.0.0

Date:           10.March 2003

****************************************************************************
                Revision:						0.0.1

Date:           08.August 2007

*/


#define  help_ucSprache 																						\
	HELP "|en|Selection of the menu language."												\
				"|de|Auswahl der Mensprache.";
#define  help_ucNennweite 																					\
	HELP "|en|Display of the flowmeter primary size. Selection "			\
				"only available when connected to ""Older Models""."				\
				"|de|Anzeige der Aufnehmernennweite. Auswahl nur bei "			\
				"Anschluss von ""Vorgngermodellen"" mglich.";
#define  help_uiEinheitQv 																					\
	HELP "|en|Selection of the units for the volume and mass "				\
				"flowrate measurements. The units are used for Range max.,"	\
				" Qmax and the instantaneous display value when direct "		\
				"reading engineering units have been selected for the "			\
				"display."																									\
				"|de|Auswahl der Einheit fr den Volumen- und den "					\
				"Massen-Durchfluss. Die Einheit bezieht sich auf Qmax DN, "	\
				"Qmax und auf die Momentananzeige, wenn diese mit "					\
				"physikalischer Einheit ausgegeben wird.";
#define  help_uiEinheitZv 																					\
  	HELP "|en|Selections of the engineering totalizer unit for "		\
  				"the volume and mass flowrate measurements."							\
  				"|de|Auswahl der physikalischen Zhlereinheit fr den "		\
  				"Volumen- und Massendurchfluss.";
#define		help_ucProgEinheitDichte     \
  	HELP "|en|Configurable units for mass (with density) or "				\
  				"volume flowrate (without density)."											\
  				"|de|Konfigurierbare Einheit fr Masse- (mit Dichte) "		\
  				"oder Volumendurchfluss (ohne Dichte).";
#define  help_ucSchaltausgang 																			\
  	HELP "|en|The switch mode for the contact output (terminals "		\
  				"41/42) can be selected as normally open or normally "		\
  				"closed."																									\
  				"|de|Das Schaltverhalten des Schaltausganges (Klemme "		\
  				"41/42) lsst sich als Schlieer oder ffner auswhlen.";
#define  help_ucSchalteingang 																			\
	HELP "|en|Selection of the function for the contact input "				\
				"terminals 81/82."																					\
				"|de|Auswahl der Funktion des Schalteinganges Klemmen "			\
				"81/82.";
#define  help_ucIoutAlarm 																					\
	HELP "|en|Value of the current during an error condition."				\
				"|de|Verhalten des Stromausganges im Alarmfall.";
#define  help_ucDlrEinAus 																					\
	HELP "|en|On/Off selection for the operation Detector empty pipe."\
				"|de|Ein- bzw. Ausschalten des Detektor leeren Rohres.";
#define  help_ucAlarmlRohr 																					\
	HELP "|en|When the meter tube is empty an indication is "					\
				"displayed and a signal is sent to the terminals when "			\
				"the alarm setting is ""on"". No alarm contact when the "		\
				"Alarm setting is ""off""."																	\
				"|de|Ist der Alarm eingeschaltet, wird bei lerem Messrohr "	\
				"der Kontakt leeres Rohr gesetzt. Bei ausgeschalteter "			\
				"Funktion erfolgt keine Alarmierung.";
#define  help_ucIoutlRohr 																					\
	HELP "|en|Current output value Low or High during an empty "			\
				"pipe condition."																						\
				"|de|Einstellung des Stromausgangswertes Low oder High "		\
				"im Strungsfall.";
#define  help_ucSimulationEin 																			\
	HELP "|en|Turn flowrate simulation on /off."											\
				"|de|Durchflusssimulation Ein-/Ausschalten.";
#define  help_ucTestModeEin 																				\
	HELP "|en|Only for checking the converter with simulator "				\
				"55XC4000."																									\
				"|de|Nur zur Prfung des Messumformers am Simulator "				\
				"55XC4000.";
#define  help_ucAnzeigeZeile1 																			\
	HELP "|en|Selection for the 1st display line."										\
				"|de|Auswahl der 1. Anzeigenzeile.";
#define  help_ucAnzeigeZeile2 																			\
	HELP "|en|Selection for the 2nd display line."										\
				"|de|Auswahl der 2. Anzeigenzeile.";
#define  help_ucAnzeigeZeile3 																			\
	HELP "|en|Selection for the 3rd display line."										\
				"|de|Auswahl der 3. Anzeigenzeile.";
#define  help_ucAnzeigeZeile4 																			\
	HELP "|en|Selection for the 4th display line."										\
				"|de|Auswahl der 4. Anzeigenzeile.";
#define  help_ucBetriebsart 																				\
	HELP "|en|Operating mode ""Normal"": is selected for continuous "	\
				"flow metering. Operating mode ""Fast"": accelerated "			\
				"flow signal processing (e.g. short batches). Operating "		\
				"Mode ""Piston Pump"": for pulsating flows. In this "					\
				"operating mode the improved reproducibility of the flow "	\
				"signal measurements is archieved. The totalizer is "				\
				"automatically set to the Difference Totalizer mode. "			\
				"Any reverse flow which may occur is automatically "				\
				"substracted from the totalizer values."										\
				"|de|Betriebsart ""Normal"": wird fr die kontinuierliche"	\
				" Durchflussmessung gewhlt. Betriebsart ""Schnell"": "			\
				"beschleunigte Messwertverarbeitung (z.B. Kurzdosierung). "	\
				"Betriebsart ""Kolbenpumpe"": fr pulsierenden Durchfluss. "\
				"In dieser Betriebsart wird durch die Messwerterfassung "		\
				"eine verbesserte Reproduzierbarkeit bei pulsierendem "			\
				"Durchfluss durch Kolbenpumpenbetrieb erzielt. Der Zhler "	\
				"wird automatisch in die Betriebsart Differenzzhlung "			\
				"eingestellt. Evtl. vorhandener Rckfluss wird "						\
				"automatisch vom Zhlerstand abgezogen.";
#define  help_ucFliessrichtung 																			\
	HELP "|en|Selection of the flow direction to be metered, "				\
				"forward/reverse or forward only. The direction indicator "	\
				"""R"" in the display blinks when flowrate is in the "			\
				"reverse flow direction and 0% is displayed."								\
				"|de|Auswahl der Durchflussrichtung Vor-/Rcklauf oder "		\
				"nur Vorlauf . Ist der Durchfluss im Rcklauf, blinkt "			\
				"im Display das Richtungszeichen ""R"" und der Durchfluss "	\
				"wird mit 0% angezeigt.";
#define  help_ucRichtungsanzeige 																		\
	HELP "|en|Normal/Inverse, reverse the flow direction forward "		\
				"and reverse flow display."																	\
				"|de|Normal/ Invers, drehen der Durchflussrichtung Vor- "		\
				"und Rcklaufanzeige.";
#define  help_ucAufnehmerType 																			\
	HELP "|en|Selection the flowmeter primary type connected to "			\
				"the converter."																						\
				"|de|Auswahl des angeschlossenen Aufnehmertyps.";
#define  help_ucAufnehmerTyp 																				\
	HELP "|en|Selects the excitation of primary"											\
				"|de| ";
#define  help_HartPollingAddress 																		\
	HELP "|en|An adress 0-15 can be selected for instruments with "		\
				"the HART-Protocol. If the adress 0 is entered, then the "	\
				"current output varies as the flowrate in the range of "		\
				"4-20 mA. If additional instruments are connected to the "	\
				"bus and a adress 1-15 is entered, the converter operates "	\
				"in Multidrop-Mode. The current output is fixed at "				\
				"constant 4mA. The output values are then only can only "		\
				"be read using the HART-Communication."											\
				"|de|Mit HART-Protokoll kann eine Adresse 0 - 15 gewhlt "	\
				"werden. Ist die Adresse 0, so ndert sich auch der "				\
				"Stromausgangswert bei Durchfluss von 4-20 mA. Sind "				\
				"mehrere Gerte am Bus angeschlossen und wird die Adresse "	\
				"1-15 gewhlt, so arbeitet der Messumformer im Multidrop-"	\
				"Mode. Der Stromausgangswert wird dabei auf 4 mA "					\
				"eingefroren. Die Erfassung der Ausgangswerte erfolgt "			\
				"dann nur noch ber die HART-Kommunikation.";
#define  help_ucAnzeigeModus 																				\
	HELP "|en|Selection 1 large and 1 small line or 4 small lines."		\
				"|de|Auswahl 1 groe und 1 kleine Zeile oder 4 kleine "			\
				"Zeilen.";
#define  help_ucAnzeigeKontrast 																		\
	HELP "|en|Setting the display contrast, STEP = darker; DATA = "		\
				"lighter."																									\
				"|de|Einstellung Anzeigenkontrast, STEP = dunkler; DATA "		\
				"= heller.";
#define  help_ucKommunikation 																			\
	HELP "|en|Turn HART -Communication ""on"" and ""off""."						\
				"|de|Ein- und Ausschalten der HART Kommunikation.";
#define  help_ucTreiber 																						\
	HELP "|en|Selects the mode of the driver"													\
				"|de| ";
#define  help_ucBestellVariante 																		\
	HELP "|en|The calibrating mode 0 or 255 can be select. With "			\
				"mode 0 the primarys SE2_/SE4_ are calibrated together "		\
				"with converter. The meter size and adjusted value are "		\
				"primary accompanying. At mode 255 the converter can "			\
				"delivered to connect with old primary model,  Cs = 100% "	\
				"and Cz = 0% be printed on the FRAM. The customer can "			\
				"select meter size and excitation frequency with ENTER. "		\
				"The EASY SETUP for a old primary must be followed "				\
				"for operation."																						\
				"|de|Festlegung Kalibriermode 0 oder 255. Mit 0 werden "		\
				"alle zugehrigen Aufnehmer SE2_/SE4_ kalibriert. Die "			\
				"Nennweite und Abgleichwerte sind Aufnehmer zugeordnet. "		\
				"Bei Mode 255 kann der Messumformer mit bisher "						\
				"gelieferten Aufnehmer betrieben werden. Cs=100% und "			\
				"Cz=0% werden auf den FRAM aufgedruckt. Der Kunde kann "		\
				"Nennweite und Erregerfrequenz eingeben. EASY-SETUP fr "		\
				"den Aufnehmer muss befolgt werden.";
#define  help_ucNetzfrequenz 																				\
	HELP "|en|Selection of the line frequency of the flowmeter "			\
				"primary was calibrated. Selection 50/60 Hz only available "\
				"for ""Older Models""."																			\
				"|de|Auswahl der Netzfrequenz mit der der "									\
				"Durchflussmessaufnehmer kalibriert wurde. Auswahl "				\
				"50/60 Hz nur bei ""Vorgngermodellen"" erforderlich.";
#define  help_ucStartUpKommuService 																\
	HELP "|en|With a TTL-Signal the communication type HART or "			\
				"ASCII can be selected of the service plug for the "				\
				"connection."																								\
				"|de|Bei Belegung des Service Stecker mit TTL-Signal kann "	\
				"die Kommunikationart HART oder ASCII fr den Anschluss "		\
				"eingestellt werden.";
#define  help_ucTestImpulsausgangEin 																\
	HELP "|en|Function test for the pulse output."										\
				"|de|Funktionstest des Impulsausganges.";
#define  help_ucIoutArt 																						\
	HELP "|en|Selection of the current output range. For HART-"				\
				"Protocol always 4-20 mA."																	\
				"|de|Auswahl des Stromausgangsbereiches. Bei HART-"					\
				"Protokoll immer 4-20 mA.";
#define  help_ucKommuServiceStecker 																\
	HELP "|en|The choice of the occupancy of the communication for "	\
				"the service plug can be returned. Communication HART- TTL "\
				"or ASCII-TTL can be switched over to on display operate "	\
				"function."																									\
				"|de|Die Auswahl der Belegung der Kommunikation fr den "		\
				"Servicestecker kann zurck gestellt werden. Nach "					\
				"Kommunikation HART-TTL oder ASCII-TTL kann auf "						\
				"Displaymode umgeschaltet werden.";
#define  help_ucImpulsZustand 																			\
	HELP "|en|Indication of the jumper position for pulse output "		\
				"""active"" or ""passive""."																\
				"|de|Anzeige der Steckbrckenposition Impuls ""aktiv"" "		\
				"oder ""passiv"".";
#define  help_ucAktuellVariante 																		\
	HELP "|en|The present factory-made for pulse output and "					\
				"communication. it can be identified by the order."					\
				"|de|Anzeige der bestellten und gelieferten Ausfhrung "		\
				"fr Impulsausgang und Kommunikation.";
#define  help_ucSchalteingangTest 																	\
	HELP "|en|The status condition of the contact input can be "			\
				"viewed ""on"" or ""off""."																	\
				"|de|Funktionstest Schalteingang, zeigt den Zustand "				\
				"""Aus"" oder ""Ein"" wenn am Eingang eine/keine "					\
				"Belegung erfolgt.";
#define  help_ucSchaltausgangTest 																	\
	HELP "|en|The test function contact ouput and with ENTER the "		\
				"function can be switched to ""on"" or ""off"":"						\
				"|de|Die Testfunktion Schaltausgang kann mit ENTER "				\
				"""Aus"" oder ""Ein"" geschaltet werden.";
#define  help_ucDlrArt_LNS 																					\
	HELP "|en|Selection of the function ""standard"" or ""new "				\
				"adjustment"". At ""standard"" is isn't required to carry "	\
				"out a adjustment on side. The converter use standard "			\
				"adjustment datas. If it comes to disturbances through "		\
				"the medium or an empty pipe isn't recognized by the "			\
				"converter, a ""new adjustment"" must be carried out on "		\
				"side, see adjustment ""empty pipe"" or ""full pipe""."			\
				"|de|Auswahl der Funktion ""Standard"" oder ""Neuer "				\
				"Abgleich"". Bei ""Standard"" ist es nicht erforderlich "		\
				"einen Abgleich vor Ort durchzufhren. Der Messumformer "		\
				"arbeitet mit Standard Einstelldaten. Kommt es durch das "	\
				"Medium zu Strungen oder ein leeres Rohr wird nicht vom "	\
				"Messumformer erkannt, so muss ein ""Neuer Abgleich"" vor "	\
				"Ort durchgefhrt werden, siehe Abgleich ""Leeres Rohr"""		\
				" oder Abgleich ""Volles Rohr"".";
#define  help_ucEigenerregt 																				\
	HELP "|en| "														\
				"|de| ";
#define    help_uiUeberlaufZaehlerV 																\
	HELP "|en|Overflow counter max. 250. 1 overflow = pulse "					\
				"totalizer 9.999.999 units. Display value is reset and "		\
				"one overflow is counted."		                							\
				"|de|berlaufzhler max. 250. 1 berlauf = Impulszhler "		\
				"9.999.999 Einheiten. Displayanzeige wird rckgesetzt "			\
				"und ein berlauf gezhlt.";
#define    help_uiUeberlaufZaehlerR 																\
	HELP "|en|Overflow counter max. 250. 1 overflow = pulse "					\
				"totalizer 9.999.999 units. Display value is reset and "		\
				"one overflow is counted."		                							\
				"|de|berlaufzhler max. 250. 1 berlauf = Impulszhler "		\
				"9.999.999 Einheiten. Displayanzeige wird rckgesetzt "			\
				"und ein berlauf gezhlt.";
#define    help_uiNetzAusfallZaehler 																\
	HELP "|en|Mains interrupt counter."		                						\
				"|de|Netzausfallzhler.";
#define    help_uiServiceKode 																			\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiGeraeteNummer 	                 									\
	HELP "|en|Instrument number continuously"		                			\
				"|de|Gertenummer Messumformer fortlaufend";
#define    help_uiTreiberSteuerungDac 			                 				\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiMinDacAmplitude 			                 						\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiMaxDacAmplitude 			                 						\
	HELP "|en| "		                \
				"|de| ";
#define    help_PruefstandNr 			                 									\
	HELP "|en|Display Test rig number."		                						\
				"|de|Anzeige Prfstandsnummer.";
#define    help_ucStatus 			                 											\
	HELP "|en| "		                \
				"|de| ";
#define    help_uiDspReset 			                 										\
	HELP "|en|Totalization of reset from the DSP electronic."		      \
				"|de|Reset-Anzeige der DSP-Elektronik.";
#define    help_ProgschutzKode 			                 								\
	HELP "|en|When a ""0"" (factory setting) is entered the program "	\
				"protection is turned off. If a different "									\
				"""Progr. Prot. Code"" has been configured (1-9999), "			\
				"then the operator will be asked for the PP-Code "					\
				"when this level is selected."															\
				"|de| Bei Eingabe einer ""0"" ist der Programmschutz "			\
				"ausgeschaltet (Werkseinstellung). Ist ein anderer "				\
				"""Progr.-Schutz-Kode"" konfiguriert (1-9999) wird der "		\
				"Bediener nach der Auswahl der Ebene nach dem "							\
				"PS-Kode gefragt.";
#define    help_siZaehlerUeberlaufD 			                 					\
	HELP "|en|Display of the Overflow counter for the Difference "		\
				"Totalizer."		                														\
				"|de|Anzeige des berlaufs fr den Differenzzhler.";
#define  help_fQmaxDN_ls 			                 											\
	HELP "|en|Display of the max. possible flow range. Automatic "		\
				"selection based on the meter size."	    									\
				"|de|Anzeige des max. mglichen Messbereiches. "						\
				"Automatische Auswahl durch Nennweite.";
#define  help_fQmax 			                 													\
	HELP "|en|Flow range end value for forward and reverse "					\
				"flowrate. Flow range end values can be set between 0.5 "		\
				"and 10 m/s."	  																					  \
				"|de|Messbereichsendwert fr Vor- und Rcklauf. "						\
				"Messbereichsendwert einstellbar von 0,5 bis 10 m/s.";
#define  help_fImpulswertigkeitVolumen 			                 				\
	HELP "|en|Pulse factor 0.001 to 1000 pulses per selected unit "		\
				"for the internal and external flow totalization, max. "		\
				"count frequency 5 kHz. The max. count frequency and the "	\
				"pulse factor are checked in the software. If incorrect "		\
				"an error is displayed."	    															\
				"|de|Impulswertigkeit 0,001 bis 1000 pro selektierter "			\
				"Einheit fr int. und ext. Durchflusszhlung, max. "				\
				"Zhlfrequenz 5 kHz. Die max. Zhlfrequenz und die "				\
				"Impulswertigkeit wird durch die Software geprft und "			\
				"evtl. eine entsprechende Fehlermeldung ausgegeben.";
#define  help_fImpulsbreite_ms 			                 								\
	HELP "|en|For external pulse output range pulse width 0.1 to "		\
				"2000ms. The max. allowable pulse width is checked in "			\
				"the software and corrected if required."	    							\
				"|de|Fr den externen Impulsausgang einstellbare "					\
				"Impulsbreite  0,1 - 2000ms. Die max. zulssige "						\
				"Impulsbreite wird per Software geprft und ggf. "					\
				"korrigiert.";
#define  help_fSchleichmenge 			                 									\
	HELP "|en|Applies to the values displayed and all outputs. "			\
				"The switch point has a built in hysteresis of 0.1%."	    	\
				"|de|Wirksam fr die Anzeige im Display und alle Ausgnge. "\
				"Die Schaltgrenze der Schleichmengenabschaltung wurde mit "	\
				"einer Hysterese von 0,1% versehen.";
#define  help_fDaempfung 			                 											\
	HELP "|en|Response time 1t = 0-67% for a step flow change."	    	\
				"|de|Einschwingzeit fr 1t = 0-67% Durchflussnderung.";
#define  help_fDichte 			                 												\
	HELP "|en|Density range 0.1 - 5 g/cm3. Mass flowrate for the "		\
				"display and the totalizer."	    													\
				"|de|Dichtebereich 0,1 - 5 g/cm3. Massedurchfluss fr "			\
				"Anzeige und Zhlung.";
#define  help_fAnlD_SysNullQ 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fEinheitenfaktor 			                 								\
	HELP "|en|Factor for the configurable flowrate based on liters; "	\
				"factor shown is for kgal units (factory default setting)."	\
				"|de|Bezugsfaktor der konfigurierbaren Durchflusseinheit, "	\
				"bezogen auf Liter; Wert gilt fr Einheit kgal "						\
				"(Werksvoreinstellung).";
#define  help_fFlaecheVollesRohr 			                 							\
	HELP "|en|Display of the adjusted value for a full pipe. The "		\
				"adjustment for the full pipe can be made manually or "			\
				"automatically."	    																			\
				"|de|Anzeige des Abgleichswertes des vollen Messrohres. "		\
				"Abgleich des vollen Rohres kann manuell oder automatisch "	\
				"erfolgen.";
#define  help_fZaehlerV 			                 											\
	HELP "|en|Total forward totalizer value."	    										\
				"|de|Anzeige des Zhlwertes Vorlaufzhler.";
#define  help_fZaehlerR 			                 											\
	HELP "|en|Total reverse totalizer value."	    										\
				"|de|Anzeige des Zhlwertes Rcklaufzhler.";
#define  help_fPriD_ZeroQ 			                 										\
	HELP "|en|Flowmeter primary zero value Cz. For ""Older Models"" "	\
				"always 0 %"	    																					\
				"|de|Durchflussmesser Nullpunktwert Cz. Bei "								\
				"""Vorgngermodellen"" immer 0 %.";
#define  help_fPriD_SpanneQ 			                 									\
	HELP "|en|Flowmeter primary span value Cs. For ""Older Models"" "	\
				"always 100 %"	    																				\
				"|de|Durchflussmesser Spannewert Cs. Bei "									\
				"""Vorgngermodellen"" immer 100 %.";
#define  help_fPriD_PhaseQ 			                 										\
	HELP "|en|Phase between reference and signal voltage."	    			\
				"|de|Phasenlage zwischen Referenz- und Signalspannung.";
#define  help_fIout4mAUK1 			                 										\
	HELP "|en|Display of the adjusted Iout value for 4.0 mA."	    		\
				"|de|Anzeige des Abgleichwertes fr den Stromausgang 4,0 "	\
				"mA";
#define  help_fIout20mAUK1 			                 										\
	HELP "|en|Display of the adjusted Iout value for 20.0 mA."	    	\
				"|de|Anzeige des Abgleichwertes fr den Stromausgang 20,0 "	\
				"mA";
#define  help_fGD_KanalQ50Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ50Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ50Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ50Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_KanalQ60Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ60Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ60Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ60Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_KanalQ70Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_ZeroQ70Hz 			                 									\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneVQ70Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fGD_SpanneRQ70Hz 			                 								\
	HELP "|en| "	    \
				"|de| ";
#define  help_fLeerRohrFaktor 			                 								\
	HELP "|en|Display of the calculated Threshold value or manually "	\
				"entry."	    																							\
				"|de|Anzeige der ermittelten oder manuell einzugebenen "		\
				"Schaltschwelle.";
#define  help_fILowAlarm 			                 											\
	HELP "|en|Low Alarm only available for current output 2-10 mA or "\
				"4-20 mA. Value of the current output for Low Alarm."	    	\
				"|de|Low-Alarm nur bei Stromausgang 2-10 mA oder 4-20 mA "	\
				"mglich. Einstellung Stromwert bei Low Alarm.";
#define  help_fIHighAlarm 			                 										\
	HELP "|en|Value of the current output for High Alarm. If error "	\
				"3 (flow > 105 %) occurs, the current output is always "		\
				"set to ""High Alarm"""	    																\
				"|de|Einstellung Stromwert bei High Alarm. Tritt Fehler 3 "	\
				"(Durchfluss > 105 %) auf, wird immer ""High Alarm"" "			\
				"ausgegeben.";
#define  help_fZaehlerD 			                 											\
	HELP "|en|Total difference totalizer value."	    								\
				"|de|Anzeige des Zhlwertes Differenzzhler.";
#define  help_fSimulationsWert 			                 								\
	HELP "|en|The flowrate value displayed can be simulated by "			\
				"pressing STEP or DATA button. The current and pulse "			\
				"outputs follow the simulated flowrate values."	    				\
				"|de|In der Prozessanzeige kann der Durchflusswert durch "	\
				"Bettigen der Tasten STEP oder DATA simuliert werden. "		\
				"Strom- und Impulsausgang folgen dem Durchflusswert.";
#define  help_SpuleDCStrom 			                 										\
	HELP "|en| "	    \
				"|de| ";
#define  help_fTreiberRegelungRefSpg 			                 					\
	HELP "|en| "	    \
				"|de| ";
#define  help_fTreiberRegelungDiffV 			                 					\
	HELP "|en| "	    \
				"|de| ";
#define  help_fMinAlarm 			                 											\
	HELP "|en|Range limit for the Min. Alarm, range 0-105 % of the "	\
				"selected flow range. Set in 1 % steps, switch hysteresis "	\
				"1 %"	    																									\
				"|de|Bereichsgrenze fr den Min. Alarm 0-105 % vom "				\
				"eingestellten Messbereich. Einstellung in Schritten von "	\
				"1 %, Schalthysterese 1 %.";
#define  help_fMaxAlarm 			                 											\
	HELP "|en|Range limit for the Max. Alarm, range 0-105 % of the "	\
				"selected flow range. Set in 1 % steps, switch hysteresis "	\
				"1 %"		    																								\
				"|de|Bereichsgrenze fr den Max. Alarm 0-105 % vom "				\
				"eingestellten Messbereich. Einstellung in Schritten von "	\
				"1 %, Schalthysterese 1 %.";
#define  help_fReferenzspannung 			                 							\
	HELP "|en|Input value of the reference voltage, only for "				\
				"""Older Models"", others display only."	    							\
				"|de|Eingabe der Referenzspannung bei ""Vorgngermodellen"""\
				", sonst nur Ansicht.";
#define  help_uiStoerSpgsResetOn 			                 							\
	HELP "|en| "	    \
				"|de| ";
#define  help_uiStoerSpgsResetOff 			                 						\
	HELP "|en| "	    \
				"|de| ";
#define  help_fDataOutputCycle 			                 								\
	HELP "|en|Input of the time for the indication block of the "			\
				"selected parameter function 0,1-100 s."	    							\
				"|de|Eingabe der Zeit fr den Ausgabeblock der gewhlten "	\
				"Parameterfunktion 0,1-100s.";
#define  help_fFunkTestAusgabeImpulse 			                 				\
	HELP "|en| "	    \
				"|de| ";
#define  help_fQ10MS 			                 													\
	HELP "|en| "	    \
				"|de| ";
#define  help_fQmaxImpuls 			                 										\
	HELP "|en|The extended pulse rate for the measurement range up "	\
				"to Qmax. DN."	    																				\
				"|de|Erweiterte Impulszhlung bis max. Messbereich QmaxDN.";
#define  help_fLeerRohrFaktorN 			                 								\
	HELP "|en|Display of the adjusted value for a empty pipe. The "		\
				"pipeline must be empty."	    															\
				"|de|Abgleichwert fr leeres Messrohr. Die Rohrleitung "		\
				"muss leer sein.";
#define  help_fLeerRohrFaktorS 			                 								\
	HELP "|en|Threshold for turning off ""empty pipe"".This is "			\
				"calculated and typed in internally after adjustment "			\
				"""empty pipe or full pipe"".The response time is reduced "	\
				"at a manual entry at empty regular measuring pipe at "			\
				"smaller entry values."	    																\
				"|de|Die Schaltschwelle fr Abschaltung ""Leeres Rohr""."		\
				" Diese wird intern nach Abgleich ""Leeres Rohr oder "		\
				"Volles Rohr"" errechnet und eingetragen. Bei manueller "		\
				"Eingabe verringert sich die Ansprechzeit bei "							\
				"leerlaufenden Messrohr bei kleineren Eingabewerten.";
#define  help_strAufnehmerTagNr	          													\
	HELP "|en|A TAG-Number for the primary can be displayed or "			\
				"enter max. 30-characters."	    														\
				"|de|Eine TAG-Nummer fr den Aufnehmer max. 30 stellig "		\
				"kann eingeben oder ausgelesen werden.";
#define  help_strMessumformTagNr           													\
	HELP "|en|A TAG-Number for the converter can be displayed or "		\
				"enter max. 30-characters."	    														\
				"|de|Eine TAG-Nummer fr den Messumformer max. 30 stellig "	\
				"kann eingeben oder ausgelesen werden.";

#define  help_version			                 													\
	HELP "|en| "	                                                    \
				"|de| ";
#define  help_PrueferNr		                 													\
	HELP "|en| "	                                                    \
				"|de| ";

#define		help_ResetFehlerregister																	\
		HELP "|en|Reset Error memory register"													\
					"|de|Lscht Fehler Memory register";
#define		help_ZaehlerReset																					\
		HELP "|en|Reset all totalizer and overflow"											\
					"|de|alle Zhler und berlufe werden gelscht";

#define		help_strEinheitenname																			\
		HELP "|en|Four character name for the user configurable "				\
						"units, kgal = factory default setting."								\
					"|de|Vierstelliger Name der frei konfigurierbaren "				\
						"Einheit, kgal = Werksvoreinstellung.";
/*
#define		help_fGD_KanalQ50Hz																				\
		HELP "|en|Channel Adjust 50Hz"																	\
					"|de|Channel Adjust 50Hz";
#define		help_fGD_ZeroQ50Hz																				\
		HELP "|en|Zero Adjust 50Hz"																			\
					"|de|Zero Adjust 50Hz";
#define		help_fGD_SpanneVQ50Hz																			\
		HELP "|en|Span Adjust \032V 50Hz"																\
					"|de|Span Adjust \032V 50Hz";
#define		help_fGD_SpanneRQ50Hz																			\
		HELP "|en|Span Adjust \027R 50Hz"																\
					"|de|Span Adjust \027R 50Hz";
#define		help_fGD_KanalQ60Hz																				\
		HELP "|en|Channel Adjust 60Hz"																	\
					"|de|Channel Adjust 60Hz";
#define		help_fGD_ZeroQ60Hz																				\
		HELP "|en|Zero Adjust 60Hz"																			\
					"|de|Zero Adjust 60Hz";
#define		help_fGD_SpanneVQ60Hz																			\
		HELP "|en|Span Adjust \032V 60Hz"																\
					"|de|Span Adjust \032V 60Hz";
#define		help_fGD_SpanneRQ60Hz																			\
		HELP "|en|Span Adjust \027R 60Hz"																\
					"|de|Span Adjust \027R 60Hz";
#define		help_fGD_KanalQ70Hz																				\
		HELP "|en|Channel Adjust 70Hz"																	\
					"|de|Channel Adjust 70Hz";
#define		help_fGD_ZeroQ70Hz																				\
		HELP "|en|Zero Adjust 70Hz"																			\
					"|de|Zero Adjust 70Hz";
#define		help_fGD_SpanneVQ70Hz																			\
		HELP "|en|Span Adjust \032V 70Hz"																\
					"|de|Span Adjust \032V 70Hz";
#define		help_fGD_SpanneRQ70Hz																			\
		HELP "|en|Span Adjust \027R 70Hz"																\
					"|de|Span Adjust \027R 70Hz";
#define		help_fPriD_PhaseQ																					\
		HELP "|en|Phase between reference and signal voltage"						\
					"|de|Phasenlage zwischen Referenz- und Signalspannung";
#define		help_fPriD_ZeroQ																					\
		HELP "|en|Flowmeter primary zero value Cz. "										\
						"For ""Older Models"" always 0 %"												\
					"|de|Durchflussmesser Nullpunktwert Cz. "									\
						"Bei ""Vorgngermodellen"" immer 0 %";
#define		help_fPriD_SpanneQ																				\
		HELP "|en|Flowmeter primary span value Cs. "										\
						"For ""Older Models"" always 100 %"											\
					"|de|Durchflussmesser Spannewert Cs. "										\
						"Bei ""Vorgngermodellen^"" immer 100 %";
#define		help_fAnlD_SysNullQ																				\
		HELP "|en|System zero"																					\
					"|de|Systemnullpunkt";
#define		help_fLeerRohrFaktorN																			\
		HELP "|en|Display of the adjusted value for a empty pipe. "			\
						"The pipeline must be empty"														\
					"|de|Abgleichwert fr leeres Messrohr. Die Rohrleitung "	\
						"muss leer sein";
#define		help_fLeerRohrFaktorS																			\
		HELP "|en|Adj. full pipe"																				\
					"|de|Die Schaltschwelle fr Abschaltung ""Leeres Rohr"". "\
						"Diese wird intern nach Abgleich "											\
						"""Leeres Rohr oder Volles Rohr"" errechnet und "				\
						"eingetragen. Bei manueller Eingabe verringert sich "		\
						"die Ansprechzeit bei leerlaufenden Messrohr";
*/
#define		help_f50sMittelwert																				\
		HELP "|en|After start with ENTER a average flow value is "			\
						"started and shown over 50s"														\
					"|de|Nach dem Start mit ENTER wird ber 50s ein "					\
						"Mittelwert ber den Durchfluss gestartet und angezeigt";
#define		help_Kalibrierdatum																				\
		HELP "|en|Display Date of the calibration"											\
					"|de|Anzeige Datum der Kalibrierung";
#define		help_aucOrderNumber																				\
		HELP "|en|Order number of the Instruments"											\
					"|de|Auftragsnummer der Gerte";

//    revision 01     AB 20070808

#define		help_ucNoiseReduc    											\
	 HELP "|en|Noise reduction"	  										\
				"|de|Strunterdrckung";

#define		help_ucError3Mask    											\
	 HELP "|en|Error 3 mask"  	  										\
				"|de|Fehler 3 maskieren";

#define		help_ucError4Mask    											\
	 HELP "|en|Error 4 mask"  	  										\
				"|de|Fehler 4 maskieren";

#define		help_ucHardwareDetect    									\
	 HELP "|en|detects the Hardware revision" 				\
				"|de|stellt die Hardware Revision fest";

#define		help_fKableLaenge        					  				\
	 HELP "|en|Cable length"   	  											\
				"|de|Kabellnge";

#define		help_fSpulenTemperatur    									\
	 HELP "|en|Coil temperature"   											\
				"|de|Spulentemperatur";

#define		help_fReferenzWiderstand 									\
	 HELP "|en|Reference resistance at 20 C" 				\
				"|de|Referenzwiderstand bei 20 C";

#define		help_fTemperaturVersatz 									\
	 HELP "|en|Temperature offset" 										\
				"|de|Temperaturversatz";

#define		help_fBetragElektrodenSpann_e1						\
	 HELP "|en|Value Electrode Voltage E1"						\
				"|de|Betrag Elektrodenspannung E1";

#define		help_fWinkelElektrodenSpann_e1						\
	 HELP "|en|Angle Electrode Voltage E1"						\
				"|de|Winkel Elektrodenspannung E1";

#define		help_fBetragElektrodenSpann_e2						\
	 HELP "|en|Value Electrode Voltage E2"						\
				"|de|Betrag Elektrodenspannung E2";

#define		help_fWinkelElektrodenSpann_e2						\
	 HELP "|en|Angle Electrode Voltage E2"						\
				"|de|Winkel Elektrodenspannung E2";

#define		help_fBetragElektrodenNullpkt_e1					\
	 HELP "|en|Value Electrode zero E1"		    				\
				"|de|Betrag Elektrodennullpunkt E1";

#define		help_fWinkelElektrodenNullpkt_e1					\
	 HELP "|en|Angle Electrode zero E1"		    				\
				"|de|Winkel Elektrodennullpunkt E1";

#define		help_fBetragElektrodenNullpkt_e2					\
	 HELP "|en|Value Electrode zero E2"		    				\
				"|de|Betrag Elektrodennullpunkt E2";

#define		help_fWinkelElektrodenNullpkt_e2					\
	 HELP "|en|Angle Electrode zero E2"		    				\
				"|de|Winkel Elektrodennullpunkt E2";


#define		help_siCoilCurrent_meas_A					\
	 HELP "|en|Coil current current"		    				\
				"|de|Spulenstrom aktuell";

#define		help_siCoilCurrent_meas_0					\
	 HELP "|en|Coil current 1"		    				\
				"|de|Spulenstrom 1";

#define		help_siCoilCurrent_meas_1					\
	 HELP "|en|Coil current 2"		    				\
				"|de|Spulenstrom 2";

#define		help_siCoilCurrent_meas_2					\
	 HELP "|en|Coil current 3"		    				\
				"|de|Spulenstrom 3";

#define		help_siCoilCurrent_meas_3					\
	 HELP "|en|Coil current 4"		    				\
				"|de|Spulenstrom 4";

#define		help_siCoilCurrent_meas_4					\
	 HELP "|en|Coil current 5"		    				\
				"|de|Spulenstrom 5";

#define		help_siCoilCurrent_meas_5					\
	 HELP "|en|Coil current 6"		    				\
				"|de|Spulenstrom 6";

#define		help_siCoilCurrent_meas_6					\
	 HELP "|en|Coil current 7"		    				\
				"|de|Spulenstrom 7";

#define		help_siCoilCurrent_meas_7					\
	 HELP "|en|Coil current 8"		    				\
				"|de|Spulenstrom 8";

#define		help_siCoilCurrent_meas_8					\
	 HELP "|en|Coil current 9"		    				\
				"|de|Spulenstrom 9";

#define		help_siCoilCurrent_min					\
	 HELP "|en|Coil current min"		    				\
				"|de|Spulenstrom min";

#define		help_siCoilCurrent_max					\
	 HELP "|en|Coil current max"		    				\
				"|de|Spulenstrom max";

#define		help_siCoilCurrent_min_def					\
	 HELP "|en|Coil current min default"		    				\
				"|de|Spulenstrom min standard";

#define		help_siCoilCurrent_max_def					\
	 HELP "|en|Coil current max default"		    				\
				"|de|Spulenstrom max standard";

#define		help_ucCoilCurrent_status					\
	 HELP "|en|Coil current status"		    				\
				"|de|Spulenstrom status";

#define		help_siCoilVoltage_meas_A					\
	 HELP "|en|Coil voltage current"		    				\
				"|de|Spulenspannung aktuell";

#define		help_siCoilVoltage_meas_0					\
	 HELP "|en|Coil voltage 1"		    				\
				"|de|Spulenspannung 1";

#define		help_siCoilVoltage_meas_1					\
	 HELP "|en|Coil voltage 2"		    				\
				"|de|Spulenspannung 2";

#define		help_siCoilVoltage_meas_2					\
	 HELP "|en|Coil voltage 3"		    				\
				"|de|Spulenspannung 3";

#define		help_siCoilVoltage_meas_3					\
	 HELP "|en|Coil voltage 4"		    				\
				"|de|Spulenspannung 4";

#define		help_siCoilVoltage_meas_4					\
	 HELP "|en|Coil voltage 5"		    				\
				"|de|Spulenspannung 5";

#define		help_siCoilVoltage_meas_5					\
	 HELP "|en|Coil voltage 6"		    				\
				"|de|Spulenspannung 6";

#define		help_siCoilVoltage_meas_6					\
	 HELP "|en|Coil voltage 7"		    				\
				"|de|Spulenspannung 7";

#define		help_siCoilVoltage_meas_7					\
	 HELP "|en|Coil voltage 8"		    				\
				"|de|Spulenspannung 8";

#define		help_siCoilVoltage_meas_8					\
	 HELP "|en|Coil voltage 9"		    				\
				"|de|Spulenspannung 9";

#define		help_siCoilVoltage_min					\
	 HELP "|en|Coil voltage min"		    				\
				"|de|Spulenspannung min";

#define		help_siCoilVoltage_max					\
	 HELP "|en|Coil voltage max"		    				\
				"|de|Spulenspannung max";

#define		help_siCoilVoltage_min_def					\
	 HELP "|en|Coil voltage min default"		    				\
				"|de|Spulenspannung min standard";

#define		help_siCoilVoltage_max_def					\
	 HELP "|en|Coil voltage max default"		    				\
				"|de|Spulenspannung max standard";

#define		help_ucCoilVoltage_status					\
	 HELP "|en|Coil voltage status"		    				\
				"|de|Spulenspannung status";

#define		help_siCoilResistance_meas_A					\
	 HELP "|en|Coil resistance current"		    				\
				"|de|Spulenwiderstand aktuell";

#define		help_siCoilResistance_meas_0					\
	 HELP "|en|Coil resistance 1"		    				\
				"|de|Spulenwiderstand 1";

#define		help_siCoilResistance_meas_1					\
	 HELP "|en|Coil resistance 2"		    				\
				"|de|Spulenwiderstand 2";

#define		help_siCoilResistance_meas_2					\
	 HELP "|en|Coil resistance 3"		    				\
				"|de|Spulenwiderstand 3";

#define		help_siCoilResistance_meas_3					\
	 HELP "|en|Coil resistance 4"		    				\
				"|de|Spulenwiderstand 4";

#define		help_siCoilResistance_meas_4					\
	 HELP "|en|Coil resistance 5"		    				\
				"|de|Spulenwiderstand 5";

#define		help_siCoilResistance_meas_5					\
	 HELP "|en|Coil resistance 6"		    				\
				"|de|Spulenwiderstand 6";

#define		help_siCoilResistance_meas_6					\
	 HELP "|en|Coil resistance 7"		    				\
				"|de|Spulenwiderstand 7";

#define		help_siCoilResistance_meas_7					\
	 HELP "|en|Coil resistance 8"		    				\
				"|de|Spulenwiderstand 8";

#define		help_siCoilResistance_meas_8					\
	 HELP "|en|Coil resistance 9"		    				\
				"|de|Spulenwiderstand 9";

#define		help_siCoilResistance_min					\
	 HELP "|en|Coil resistance min"		    				\
				"|de|Spulenwiderstand min";

#define		help_siCoilResistance_max					\
	 HELP "|en|Coil resistance max"		    				\
				"|de|Spulenwiderstand max";

#define		help_siCoilResistance_min_def					\
	 HELP "|en|Coil resistance min default"		    				\
				"|de|Spulenwiderstand min standard";

#define		help_siCoilResistance_max_def					\
	 HELP "|en|Coil resistance max default"		    				\
				"|de|Spulenwiderstand max standard";

#define		help_ucCoilResistance_status					\
	 HELP "|en|Coil resistance status"		    				\
				"|de|Spulenwiderstand status";

#define		help_siCoilTemperature_meas_A					\
	 HELP "|en|Coil temperature current"		    				\
				"|de|Spulentemperatur aktuell";

#define		help_siCoilTemperature_meas_0					\
	 HELP "|en|Coil temperature 1"		    				\
				"|de|Spulentemperatur 1";

#define		help_siCoilTemperature_meas_1					\
	 HELP "|en|Coil temperature 2"		    				\
				"|de|Spulentemperatur 2";

#define		help_siCoilTemperature_meas_2					\
	 HELP "|en|Coil temperature 3"		    				\
				"|de|Spulentemperatur 3";

#define		help_siCoilTemperature_meas_3					\
	 HELP "|en|Coil temperature 4"		    				\
				"|de|Spulentemperatur 4";

#define		help_siCoilTemperature_meas_4					\
	 HELP "|en|Coil temperature 5"		    				\
				"|de|Spulentemperatur 5";

#define		help_siCoilTemperature_meas_5					\
	 HELP "|en|Coil temperature 6"		    				\
				"|de|Spulentemperatur 6";

#define		help_siCoilTemperature_meas_6					\
	 HELP "|en|Coil temperature 7"		    				\
				"|de|Spulentemperatur 7";

#define		help_siCoilTemperature_meas_7					\
	 HELP "|en|Coil temperature 8"		    				\
				"|de|Spulentemperatur 8";

#define		help_siCoilTemperature_meas_8					\
	 HELP "|en|Coil temperature 9"		    				\
				"|de|Spulentemperatur 9";

#define		help_siCoilTemperature_min					\
	 HELP "|en|Coil temperature min"		    				\
				"|de|Spulentemperatur min";

#define		help_siCoilTemperature_max					\
	 HELP "|en|Coil temperature max"		    				\
				"|de|Spulentemperatur max";

#define		help_siCoilTemperature_min_def					\
	 HELP "|en|Coil temperature min default"		    				\
				"|de|Spulentemperatur min standard";

#define		help_siCoilTemperature_max_def					\
	 HELP "|en|Coil temperature max default"		    				\
				"|de|Spulentemperatur max standard";

#define		help_ucCoilTemperature_status					\
	 HELP "|en|Coil temperature status"		    				\
				"|de|Spulentemperatur status";

#define		help_siCoilIsolationResistance_meas_A					\
	 HELP "|en|Coil isolation resistance current"		    				\
				"|de|Spulenisolationswiderstand aktuell";

#define		help_siCoilIsolationResistance_meas_0					\
	 HELP "|en|Coil isolation resistance 1"		    				\
				"|de|Spulenisolationswiderstand 1";

#define		help_siCoilIsolationResistance_meas_1					\
	 HELP "|en|Coil isolation resistance 2"		    				\
				"|de|Spulenisolationswiderstand 2";

#define		help_siCoilIsolationResistance_meas_2					\
	 HELP "|en|Coil isolation resistance 3"		    				\
				"|de|Spulenisolationswiderstand 3";

#define		help_siCoilIsolationResistance_meas_3					\
	 HELP "|en|Coil isolation resistance 4"		    				\
				"|de|Spulenisolationswiderstand 4";

#define		help_siCoilIsolationResistance_meas_4					\
	 HELP "|en|Coil isolation resistance 5"		    				\
				"|de|Spulenisolationswiderstand 5";

#define		help_siCoilIsolationResistance_meas_5					\
	 HELP "|en|Coil isolation resistance 6"		    				\
				"|de|Spulenisolationswiderstand 6";

#define		help_siCoilIsolationResistance_meas_6					\
	 HELP "|en|Coil isolation resistance 7"		    				\
				"|de|Spulenisolationswiderstand 7";

#define		help_siCoilIsolationResistance_meas_7					\
	 HELP "|en|Coil isolation resistance 8"		    				\
				"|de|Spulenisolationswiderstand 8";

#define		help_siCoilIsolationResistance_meas_8					\
	 HELP "|en|Coil isolation resistance 9"		    				\
				"|de|Spulenisolationswiderstand 9";

#define		help_siCoilIsolationResistance_min					\
	 HELP "|en|Coil isolation resistance min"		    				\
				"|de|Spulenisolationswiderstand min";

#define		help_siCoilIsolationResistance_max					\
	 HELP "|en|Coil isolation resistance max"		    				\
				"|de|Spulenisolationswiderstand max";

#define		help_siCoilIsolationResistance_min_def					\
	 HELP "|en|Coil isolation resistance min default"		    				\
				"|de|Spulenisolationswiderstand min standard";

#define		help_siCoilIsolationResistance_max_def					\
	 HELP "|en|Coil isolation resistance max default"		    				\
				"|de|Spulenisolationswiderstand max standard";

#define		help_ucCoilIsolationResistance_status					\
	 HELP "|en|Coil isolation resistance status"		    				\
				"|de|Spulenisolationswiderstand status";

#define		help_siLinearity_meas_A					\
	 HELP "|en|Linearity current"		    				\
				"|de|Linearitt aktuell";

#define		help_siLinearity_meas_0					\
	 HELP "|en|Linearity 1"		    				\
				"|de|Linearitt 1";

#define		help_siLinearity_meas_1					\
	 HELP "|en|Linearity 2"		    				\
				"|de|Linearitt 2";

#define		help_siLinearity_meas_2					\
	 HELP "|en|Linearity 3"		    				\
				"|de|Linearitt 3";

#define		help_siLinearity_meas_3					\
	 HELP "|en|Linearity 4"		    				\
				"|de|Linearitt 4";

#define		help_siLinearity_meas_4					\
	 HELP "|en|Linearity 5"		    				\
				"|de|Linearitt 5";

#define		help_siLinearity_meas_5					\
	 HELP "|en|Linearity 6"		    				\
				"|de|Linearitt 6";

#define		help_siLinearity_meas_6					\
	 HELP "|en|Linearity 7"		    				\
				"|de|Linearitt 7";

#define		help_siLinearity_meas_7					\
	 HELP "|en|Linearity 8"		    				\
				"|de|Linearitt 8";

#define		help_siLinearity_meas_8					\
	 HELP "|en|Linearity 9"		    				\
				"|de|Linearitt 9";

#define		help_siLinearity_min					\
	 HELP "|en|Linearity min"		    				\
				"|de|Linearitt min";

#define		help_siLinearity_max					\
	 HELP "|en|Linearity max"		    				\
				"|de|Linearitt max";

#define		help_siLinearity_min_def					\
	 HELP "|en|Linearity min default"		    				\
				"|de|Linearitt min standard";

#define		help_siLinearity_max_def					\
	 HELP "|en|Linearity max default"		    				\
				"|de|Linearitt max standard";

#define		help_ucLinearity_status					\
	 HELP "|en|Linearity status"		    				\
				"|de|Linearitt status";

#define		help_siElectrodeVoltage_E1_meas_A					\
	 HELP "|en|Electrode voltage E1 current"		    				\
				"|de|Elektrodenspannung E1 aktuell";

#define		help_siElectrodeVoltage_E1_meas_0					\
	 HELP "|en|Electrode voltage E1 1"		    				\
				"|de|Elektrodenspannung E1 1";

#define		help_siElectrodeVoltage_E1_meas_1					\
	 HELP "|en|Electrode voltage E1 2"		    				\
				"|de|Elektrodenspannung E1 2";

#define		help_siElectrodeVoltage_E1_meas_2					\
	 HELP "|en|Electrode voltage E1 3"		    				\
				"|de|Elektrodenspannung E1 3";

#define		help_siElectrodeVoltage_E1_meas_3					\
	 HELP "|en|Electrode voltage E1 4"		    				\
				"|de|Elektrodenspannung E1 4";

#define		help_siElectrodeVoltage_E1_meas_4					\
	 HELP "|en|Electrode voltage E1 5"		    				\
				"|de|Elektrodenspannung E1 5";

#define		help_siElectrodeVoltage_E1_meas_5					\
	 HELP "|en|Electrode voltage E1 6"		    				\
				"|de|Elektrodenspannung E1 6";

#define		help_siElectrodeVoltage_E1_meas_6					\
	 HELP "|en|Electrode voltage E1 7"		    				\
				"|de|Elektrodenspannung E1 7";

#define		help_siElectrodeVoltage_E1_meas_7					\
	 HELP "|en|Electrode voltage E1 8"		    				\
				"|de|Elektrodenspannung E1 8";

#define		help_siElectrodeVoltage_E1_meas_8					\
	 HELP "|en|Electrode voltage E1 9"		    				\
				"|de|Elektrodenspannung E1 9";

#define		help_siElectrodeVoltage_E1_min					\
	 HELP "|en|Electrode voltage E1 min"		    				\
				"|de|Elektrodenspannung E1 min";

#define		help_siElectrodeVoltage_E1_max					\
	 HELP "|en|Electrode voltage E1 max"		    				\
				"|de|Elektrodenspannung E1 max";

#define		help_siElectrodeVoltage_E1_min_def					\
	 HELP "|en|Electrode voltage E1 min default"		    				\
				"|de|Elektrodenspannung E1 min standard";

#define		help_siElectrodeVoltage_E1_max_def					\
	 HELP "|en|Electrode voltage E1 max default"		    				\
				"|de|Elektrodenspannung E1 max standard";

#define		help_ucElectrodeVoltage_E1_status					\
	 HELP "|en|Electrode voltage E1 status"		    				\
				"|de|Elektrodenspannung E1 status";

#define		help_siElectrodeVoltage_E2_meas_A					\
	 HELP "|en|Electrode voltage E2 current"		    				\
				"|de|Elektrodenspannung E2 aktuell";

#define		help_siElectrodeVoltage_E2_meas_0					\
	 HELP "|en|Electrode voltage E2 1"		    				\
				"|de|Elektrodenspannung E2 1";

#define		help_siElectrodeVoltage_E2_meas_1					\
	 HELP "|en|Electrode voltage E2 2"		    				\
				"|de|Elektrodenspannung E2 2";

#define		help_siElectrodeVoltage_E2_meas_2					\
	 HELP "|en|Electrode voltage E2 3"		    				\
				"|de|Elektrodenspannung E2 3";

#define		help_siElectrodeVoltage_E2_meas_3					\
	 HELP "|en|Electrode voltage E2 4"		    				\
				"|de|Elektrodenspannung E2 4";

#define		help_siElectrodeVoltage_E2_meas_4					\
	 HELP "|en|Electrode voltage E2 5"		    				\
				"|de|Elektrodenspannung E2 5";

#define		help_siElectrodeVoltage_E2_meas_5					\
	 HELP "|en|Electrode voltage E2 6"		    				\
				"|de|Elektrodenspannung E2 6";

#define		help_siElectrodeVoltage_E2_meas_6					\
	 HELP "|en|Electrode voltage E2 7"		    				\
				"|de|Elektrodenspannung E2 7";

#define		help_siElectrodeVoltage_E2_meas_7					\
	 HELP "|en|Electrode voltage E2 8"		    				\
				"|de|Elektrodenspannung E2 8";

#define		help_siElectrodeVoltage_E2_meas_8					\
	 HELP "|en|Electrode voltage E2 9"		    				\
				"|de|Elektrodenspannung E2 9";

#define		help_siElectrodeVoltage_E2_min					\
	 HELP "|en|Electrode voltage E2 min"		    				\
				"|de|Elektrodenspannung E2 min";

#define		help_siElectrodeVoltage_E2_max					\
	 HELP "|en|Electrode voltage E2 max"		    				\
				"|de|Elektrodenspannung E2 max";

#define		help_siElectrodeVoltage_E2_min_def					\
	 HELP "|en|Electrode voltage E2 min default"		    				\
				"|de|Elektrodenspannung E2 min standard";

#define		help_siElectrodeVoltage_E2_max_def					\
	 HELP "|en|Electrode voltage E2 max default"		    				\
				"|de|Elektrodenspannung E2 max standard";

#define		help_ucElectrodeVoltage_E2_status					\
	 HELP "|en|Electrode voltage E2 status"		    				\
				"|de|Elektrodenspannung E2 status";

#define		help_siElectrodeBalance_meas_A					\
	 HELP "|en|Electrode balance current"		    				\
				"|de|Elektrodenbalance aktuell";

#define		help_siElectrodeBalance_meas_0					\
	 HELP "|en|Electrode balance 1"		    				\
				"|de|Elektrodenbalance 1";

#define		help_siElectrodeBalance_meas_1					\
	 HELP "|en|Electrode balance 2"		    				\
				"|de|Elektrodenbalance 2";

#define		help_siElectrodeBalance_meas_2					\
	 HELP "|en|Electrode balance 3"		    				\
				"|de|Elektrodenbalance 3";

#define		help_siElectrodeBalance_meas_3					\
	 HELP "|en|Electrode balance 4"		    				\
				"|de|Elektrodenbalance 4";

#define		help_siElectrodeBalance_meas_4					\
	 HELP "|en|Electrode balance 5"		    				\
				"|de|Elektrodenbalance 5";

#define		help_siElectrodeBalance_meas_5					\
	 HELP "|en|Electrode balance 6"		    				\
				"|de|Elektrodenbalance 6";

#define		help_siElectrodeBalance_meas_6					\
	 HELP "|en|Electrode balance 7"		    				\
				"|de|Elektrodenbalance 7";

#define		help_siElectrodeBalance_meas_7					\
	 HELP "|en|Electrode balance 8"		    				\
				"|de|Elektrodenbalance 8";

#define		help_siElectrodeBalance_meas_8					\
	 HELP "|en|Electrode balance 9"		    				\
				"|de|Elektrodenbalance 9";

#define		help_siElectrodeBalance_min					\
	 HELP "|en|Electrode balance min"		    				\
				"|de|Elektrodenbalance min";

#define		help_siElectrodeBalance_max					\
	 HELP "|en|Electrode balance max"		    				\
				"|de|Elektrodenbalance max";

#define		help_siElectrodeBalance_min_def					\
	 HELP "|en|Electrode balance min default"		    				\
				"|de|Elektrodenbalance min standard";

#define		help_siElectrodeBalance_max_def					\
	 HELP "|en|Electrode balance max default"		    				\
				"|de|Elektrodenbalance max standard";

#define		help_ucElectrodeBalance_status					\
	 HELP "|en|Electrode balance status"		    				\
				"|de|Elektrodenbalance status";

#define		help_siDAC_meas_A					    \
	 HELP "|en|DAC current"		    				\
				"|de|DAC aktuell";

#define		help_siDAC_meas_0					\
	 HELP "|en|DAC 1"		    				  \
				"|de|DAC 1";

#define		help_siDAC_meas_1					\
	 HELP "|en|DAC 2"		    				  \
				"|de|DAC 2";

#define		help_siDAC_meas_2					\
	 HELP "|en|DAC 3"		    				  \
				"|de|DAC 3";

#define		help_siDAC_meas_3					\
	 HELP "|en|DAC 4"		    				  \
				"|de|DAC 4";

#define		help_siDAC_meas_4					\
	 HELP "|en|DAC 5"		    			   	\
				"|de|DAC 5";

#define		help_siDAC_meas_5					\
	 HELP "|en|DAC 6"		    			  	\
				"|de|DAC 6";

#define		help_siDAC_meas_6					\
	 HELP "|en|DAC 7"		    				  \
				"|de|DAC 7";

#define		help_siDAC_meas_7					\
	 HELP "|en|DAC 8"		    				  \
				"|de|DAC 8";

#define		help_siDAC_meas_8					\
	 HELP "|en|DAC 9"		    				  \
				"|de|DAC 9";

#define		help_siDAC_min					  \
	 HELP "|en|DAC min"		    				\
				"|de|DAC min";

#define		help_siDAC_max					  \
	 HELP "|en|DAC max"		    				\
				"|de|DAC max";

#define		help_siDAC_min_def				      	\
	 HELP "|en|DAC min default"		    				\
				"|de|DAC min standard";

#define		help_siDAC_max_def					      \
	 HELP "|en|DAC max default"		    				\
				"|de|DAC max standard";

#define		help_ucDAC_status					    \
	 HELP "|en|DAC status"		    				\
				"|de|DAC status";

#define		help_siSignalNoiseRatio_meas_A					      \
	 HELP "|en|Signal/Noise ratio current"		    				\
				"|de|Signal-/Rauschverhltnis aktuell";

#define		help_siSignalNoiseRatio_meas_0					\
	 HELP "|en|Signal/Noise ratio 1"		    				\
				"|de|Signal-/Rauschverhltnis 1";

#define		help_siSignalNoiseRatio_meas_1					\
	 HELP "|en|Signal/Noise ratio 2"		    				\
				"|de|Signal-/Rauschverhltnis 2";

#define		help_siSignalNoiseRatio_meas_2					\
	 HELP "|en|Signal/Noise ratio 3"		    				\
				"|de|Signal-/Rauschverhltnis 3";

#define		help_siSignalNoiseRatio_meas_3					\
	 HELP "|en|Signal/Noise ratio 4"		    				\
				"|de|Signal-/Rauschverhltnis 4";

#define		help_siSignalNoiseRatio_meas_4					\
	 HELP "|en|Signal/Noise ratio 5"		    				\
				"|de|Signal-/Rauschverhltnis 5";

#define		help_siSignalNoiseRatio_meas_5					\
	 HELP "|en|Signal/Noise ratio 6"		    				\
				"|de|Signal-/Rauschverhltnis 6";

#define		help_siSignalNoiseRatio_meas_6					\
	 HELP "|en|Signal/Noise ratio 7"		    				\
				"|de|Signal-/Rauschverhltnis 7";

#define		help_siSignalNoiseRatio_meas_7					\
	 HELP "|en|Signal/Noise ratio 8"		    				\
				"|de|Signal-/Rauschverhltnis 8";

#define		help_siSignalNoiseRatio_meas_8					\
	 HELP "|en|Signal/Noise ratio 9"		    				\
				"|de|Signal-/Rauschverhltnis 9";

#define		help_siSignalNoiseRatio_min							\
	 HELP "|en|Signal/Noise ratio min"		    			\
				"|de|Signal-/Rauschverhltnis min";

#define		help_siSignalNoiseRatio_max							\
	 HELP "|en|Signal/Noise ratio max"		    			\
				"|de|Signal-/Rauschverhltnis max";

#define		help_siSignalNoiseRatio_min_def									\
	 HELP "|en|Signal/Noise ratio min default"		    			\
				"|de|Signal-/Rauschverhltnis min standard";

#define		help_siSignalNoiseRatio_max_def									\
	 HELP "|en|Signal/Noise ratio max default"		    			\
				"|de|Signal-/Rauschverhltnis max standard";

#define		help_ucSignalNoiseRatio_status							\
	 HELP "|en|Signal/Noise ratio status"		    				\
				"|de|Signal-/Rauschverhltnis status";

#define		help_ucMass_short_circuitCoil_status							\
	 HELP "|en|Ground short-circuit Coil status"		   				\
				"|de|Massekurzschluss Spule status";

#define		help_ucShort_circuitCoil_notused				\
	 HELP "|en|"		    				                    \
				"|de|";


#define		help_ucCoilNotConnected         					\
	 HELP "|en|"		    				                      \
				"|de|";

#define		help_ucCoil_not_connected_status 					\
	 HELP "|en|"		    				                      \
				"|de|";


#define		help_ucElectrodes_state_status					\
	 HELP "|en|Electrodes state"				    				\
				"|de|Elektrodenzustand";

#define		help_ucElectrodesState        					\
	 HELP "|en|Electrodes state"				    				\
				"|de|Elektrodenzustand";


#define		help_ucElectrodes_not_connected       					\
	 HELP "|en|"		    				                            \
				"|de|";


#define		help_ulWorkingHoursConverter_A									\
	 HELP "|en|Working hours converter current"		    			\
				"|de|Betriebstundenzhler Elektronik aktuell";

#define		help_ulWorkingHoursConverter_0							\
	 HELP "|en|Working hours converter 1"		    				\
				"|de|Betriebstundenzhler Elektronik 1";

#define		help_ulWorkingHoursConverter_1							\
	 HELP "|en|Working hours converter 2"		    				\
				"|de|Betriebstundenzhler Elektronik 2";

#define		help_ulWorkingHoursConverter_2							\
	 HELP "|en|Working hours converter 3"		    				\
				"|de|Betriebstundenzhler Elektronik 3";

#define		help_ulWorkingHoursConverter_3							\
	 HELP "|en|Working hours converter 4"		    				\
				"|de|Betriebstundenzhler Elektronik 4";

#define		help_ulWorkingHoursConverter_4							\
	 HELP "|en|Working hours converter 5"		    				\
				"|de|Betriebstundenzhler Elektronik 5";

#define		help_ulWorkingHoursConverter_5							\
	 HELP "|en|Working hours converter 6"		    				\
				"|de|Betriebstundenzhler Elektronik 6";

#define		help_ulWorkingHoursConverter_6							\
	 HELP "|en|Working hours converter 7"		    				\
				"|de|Betriebstundenzhler Elektronik 7";

#define		help_ulWorkingHoursConverter_7							\
	 HELP "|en|Working hours converter 8"		    				\
				"|de|Betriebstundenzhler Elektronik 8";

#define		help_ulWorkingHoursConverter_8							\
	 HELP "|en|Working hours converter 9"		    				\
				"|de|Betriebstundenzhler Elektronik 9";

#define		help_ulWorkingHoursPrimary_A							      \
	 HELP "|en|Working hours primary current"		    				\
				"|de|Betriebstundenzhler Aufnehmer aktuell";

#define		help_ulWorkingHoursPrimary_0							\
	 HELP "|en|Working hours primary 1"		    				\
				"|de|Betriebstundenzhler Aufnehmer 1";

#define		help_ulWorkingHoursPrimary_1							\
	 HELP "|en|Working hours primary 2"		    				\
				"|de|Betriebstundenzhler Aufnehmer 2";

#define		help_ulWorkingHoursPrimary_2							\
	 HELP "|en|Working hours primary 3"		    				\
				"|de|Betriebstundenzhler Aufnehmer 3";

#define		help_ulWorkingHoursPrimary_3							\
	 HELP "|en|Working hours primary 4"		    				\
				"|de|Betriebstundenzhler Aufnehmer 4";

#define		help_ulWorkingHoursPrimary_4							\
	 HELP "|en|Working hours primary 5"		    				\
				"|de|Betriebstundenzhler Aufnehmer 5";

#define		help_ulWorkingHoursPrimary_5							\
	 HELP "|en|Working hours primary 6"		    				\
				"|de|Betriebstundenzhler Aufnehmer 6";

#define		help_ulWorkingHoursPrimary_6							\
	 HELP "|en|Working hours primary 7"		    				\
				"|de|Betriebstundenzhler Aufnehmer 7";

#define		help_ulWorkingHoursPrimary_7							\
	 HELP "|en|Working hours primary 8"		    				\
				"|de|Betriebstundenzhler Aufnehmer 81";

#define		help_ulWorkingHoursPrimary_8							\
	 HELP "|en|Working hours primary 9"		    				\
				"|de|Betriebstundenzhler Aufnehmer 9";



#define    help_ulWorkingHoursPrimary_P1                     \
       HELP "|de|Betriebsstunden Aufnehmer Produkt 1"        \
            "|en|Working hours Primary Product 1";
#define    help_ulWorkingHoursPrimary_P2                     \
       HELP "|de|Betriebsstunden Aufnehmer Produkt 2"        \
            "|en|Working hours Primary Product 2";
#define    help_ulWorkingHoursPrimary_OP                     \
       HELP "|de|Betriebsstunden Aufnehmer Inbetriebnahme"   \
            "|en|Working hours Primary Start up";
#define    help_ulWorkingHoursPrimary_FS                     \
       HELP "|de|Betriebsstunden Aufnehmer Werkskalibrierung"\
            "|en|Working hours Primary Factory setting";

#define    help_ulWorkingHoursConverter_P1                  \
       HELP "|de|Betriebsstunden Umformer Produkt 1"        \
            "|en|Working hours Converter Product 1";
#define    help_ulWorkingHoursConverter_P2                  \
       HELP "|de|Betriebsstunden Umformer Produkt 2"        \
            "|en|Working hours Converter Product 2";
#define    help_ulWorkingHoursConverter_OP                  \
       HELP "|de|Betriebsstunden Umformer Inbetriebnahme"   \
            "|en|Working hours Converter Start up";
#define    help_ulWorkingHoursConverter_FS                  \
       HELP "|de|Betriebsstunden Umformer Werkskalibrierung"\
            "|en|Working hours Converter Factory setting";




#define    help_siCoilCurrent_meas_P1                         \
       HELP "|de|Spulenstrom Produkt 1"                       \
            "|en|Coil current Product 1";
#define    help_siCoilVoltage_meas_P1                         \
       HELP "|de|Spulenspannung Produkt 1"                    \
            "|en|Coil voltage Product 1";
#define    help_siCoilResistance_meas_P1                      \
       HELP "|de|Spulenwiderstand Produkt 1"                  \
            "|en|Coil resistance Product 1";
#define    help_siCoilTemperature_meas_P1                     \
       HELP "|de|Spulentemperatur Produkt 1"                  \
            "|en|Coil temperature Product 1";
#define    help_siCoilIsolationResistance_meas_P1             \
       HELP "|de|Spulenisolationswiderstand Produkt 1"        \
            "|en|Coil isolation resistance Product 1";
#define    help_siLinearity_meas_P1                           \
       HELP "|de|Linearitt Produkt 1"                        \
            "|en|Linearity Product 1";
#define    help_siElectrodeVoltage_E1_meas_P1                 \
       HELP "|de|Elektrodenspannung E1 Produkt 1"             \
            "|en|Electrode voltage E1 Product 1";
#define    help_siElectrodeVoltage_E2_meas_P1                 \
       HELP "|de|Elektrodenspannung E2 Produkt 1"             \
            "|en|Electrode voltage E2 Product 1";
#define    help_siElectrodeBalance_meas_P1                    \
       HELP "|de|Elektrodenbalance Produkt 1"                 \
            "|en|Electrode balance Product 1";
#define    help_siDAC_meas_P1                                 \
       HELP "|de|DAC Produkt 1"                               \
            "|en|DAC Product 1";
#define    help_siSignalNoiseRatio_meas_P1                    \
       HELP "|de|Signalrauschverhalten Produkt 1"             \
            "|en|Signal noise ratio Product 1";

#define    help_siCoilCurrent_meas_P2                         \
       HELP "|de|Spulenstrom Produkt 2"                       \
            "|en|Coil current Product 2";
#define    help_siCoilVoltage_meas_P2                         \
       HELP "|de|Spulenspannung Produkt 2"                    \
            "|en|Coil voltage Product 2";
#define    help_siCoilResistance_meas_P2                      \
       HELP "|de|Spulenwiderstand Produkt 2"                  \
            "|en|Coil resistance Product 2";
#define    help_siCoilTemperature_meas_P2                     \
       HELP "|de|Spulentemperatur Produkt 2"                  \
            "|en|Coil temperature Product 2";
#define    help_siCoilIsolationResistance_meas_P2             \
       HELP "|de|Spulenisolationswiderstand Produkt 2"        \
            "|en|Coil isolation resistance Product 2";
#define    help_siLinearity_meas_P2                           \
       HELP "|de|Linearitt Produkt 2"                        \
            "|en|Linearity Product 2";
#define    help_siElectrodeVoltage_E1_meas_P2                 \
       HELP "|de|Elektrodenspannung E1 Produkt 2"             \
            "|en|Electrode voltage E1 Product 2";
#define    help_siElectrodeVoltage_E2_meas_P2                 \
       HELP "|de|Elektrodenspannung E2 Produkt 2"             \
            "|en|Electrode voltage E2 Product 2";
#define    help_siElectrodeBalance_meas_P2                    \
       HELP "|de|Elektrodenbalance Produkt 2"                 \
            "|en|Electrode balance Product 2";
#define    help_siDAC_meas_P2                                 \
       HELP "|de|DAC Produkt 2"                               \
            "|en|DAC Product 2";
#define    help_siSignalNoiseRatio_meas_P2                    \
       HELP "|de|Signalrauschverhalten Produkt 2"             \
            "|en|Signal noise ratio Product 2";

#define    help_siCoilCurrent_meas_OP                         \
       HELP "|de|Spulenstrom Inbetriebnahme"                  \
            "|en|Coil current Start up";
#define    help_siCoilVoltage_meas_OP                         \
       HELP "|de|Spulenspannung Inbetriebnahme"               \
            "|en|Coil voltage Start up";
#define    help_siCoilResistance_meas_OP                      \
       HELP "|de|Spulenwiderstand Inbetriebnahme"             \
            "|en|Coil resistance Start up";
#define    help_siCoilTemperature_meas_OP                     \
       HELP "|de|Spulentemperatur Inbetriebnahme"             \
            "|en|Coil temperature Start up";
#define    help_siCoilIsolationResistance_meas_OP             \
       HELP "|de|Spulenisolationswiderstand Inbetriebnahme"   \
            "|en|Coil isolation resistance Start up";
#define    help_siLinearity_meas_OP                           \
       HELP "|de|Linearitt Inbetriebnahme"                   \
            "|en|Linearity Start up";
#define    help_siElectrodeVoltage_E1_meas_OP                 \
       HELP "|de|Elektrodenspannung E1 Inbetriebnahme"        \
            "|en|Electrode voltage E1 Start up";
#define    help_siElectrodeVoltage_E2_meas_OP                 \
       HELP "|de|Elektrodenspannung E2 Inbetriebnahme"        \
            "|en|Electrode voltage E2 Start up";
#define    help_siElectrodeBalance_meas_OP                    \
       HELP "|de|Elektrodenbalance Inbetriebnahme"            \
            "|en|Electrode balance Start up";
#define    help_siDAC_meas_OP                                 \
       HELP "|de|DAC Inbetriebnahme"                          \
            "|en|DAC Start up";
#define    help_siSignalNoiseRatio_meas_OP                    \
       HELP "|de|Signalrauschverhalten Inbetriebnahme"        \
            "|en|Signal noise ratio Start up";

#define    help_siCoilCurrent_meas_FS                         \
       HELP "|de|Spulenstrom Werkskalibrierung"               \
            "|en|Coil current Factory settings";
#define    help_siCoilVoltage_meas_FS                         \
       HELP "|de|Spulenspannung Werkskalibrierung"            \
            "|en|Coil voltage Factory settings";
#define    help_siCoilResistance_meas_FS                      \
       HELP "|de|Spulenwiderstand Werkskalibrierung"          \
            "|en|Coil resistance Factory settings";
#define    help_siCoilTemperature_meas_FS                     \
       HELP "|de|Spulentemperatur Werkskalibrierung"          \
            "|en|Coil temperature Factory settings";
#define    help_siCoilIsolationResistance_meas_FS             \
       HELP "|de|Spulenisolationswiderstand Werkskalibrierung"\
            "|en|Coil isolation resistance Factory settings";
#define    help_siLinearity_meas_FS                           \
       HELP "|de|Linearitt Werkskalibrierung"                \
            "|en|Linearity Factory settings";
#define    help_siElectrodeVoltage_E1_meas_FS                 \
       HELP "|de|Elektrodenspannung E1 Werkskalibrierung"     \
            "|en|Electrode voltage E1 Factory settings";
#define    help_siElectrodeVoltage_E2_meas_FS                 \
       HELP "|de|Elektrodenspannung E2 Werkskalibrierung"     \
            "|en|Electrode voltage E2 Factory settings";
#define    help_siElectrodeBalance_meas_FS                    \
       HELP "|de|Elektrodenbalance Werkskalibrierung"         \
            "|en|Electrode balance Factory settings";
#define    help_siDAC_meas_FS                                 \
       HELP "|de|DAC Werkskalibrierung"                       \
            "|en|DAC Factory settings";
#define    help_siSignalNoiseRatio_meas_FS                    \
       HELP "|de|Signalrauschverhalten Werkskalibrierung"     \
            "|en|Signal noise ratio Factory settings";